2004-01-06 22:37  peter <peter@freepascal.org>

	* compiler/powerpc/nppcadd.pas:
	
	  * fixed too long ie number

2004-01-06 22:26  jonas <jonas.maebe@rug.ac.be>

	* compiler/systems/i_bsd.pas:
	
	  * fixed alignment constants for Darwin

2004-01-06 16:46  peter <peter@freepascal.org>

	* compiler/symsym.pas:
	
	  * fix stabs for locals

2004-01-06 03:17  florian <florian@freepascal.org>

	* compiler/defcmp.pas:
	
	  * fixed webbug 2878

2004-01-06 00:34  marco <marcov@stack.nl>

	* compiler/Makefile:
	
	 * regenerating the makefiles with some netbsd fixes + version
	upgrades

2004-01-06 00:29  marco <marcov@stack.nl>

	* compiler/Makefile.fpc:
	
	 * fixed a few makefiles version numbers

2004-01-05 23:41  florian <florian@freepascal.org>

	* compiler/utils/fpc.pp:
	
	  * changed sysutils.exec to ExecuteProcess

2004-01-05 19:01  marco <marcov@stack.nl>

	* compiler/utils/Makefile:
	
	 * rrregened

2004-01-05 18:24  marco <marcov@stack.nl>

	* compiler/Makefile:
	
	 * Regened

2004-01-05 09:13  jonas <jonas.maebe@rug.ac.be>

	* compiler/systems/t_bsd.pas:
	
	  * fixed compilation problems under x86

2004-01-04 22:26  jonas <jonas.maebe@rug.ac.be>

	* compiler/systems/t_bsd.pas:
	
	  + Darwin support for routines imported from external libraries
	(not yet
	    ideal, we should generate stubs in all files where the routines
	are
	    used -> these are automatically merged by the linker; now we
	generate
	    one global symbol with a jump to a stub in unit where the
	routine is
	    declared)
	  + (not yet working) Darwin support for imported variables
	  + Darwin support for linking

2004-01-04 22:19  jonas <jonas.maebe@rug.ac.be>

	* compiler/systems/i_bsd.pas:
	
	  * use "as_darwin" assembler for Darwin
	  * Cprefix = '_' on Darwin
	  * use_function_relative_addresses must be false on Darwin

2004-01-04 22:18  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/itcpugas.pas:
	
	    + as_darwin assembler type (labels start with L)
	    * never generate register->number mappings for Darwin
	    * always use real register names for Darwin

2004-01-04 22:17  jonas <jonas.maebe@rug.ac.be>

	* compiler/: systems.pas, powerpc/agppcgas.pas:
	
	  + added log message for last commit

2004-01-04 22:10  jonas <jonas.maebe@rug.ac.be>

	* compiler/symdef.pas:
	
	  * Darwin's assembler assumes that all labels starting with 'L'
	are local
	    -> rename symbols starting with 'L'

2004-01-04 22:08  jonas <jonas.maebe@rug.ac.be>

	* compiler/aggas.pas:
	
	  * darwin only supports .align, no .balign

2004-01-04 22:08  jonas <jonas.maebe@rug.ac.be>

	* compiler/pmodules.pas:
	
	  * Never generate a "main" symbol for PASCALMAIN for Darwin and
	classic
	    Mac OS, they use a C-main in their system unit

2004-01-03 14:51  jonas <jonas.maebe@rug.ac.be>

	* compiler/: aggas.pas, systems/t_linux.pas:
	
	  + support exported procedures for linuxppc
	  * refuse to compile systems/t_linux.pas if processor-specific 
	support
	    for exported procedures is absent
	  + generate .type and .size info for all currently defined
	linux-variants
	    in aggas.pas

2004-01-03 13:31  michael <michael.vancanneyt@wisa.be>

	* compiler/version.pas:
	
	+ Changed version to 1.9.2

2004-01-03 10:20  marco <marcov@stack.nl>

	* compiler/utils/fpc.pp:
	
	 * errorhandling fixed

2004-01-03 10:12  marco <marcov@stack.nl>

	* compiler/utils/fpc.pp:
	
	 * unix does ansistring exec

2004-01-02 18:19  jonas <jonas.maebe@rug.ac.be>

	* compiler/: defcmp.pas, nadd.pas, options.pas:
	
	  * if currency = int64, FPC_CURRENCY_IS_INT64 is defined
	  + round and trunc for currency and comp if FPC_CURRENCY_IS_INT64
	is
	    defined
	  * if currency = orddef, prefer currency -> int64/qword conversion
	over
	    currency -> float conversions
	  * optimized currency/currency if currency = orddef
	  * TODO: write FPC_DIV_CURRENCY and FPC_MUL_CURRENCY routines to
	prevent
	      precision loss if currency=int64 and bestreal = double

2004-01-02 17:50  jonas <jonas.maebe@rug.ac.be>

	* compiler/globals.pas:
	
	  + SetFPUExceptionMask implementation for PPC

2004-01-01 18:58  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/nppcmat.pas:
	
	  + integer division-by-zero detection support for ppc
	  + compilerproc FPC_DIVBYZERO

2004-01-01 18:23  florian <florian@freepascal.org>

	* compiler/ncgflw.pas:
	
	  * fixed wrong temp. usage in generic exception handling

2004-01-01 16:34  jonas <jonas.maebe@rug.ac.be>

	* compiler/systems/t_linux.pas:
	
	  * default linker name for non-i386 and non-m68k

2003-12-31 23:30  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/nppccnv.pas:
	
	  * fixed currency bugs. Int64 currency handling still needs to be
	    rewritten so that it doesn't include conversions to real
	anymore
	    though

2003-12-31 21:47  jonas <jonas.maebe@rug.ac.be>

	* compiler/: nadd.pas, ncginl.pas, ninl.pas:
	
	  * properly fixed assigned() mess (by handling it separately in
	ncginl)
	    -> all assigned()-related tests in the test suite work again

2003-12-31 19:12  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/nppcmat.pas:
	
	  * (64 bit int) shl/shr (value > 63) := 0

2003-12-31 18:28  jonas <jonas.maebe@rug.ac.be>

	* compiler/systems/i_linux.pas:
	
	  * fixed C record max alignment

2003-12-30 17:30  jonas <jonas.maebe@rug.ac.be>

	* compiler/nadd.pas:
	
	  * fixed previous commit for tp and delphi modes

2003-12-29 23:33  jonas <jonas.maebe@rug.ac.be>

	* compiler/nadd.pas:
	
	  * fixed methodpointer comparing in a generic way (typecast both
	left and
	    right explicitly to voidpointer), instead of relying on strange
	    behvaiour or n386addnode.pass_2 (if size of def = 8, only use
	the first
	    4 bytes instead of internalerror-ing or so)

2003-12-29 20:31  florian <florian@freepascal.org>

	* compiler/cresstr.pas:
	
	  * fixed error message, if a resource file can't be written

2003-12-29 18:19  jonas <jonas.maebe@rug.ac.be>

	* compiler/pexpr.pas:
	
	  * integrated hack from 1.0.x so we can parse low(int64) as int64
	instead
	    of as double (in 1.0.x, it was necessary for low(longint))

2003-12-29 15:17  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/: cgcpu.pas, cpupi.pas:
	
	  * fixed saving/restoring of volatile fpu registers under sysv
	  + better provisions for abi differences regarding fpu registers
	that have
	    to be saved

2003-12-29 13:48  jonas <jonas.maebe@rug.ac.be>

	* compiler/ptconst.pas:
	
	  + support for currency typed constants if currency=int64.
	Warning: does
	    not work properly for extreme values if bestreal <= double

2003-12-29 12:37  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncgadd.pas:
	
	  * hopefully fixed bug tb0454 (merged from nppcadd)

2003-12-29 12:35  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/nppcadd.pas:
	
	  * hopefully fixed tb0454

2003-12-29 12:13  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/cgcpu.pas:
	
	  * fixed tb0350 (support loading address of reference containing
	the
	    address 0)

2003-12-29 00:49  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/: cgcpu.pas, nppcmat.pas:
	
	  * fixed tnotnode for < 32 bit quantities

2003-12-28 23:51  florian <florian@freepascal.org>

	* compiler/nflw.pas:
	
	  + except handling related nodes now include pi_do_call if
	necessary

2003-12-28 23:09  florian <florian@freepascal.org>

	* compiler/: ncal.pas, ncgcal.pas, paramgr.pas, i386/cpupara.pas,
	powerpc/aasmcpu.pas, powerpc/cpupara.pas, powerpc/nppccal.pas:
	
	  + setting of bit 6 of cr for c var args on ppc implemented

2003-12-28 22:57  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncgutil.pas:
	
	  * fixed procedures declared as "interrupt" for non-x86

2003-12-28 20:22  florian <florian@freepascal.org>

	* compiler/powerpc/cgcpu.pas:
	
	  * handling of open array value parameters fixed

2003-12-28 17:20  jonas <jonas.maebe@rug.ac.be>

	* compiler/: aasmtai.pas, arm/aasmcpu.pas, sparc/aasmcpu.pas:
	
	  - removed unused methods from old generic spilling code

2003-12-28 16:33  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/cpupara.pas:
	
	  * hopefully fixed varargs (both Pascal- and C-style)

2003-12-28 16:14  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/nppcobj.pas:
	
	  * hopefully fixed interfaces (untested)

2003-12-27 23:27  peter <peter@freepascal.org>

	* compiler/ninl.pas:
	
	  * support type convs for write typed

2003-12-27 23:27  peter <peter@freepascal.org>

	* compiler/finput.pas:
	
	  * check with fileexists() before opening a file

2003-12-26 21:24  florian <florian@freepascal.org>

	* compiler/x86_64/: x64att.inc, x64atts.inc, x86_64in.inc,
	x86_64no.inc, x86_64op.inc, x86_64ta.inc:
	
	  * updated instruction includes from new instruction table

2003-12-26 15:02  peter <peter@freepascal.org>

	* compiler/: aasmtai.pas, cgobj.pas, procinfo.pas, rgobj.pas,
	arm/aasmcpu.pas, arm/cgcpu.pas, arm/cpubase.pas,
	powerpc/aasmcpu.pas, powerpc/cgcpu.pas, sparc/aasmcpu.pas,
	sparc/cgcpu.pas, sparc/racpugas.pas, x86/aasmcpu.pas,
	x86/cgx86.pas:
	
	  * sparc updates
	  * use registertype in spill_register

2003-12-26 14:47  florian <florian@freepascal.org>

	* compiler/x86/nx86mat.pas:
	
	  * rtl and compiler compile with -Cfsse2

2003-12-26 14:19  florian <florian@freepascal.org>

	* compiler/: cgobj.pas, ncgcal.pas, ncgutil.pas, i386/n386mat.pas,
	x86/cgx86.pas, x86/cpubase.pas, x86/nx86add.pas:
	
	  * rtl and compiler compile with -Cfsse2

2003-12-26 01:32  florian <florian@freepascal.org>

	* compiler/: ncgcnv.pas, ncgutil.pas, ncnv.pas, node.pas,
	x86/cgx86.pas, x86/nx86add.pas, x86/nx86cnv.pas:
	
	  + fpu<->mm register conversion

2003-12-25 13:01  florian <florian@freepascal.org>

	* compiler/: i386/cpuinfo.pas, i386/i386att.inc, i386/i386atts.inc,
	i386/i386int.inc, i386/i386nop.inc, i386/i386op.inc,
	i386/i386prop.inc, i386/i386tab.inc, x86/aasmcpu.pas,
	x86/cgx86.pas, x86/x86ins.dat:
	
	  + possible sse2 unit usage for double calculations
	  * some sse2 assembler issues fixed

2003-12-25 02:25  peter <peter@freepascal.org>

	* compiler/: raatt.pas, sparc/racpugas.pas:
	
	  * sparc assembler reader updates

2003-12-25 02:07  florian <florian@freepascal.org>

	* compiler/: cgbase.pas, defutil.pas, globals.pas, ncgld.pas,
	scandir.pas, i386/cpuinfo.pas, i386/n386add.pas, i386/n386mat.pas,
	x86/aasmcpu.pas, x86/cgx86.pas, x86/cpubase.pas, x86/nx86add.pas,
	x86_64/cpuinfo.pas:
	
	  + $fputype directive support
	  + single data type operations with sse unit
	  * fixed more x86-64 stuff

2003-12-24 21:51  peter <peter@freepascal.org>

	* compiler/symdef.pas:
	
	  * don't lowercase enumnames

2003-12-24 02:47  florian <florian@freepascal.org>

	* compiler/: symdef.pas, x86/cgx86.pas, x86_64/cgcpu.pas:
	
	  * first fixes to compile the x86-64 system unit

2003-12-24 01:33  florian <florian@freepascal.org>

	* compiler/: x86/agx86att.pas, x86_64/cpupi.pas,
	x86_64/cputarg.pas, x86_64/nx64cnv.pas:
	
	  * x86-64 compilation fixed

2003-12-24 01:12  florian <florian@freepascal.org>

	* compiler/x86/rgx86.pas:
	
	  * rg unified for i386/x86-64

2003-12-24 01:10  florian <florian@freepascal.org>

	* compiler/: cg64f32.pas, cg64f64.pas, cgobj.pas, ncgld.pas,
	ncgutil.pas, i386/cgcpu.pas, i386/n386add.pas, i386/rgcpu.pas,
	x86/cgx86.pas, x86_64/cpupara.pas, x86_64/rgcpu.pas:
	
	  - delete parameter in cg64 methods removed

2003-12-24 00:22  peter <peter@freepascal.org>

	* compiler/globtype.pas:
	
	  * register calling is now default for i386

2003-12-24 00:12  peter <peter@freepascal.org>

	* compiler/: i386/n386obj.pas, powerpc/nppcobj.pas:
	
	  * extnumber failure is $ffff instead of -1
	  * fix non-vmt call for register calling on i386

2003-12-23 23:13  peter <peter@freepascal.org>

	* compiler/i386/n386add.pas:
	
	  * overlfow support in second_mul

2003-12-23 23:13  peter <peter@freepascal.org>

	* compiler/symsym.pas:
	
	  * don't generate rtti for errordef

2003-12-23 20:52  peter <peter@freepascal.org>

	* compiler/i386/daopt386.pas:
	
	  * more byte->word

2003-12-23 15:38  florian <florian@freepascal.org>

	* compiler/: cgobj.pas, ncgadd.pas, ncgutil.pas, x86/nx86add.pas:
	
	  + second_floataddsse implemented

2003-12-23 00:11  peter <peter@freepascal.org>

	* compiler/i386/daopt386.pas:
	
	  * overflow for instruction counters

2003-12-23 00:11  peter <peter@freepascal.org>

	* compiler/ncnv.pas:
	
	  * fix rangecheck error

2003-12-23 00:10  peter <peter@freepascal.org>

	* compiler/cgbase.pas:
	
	  * use low(longint) instead of $8000000

2003-12-23 00:09  peter <peter@freepascal.org>

	* compiler/rgobj.pas:
	
	  * only report unreleased imaginary registers

2003-12-23 00:08  peter <peter@freepascal.org>

	* compiler/: ncgcnv.pas, i386/n386cnv.pas:
	
	  * removed unused checkobject method

2003-12-22 23:34  peter <peter@freepascal.org>

	* compiler/: Makefile, Makefile.fpc:
	
	  * extcycle

2003-12-22 23:15  peter <peter@freepascal.org>

	* compiler/fppu.pas:
	
	  * deref implementation after implementation units are loaded and
	    numbered

2003-12-22 23:15  peter <peter@freepascal.org>

	* compiler/symppu.pas:
	
	  * fix write pointerconst

2003-12-22 23:13  peter <peter@freepascal.org>

	* compiler/rgobj.pas:
	
	  * made decrease_degree working, but not really fixed

2003-12-22 20:00  florian <florian@freepascal.org>

	* compiler/: cg64f64.pas, cgobj.pas, ncgutil.pas, x86_64/cgcpu.pas,
	x86_64/cpubase.inc, x86_64/cpuinfo.pas:
	
	  * fixed some x86-64 issues

2003-12-21 22:20  florian <florian@freepascal.org>

	* compiler/systems/i_linux.pas:
	
	  * sysv calling conventions enabled for powerpc-linux

2003-12-21 20:42  florian <florian@freepascal.org>

	* compiler/: cgbase.pas, cgobj.pas, ncal.pas, ncgcal.pas, psub.pas,
	symdef.pas, x86/cgx86.pas:
	
	  * fixed ppc inlining stuff
	  * fixed wrong unit writing
	  + added some sse stuff

2003-12-21 12:28  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/: nadd.pas, ncgadd.pas, i386/n386add.pas:
	
	  * Some work to allow mmx instructions to be used for 32 byte sets

2003-12-20 23:53  jonas <jonas.maebe@rug.ac.be>

	* compiler/i386/: csopt386.pas, daopt386.pas:
	
	  * fixed some more optimizer bugs, make cycle now works with
	-O2p3,
	    -O2p3u, -O3p3 and -O3p3u

2003-12-20 13:38  florian <florian@freepascal.org>

	* compiler/: globals.pas, ncal.pas, systems.pas,
	x86_64/cpuinfo.pas, x86_64/r8664con.inc, x86_64/r8664num.inc:
	
	  * some x86-64 compilation fixe

2003-12-19 23:08  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/: cgbase.pas, psub.pas, symconst.pas, i386/cgcpu.pas,
	x86/cgx86.pas, x86/cpubase.pas:
	
	  * Some work to restore the MMX capabilities

2003-12-19 15:38  mazen <mazen@freepascal.org>

	* compiler/sparc/: aasmcpu.pas, cgcpu.pas, cpubase.pas, rspcon.inc:
	
	* new TRegister definition applied

2003-12-18 18:06  florian <florian@freepascal.org>

	* compiler/: rgobj.pas, arm/aasmcpu.pas, arm/cgcpu.pas,
	arm/cpubase.pas, arm/cpupara.pas, arm/raarmgas.pas,
	arm/rarmcon.inc, arm/rarmnum.inc, utils/mkarmreg.pp:
	
	  * arm compiler compilation fixed

2003-12-18 02:03  florian <florian@freepascal.org>

	* compiler/powerpc/cgcpu.pas:
	
	  + register allocators are set to nil now after they are freed

2003-12-17 23:50  hajny <xhajt03@mbox.vol.cz>

	* compiler/options.pas:
	
	  * fixed incorrect error message

2003-12-17 22:59  peter <peter@freepascal.org>

	* compiler/i386/n386obj.pas:
	
	  * register call fix

2003-12-17 22:59  peter <peter@freepascal.org>

	* compiler/rgobj.pas:
	
	  * don't insert dealloc before alloc of the same register

2003-12-16 23:36  florian <florian@freepascal.org>

	* compiler/psub.pas:
	
	  * forgot a commit

2003-12-16 23:09  florian <florian@freepascal.org>

	* compiler/ncal.pas:
	
	  * better inheritence of procinfo flags of inlined procedures

2003-12-16 22:49  florian <florian@freepascal.org>

	* compiler/: powerpc/aasmcpu.pas, powerpc/cgcpu.pas,
	powerpc/cpubase.pas, powerpc/cpupara.pas, powerpc/rppccon.inc,
	powerpc/rppcnum.inc, utils/mkppcreg.pp:
	
	  * fixed ppc compilation

2003-12-16 22:29  florian <florian@freepascal.org>

	* compiler/: ncal.pas, nopt.pas, procinfo.pas, psub.pas,
	symconst.pas, symdef.pas, utils/ppudump.pp:
	
	  + inlined procedures inherit procinfo flags

2003-12-16 10:41  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/: defcmp.pas, rgobj.pas:
	
	  * Automatic conversion from integer constants to pointer
	constants is no
	    longer done except in Delphi mode

2003-12-15 22:39  florian <florian@freepascal.org>

	* compiler/cgobj.pas:
	
	  * improved register allocation of generic a_param_const and
	a_param_ref

2003-12-15 22:37  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/cgcpu.pas:
	
	  * fixed compilation and simplified fixref, so it never has to
	reallocate
	    already freed registers anymore

2003-12-15 22:25  peter <peter@freepascal.org>

	* compiler/: aasmtai.pas, cgbase.pas, cgobj.pas, ncgcal.pas,
	pdecl.pas, psub.pas, rgobj.pas, i386/csopt386.pas,
	i386/daopt386.pas, i386/popt386.pas, i386/r386con.inc,
	i386/r386num.inc, utils/mkx86reg.pp, x86/aasmcpu.pas,
	x86/cgx86.pas, x86/cpubase.pas:
	
	  * reg allocations for imaginary register are now inserted just
	    before reg allocation
	  * tregister changed to enum to allow compile time check
	  * fixed several tregister-tsuperregister errors

2003-12-15 17:37  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/rgobj.pas:
	
	  * More microoptimizations

2003-12-15 17:08  jonas <jonas.maebe@rug.ac.be>

	* compiler/i386/: csopt386.pas, rropt386.pas:
	
	  - disable removal of dead loads before a call, because register
	    parameters are released before a call
	  * fix storeback of registers in case of different sizes (e.g.,
	first
	    a "movl %eax,%edx" and later a "movb %dl,%al")

2003-12-15 16:58  peter <peter@freepascal.org>

	* compiler/: rgobj.pas, i386/daopt386.pas:
	
	  * fix statedebug compile

2003-12-15 16:58  peter <peter@freepascal.org>

	* compiler/i386/ag386int.pas:
	
	  * wasm args fix from wiktor

2003-12-14 23:42  peter <peter@freepascal.org>

	* compiler/aggas.pas:
	
	  * fixed range check error

2003-12-14 23:42  peter <peter@freepascal.org>

	* compiler/i386/: ag386int.pas, ag386nsm.pas:
	
	  * fixed range check errors

2003-12-14 23:42  peter <peter@freepascal.org>

	* compiler/i386/: csopt386.pas, daopt386.pas, popt386.pas:
	
	  * fixed csdebug

2003-12-14 23:41  peter <peter@freepascal.org>

	* compiler/fpcdefs.inc:
	
	  * USEOPT to override NOOPT for 1.0.x

2003-12-14 21:51  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/globtype.pas:
	
	  * Register calling disabled again

2003-12-14 21:24  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/: aasmtai.pas, cgbase.pas, globtype.pas, rgobj.pas,
	x86/aasmcpu.pas:
	
	  * Register allocator speed optimizations
	    - Worklist no longer a ringbuffer
	    - No find operations are left
	    - Simplify now done in constant time
	    - unusedregs is now a Tsuperregisterworklist
	    - Microoptimizations

2003-12-14 21:20  peter <peter@freepascal.org>

	* compiler/fpcdefs.inc:
	
	  * disable optimizer again for 1.0.x

2003-12-14 19:13  peter <peter@freepascal.org>

	* compiler/fppu.pas:
	
	  * also check currnet dir when searching source files

2003-12-14 15:18  peter <peter@freepascal.org>

	* compiler/: fpcdefs.inc, i386/csopt386.pas, i386/daopt386.pas:
	
	  * optimizer works again with 1.0.x
	  * fixed wrong loop in FindRegWithConst

2003-12-13 16:48  jonas <jonas.maebe@rug.ac.be>

	* compiler/i386/: csopt386.pas, daopt386.pas, popt386.pas:
	
	  * isgp32reg was being called with both tsuperregister and
	tregister
	    parameters, so changed type to tsuperregister (fixes bug
	reported by
	    Bas Steendijk)
	  * improved regsizesok() checking so it gives no false positives
	anymore

2003-12-12 20:42  peter <peter@freepascal.org>

	* compiler/pmodules.pas:
	
	  * check unit name when expected unitname > 8 chars

2003-12-12 18:16  peter <peter@freepascal.org>

	* compiler/: cgobj.pas, rgobj.pas, powerpc/cgcpu.pas,
	x86/cgx86.pas:
	
	  * rg[tregistertype] added in tcg

2003-12-12 16:42  peter <peter@freepascal.org>

	* compiler/nmem.pas:
	
	  * don't give warnings for shortstring vecnodes

2003-12-12 13:09  marco <marcov@stack.nl>

	* compiler/: pdecl.pas, symdef.pas, symsym.pas:
	
	 * always generate RTTI patch from peter

2003-12-11 20:06  florian <florian@freepascal.org>

	* compiler/systems/i_linux.pas:
	
	  * staticlib extension for powerpc fixed

2003-12-11 19:15  florian <florian@freepascal.org>

	* compiler/options.pas:
	
	  * HASGLOBALPROPERTY define introduce

2003-12-11 18:53  florian <florian@freepascal.org>

	* compiler/link.pas:
	
	  * fixed external smartlinking

2003-12-10 23:19  florian <florian@freepascal.org>

	* compiler/: powerpc/itcpugas.pas, powerpc/ppcreg.dat,
	powerpc/rppcgss.inc, utils/mkppcreg.pp:
	
	  + short gas register names for smartlinking added

2003-12-10 21:31  jonas <jonas.maebe@rug.ac.be>

	* compiler/nbas.pas:
	
	  * override tblocknode.destroy so all statements are freed
	sequentially
	    instead of recusively.

2003-12-10 18:28  peter <peter@freepascal.org>

	* compiler/i386/n386mat.pas:
	
	  * int64 shl/shr > 63 returns 0

2003-12-10 18:13  peter <peter@freepascal.org>

	* compiler/aggas.pas:
	
	  * fix range error with tai_const

2003-12-10 17:37  peter <peter@freepascal.org>

	* compiler/: pdecl.pas, pdecobj.pas, pdecvar.pas, psub.pas:
	
	  * global property support for fpc modes

2003-12-10 14:16  mazen <mazen@freepascal.org>

	* compiler/sparc/: aasmcpu.pas, racpugas.pas:
	
	* improve hadlign %hi and %lo operators

2003-12-10 03:39  karoly

	* compiler/m68k/: r68kcon.inc, r68knor.inc, r68knum.inc,
	r68krni.inc, r68ksri.inc, r68ksta.inc, r68kstd.inc, r68ksup.inc:
	
	  * m68k register tables

2003-12-10 03:30  karoly

	* compiler/m68k/m68kreg.dat:
	
	  * initial revision

2003-12-10 03:22  karoly

	* compiler/utils/mk68kreg.pp:
	
	  * fixed logs

2003-12-10 03:07  karoly

	* compiler/utils/mk68kreg.pp:
	
	  * initial revision

2003-12-10 02:54  florian <florian@freepascal.org>

	* compiler/options.pas:
	
	  * variants and interfaces on powerpc released

2003-12-10 02:10  florian <florian@freepascal.org>

	* compiler/powerpc/: cpunode.pas, nppcobj.pas:
	
	  + initial interface support added

2003-12-10 01:09  karoly

	* compiler/powerpc/cgcpu.pas:
	
	 * fixed compilation with -dppc603

2003-12-09 22:17  jonas <jonas.maebe@rug.ac.be>

	* compiler/: nadd.pas, nmat.pas:
	
	  + support for evaluating qword constant expressions (both
	arguments have
	    to be a qword, constants have to be explicitly typecasted to
	qword)

2003-12-09 21:39  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/: cgcpu.pas, cpubase.pas, nppcadd.pas:
	
	  * forgot call to cg.g_overflowcheck() in nppcadd
	  * fixed overflow flag definition
	  * fixed cg.g_overflowcheck() for signed numbers (jump over call
	to
	    FPC_OVERFLOW if *no* overflow instead of if overflow :)

2003-12-09 21:09  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/agppcgas.pas:
	
	  * support writing of symbols with length 255

2003-12-09 20:54  marco <marcov@stack.nl>

	* compiler/systems/t_win32.pas:
	
	 * base-file instead of base_file

2003-12-09 20:14  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncgset.pas:
	
	  * fixed and optimized in-node with constant smallset
	  * some register usage optimisations.

2003-12-09 20:13  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/nppcset.pas:
	
	  * fixed case bugs

2003-12-09 10:44  mazen <mazen@freepascal.org>

	* compiler/sparc/cgcpu.pas:
	
	+ added uses_registers overloaded method for sparc

2003-12-08 23:37  peter <peter@freepascal.org>

	* compiler/ncal.pas:
	
	  * paralength is private again

2003-12-08 23:37  peter <peter@freepascal.org>

	* compiler/systems/t_win32.pas:
	
	  * base_file instead of b

2003-12-08 23:35  peter <peter@freepascal.org>

	* compiler/: ncnv.pas, pexpr.pas:
	
	  * again procvar fixes

2003-12-08 23:35  peter <peter@freepascal.org>

	* compiler/nmem.pas:
	
	  * don't check varstate for left of vecnode for normal arrays

2003-12-08 23:34  peter <peter@freepascal.org>

	* compiler/: aasmtai.pas, cresstr.pas, ncgcon.pas, nobj.pas,
	ptconst.pas, symdef.pas:
	
	  * tai_const.create_32bit changed to cardinal

2003-12-08 23:33  peter <peter@freepascal.org>

	* compiler/: fmodule.pas, pmodules.pas:
	
	  * don't allow duplicate uses
	  * fix wrong circular dependency

2003-12-08 22:18  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/nppcadd.pas:
	
	  * fixed usigned overflow checking

2003-12-08 22:17  jonas <jonas.maebe@rug.ac.be>

	* compiler/ninl.pas:
	
	  * if there are assertions, include pi_do_call in procinfo.flags

2003-12-08 22:04  peter <peter@freepascal.org>

	* compiler/utils/ppudump.pp:
	
	  * line break in uses unit

2003-12-08 20:29  peter <peter@freepascal.org>

	* compiler/nflw.pas:
	
	  * copy loopflags

2003-12-08 18:43  florian <florian@freepascal.org>

	* compiler/: msgidx.inc, msgtxt.inc, raatt.pas, arm/cgcpu.pas,
	arm/raarmgas.pas, msg/errore.msg:
	
	  * fixed ldm/stm arm assembler reading
	  * fixed a_load_reg_reg with OS_8 on ARM
	  * non supported calling conventions cause only a warning now

2003-12-08 17:34  peter <peter@freepascal.org>

	* compiler/ncal.pas:
	
	  * varargspara is left-right, so adding paraitems needs insert
	    instead of concat

2003-12-08 16:35  peter <peter@freepascal.org>

	* compiler/i386/n386cnv.pas:
	
	  * fix loading of word/byte to real

2003-12-08 14:02  mazen <mazen@freepascal.org>

	* compiler/sparc/: opcode.inc, racpu.pas, racpugas.pas,
	strinst.inc, itcpugas.pas:
	
	+ support for native sparc assembler reader

2003-12-07 23:35  florian <florian@freepascal.org>

	* compiler/powerpc/cpupara.pas:
	
	  + dummy tppcparamanager.create_varargs_paraloc_info added

2003-12-07 22:59  florian <florian@freepascal.org>

	* compiler/powerpc/cgcpu.pas:
	
	  * a_load_ref_ref isn't allowed to be used in g_stackframe_entry

2003-12-07 20:19  jonas <jonas.maebe@rug.ac.be>

	* compiler/i386/: csopt386.pas, daopt386.pas, rropt386.pas:
	
	  * fixed some more bugs which only showed up in a ppc cross
	compiler

2003-12-07 17:40  jonas <jonas.maebe@rug.ac.be>

	* compiler/: pstatmnt.pas, symutil.pas, powerpc/cpupi.pas:
	
	  * moved count_locals from pstatmnt to symutils
	  * use count_locals in powerpc/cpupi to check whether we should
	set the
	    first temp offset (and as such generate a stackframe)

2003-12-07 17:28  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncgutil.pas:
	
	  * fixed typo found by Charlie

2003-12-07 16:00  jonas <jonas.maebe@rug.ac.be>

	* compiler/cg64f32.pas:
	
	  * fixed g_rangecheck64 so it works again for big endian

2003-12-07 15:03  jonas <jonas.maebe@rug.ac.be>

	* compiler/raatt.pas:
	
	  * go to the next character after consuming a "%"

2003-12-07 13:41  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncgcal.pas:
	
	  * fixed ansistring/widestring results: deallocate result reg only
	after
	    it has been stored to memory, as the storing itself may require
	extra
	    results (e.g. on ppc)

2003-12-07 12:21  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/nppccnv.pas:
	
	  * finally fixed int->bool conversion properly

2003-12-06 23:16  jonas <jonas.maebe@rug.ac.be>

	* compiler/: aasmtai.pas, powerpc/aasmcpu.pas:
	
	  * completely overhauled and fixed generic spilling code. New
	method:
	    spilling_get_operation_type(operand_number): returns the
	operation
	    performed by the instruction on the operand:
	read/write/read+write.
	    See powerpc/aasmcpu.pas for an example

2003-12-06 23:13  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/cgcpu.pas:
	
	  * another fix to a_load_ref_reg()
	  + implemented uses_registers() method

2003-12-06 23:11  jonas <jonas.maebe@rug.ac.be>

	* compiler/cgobj.pas:
	
	  + allocate volatile registers around calls to procedures declared
	with
	    "saveregisters" on non-x86 processors

2003-12-06 02:15  florian <florian@freepascal.org>

	* compiler/: cg64f32.pas, cgobj.pas, ncgcal.pas, ncgflw.pas,
	ncginl.pas, ncgld.pas, ncgmat.pas, ncgmem.pas, ncgutil.pas,
	paramgr.pas, pp.pas, i386/n386add.pas, x86/cgx86.pas:
	
	  * reverted Peter's alloctemp patch; hopefully properly

2003-12-05 23:53  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/cgcpu.pas:
	
	  * fixed load_ref_reg for source > dest size

2003-12-05 00:27  peter <peter@freepascal.org>

	* compiler/pdecobj.pas:
	
	  * missing handle_calling_convention()

2003-12-05 00:27  peter <peter@freepascal.org>

	* compiler/: globtype.pas, rgobj.pas:
	
	  * remove redundant calls to add_edge_used

2003-12-04 21:37  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/: cgcpu.pas, nppccnv.pas:
	
	  * fixed some int<->boolean type conversion issues

2003-12-04 11:46  mazen <mazen@freepascal.org>

	* compiler/compiler.pas:
	
	+ added support for spac assembler reader

2003-12-04 00:13  peter <peter@freepascal.org>

	* compiler/: cg64f32.pas, cgobj.pas, ncgcal.pas, ncgflw.pas,
	ncginl.pas, ncgld.pas, ncgmat.pas, ncgmem.pas, ncgutil.pas,
	paramgr.pas, procinfo.pas, psub.pas, i386/cpupara.pas,
	i386/n386add.pas, i386/n386cnv.pas, x86/cgx86.pas:
	
	  * delayed paraloc allocation, a_param_*() gets extra parameter
	    if it needs to allocate temp or real paralocation
	  * optimized/simplified int-real loading

2003-12-03 18:45  peter <peter@freepascal.org>

	* compiler/switches.pas:
	
	  * don't turn off debuginfo when line info is requested

2003-12-03 18:39  florian <florian@freepascal.org>

	* compiler/: aasmtai.pas, pstatmnt.pas, raatt.pas, arm/aasmcpu.pas,
	arm/cgcpu.pas, arm/cpupara.pas, arm/cpupi.pas, arm/raarmgas.pas:
	
	  * fixed several arm calling conventions issues
	  * fixed reference reading in the assembler reader
	  * fixed a_loadaddr_ref_reg

2003-12-02 22:23  peter <peter@freepascal.org>

	* compiler/ncgcal.pas:
	
	  * exitlabel for inline procs

2003-12-01 19:44  peter <peter@freepascal.org>

	* compiler/: ncal.pas, ncgld.pas, nflw.pas, nld.pas, nmem.pas,
	node.pas, symbase.pas, symsym.pas, i386/cpupara.pas:
	
	  * fixed some crashes
	  * fixed varargs and register calling probs

2003-12-01 19:43  peter <peter@freepascal.org>

	* compiler/: aasmtai.pas, i386/cpuinfo.pas, arm/cpuinfo.pas,
	sparc/cpuinfo.pas:
	
	  * s128real type is not compatible with s80real

2003-11-30 20:35  florian <florian@freepascal.org>

	* compiler/: globals.pas, ncgutil.pas, arm/aasmcpu.pas,
	arm/agarmgas.pas, arm/cgcpu.pas, arm/cpupi.pas, arm/narmcnv.pas:
	
	  * fixed several arm related problems

2003-11-30 12:32  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/cgcpu.pas:
	
	  * fixded fixref() regarding the reallocation of already freed
	registers
	    used in references

2003-11-30 11:16  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/cgcpu.pas:
	
	  * fixed fpu regallocator initialisation

2003-11-30 11:15  jonas <jonas.maebe@rug.ac.be>

	* compiler/rautils.pas:
	
	  * fixed compilation for non-x86

2003-11-29 23:54  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/: agppcgas.pas, cpupi.pas, rappcgas.pas:
	
	  * more ppc fixes, hello world works again under linuxppc

2003-11-29 21:13  florian <florian@freepascal.org>

	* compiler/: ncgutil.pas, pmodules.pas, i386/ra386int.pas:
	
	  * fixed several pi_do_call problems

2003-11-29 19:17  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/agppcgas.pas:
	
	  * fixed writing of conditional branches which only depend on the
	value
	    of ctr

2003-11-29 19:16  jonas <jonas.maebe@rug.ac.be>

	* compiler/symsym.pas:
	
	  * don't internalerror when emitting debuginfo for LOC_FPUREGISTER

2003-11-29 18:36  peter <peter@freepascal.org>

	* compiler/arm/: aasmcpu.pas, agarmgas.pas, cpubase.pas:
	
	  * fixed is_move

2003-11-29 18:36  peter <peter@freepascal.org>

	* compiler/rgobj.pas:
	
	  * check for add_move_instruction

2003-11-29 17:27  jonas <jonas.maebe@rug.ac.be>

	* compiler/: raatt.pas, powerpc/agppcgas.pas, powerpc/cpubase.pas,
	powerpc/cpupara.pas, powerpc/cpupi.pas, powerpc/nppccnv.pas,
	powerpc/rappcgas.pas:
	
	  * fixed several ppc assembler reader related problems
	  * local vars in assembler procedures now start at offset 4
	  * fixed second_int_to_bool (apparently an integer can be in 
	LOC_JUMP??)

2003-11-29 17:19  peter <peter@freepascal.org>

	* compiler/: compinnr.inc, ninl.pas, pexpr.pas, pinline.pas,
	psystem.pas:
	
	  * Initialize() added

2003-11-29 16:53  florian <florian@freepascal.org>

	* compiler/: systems.pas, i386/ag386nsm.pas, i386/ra386int.pas:
	
	  + nasmelf mode for BeOS
	  + DQWORD directive in intel assembler mode

2003-11-29 15:49  peter <peter@freepascal.org>

	* compiler/pexpr.pas:
	
	  * fix crash with exit() in a procedure

2003-11-29 15:41  peter <peter@freepascal.org>

	* compiler/i386/ra386int.pas:
	
	  * support type()

2003-11-29 15:33  peter <peter@freepascal.org>

	* compiler/: nmem.pas, node.pas, pexpr.pas:
	
	  * typed address only used for @ and addr() that are parsed

2003-11-28 19:49  jonas <jonas.maebe@rug.ac.be>

	* compiler/i386/csopt386.pas:
	
	  * fixed bug which only showed up in the ppc crosscompiler :)

2003-11-28 18:24  peter <peter@freepascal.org>

	* compiler/: ncal.pas, nobj.pas, i386/cpupara.pas:
	
	  * reversed offset calculation for caller side so it works
	    correctly for interfaces

2003-11-28 18:23  peter <peter@freepascal.org>

	* compiler/fppu.pas:
	
	  * serach also in include path for used files

2003-11-28 14:09  mazen <mazen@freepascal.org>

	* compiler/sparc/cpuinfo.pas:
	
	+ defintion of ts128real + globtype is needed in interface uses
	clause

2003-11-27 10:08  florian <florian@freepascal.org>

	* compiler/psub.pas:
	
	  * resourcestring is allowed in the interface

2003-11-26 16:11  michael <michael.vancanneyt@wisa.be>

	* compiler/defcmp.pas:
	
	+ Patch to prefer getpropinfo(ptypeinfo,name) over
	getpropinfo(tobject,name) when called with
	getpropinfo(aclass.classinfo) from Peter

2003-11-26 15:25  michael <michael.vancanneyt@wisa.be>

	* compiler/nld.pas:
	
	+ Applied patch from peter to support ansistrings in array
	constructors

2003-11-24 16:17  florian <florian@freepascal.org>

	* compiler/: rgobj.pas, arm/aasmcpu.pas, arm/cgcpu.pas,
	arm/cpupi.pas, arm/raarmgas.pas:
	
	  * changed some types to prevend range check errors

2003-11-23 21:00  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/: cpubase.pas, rappcgas.pas:
	
	* fixed is_condreg * fixed branch condition parsing in assembler
	reader

2003-11-23 19:32  florian <florian@freepascal.org>

	* compiler/powerpc/rappcgas.pas:
	
	  + skeleton for bXX crX,<label>

2003-11-23 18:39  peter <peter@freepascal.org>

	* compiler/: ncgcal.pas, ncgld.pas, nld.pas:
	
	  * removed obsolete nf_cargs flag

2003-11-23 18:39  peter <peter@freepascal.org>

	* compiler/nflw.pas:
	
	  * don't release exceptsymtable for copied nodes

2003-11-23 18:38  peter <peter@freepascal.org>

	* compiler/node.pas:
	
	  * mark nodes that are copies

2003-11-23 18:33  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/rappcgas.pas:
	
	  * fixed uninitialised var

2003-11-23 18:23  peter <peter@freepascal.org>

	* compiler/fmodule.pas:
	
	  * fixed memleak with derefdata

2003-11-23 18:05  peter <peter@freepascal.org>

	* compiler/: ncal.pas, ncgcal.pas, ncgutil.pas, pdecsub.pas,
	pdecvar.pas, psub.pas, symconst.pas, symsym.pas, i386/cpupara.pas:
	
	  * register calling is left-right
	  * parameter ordering
	  * left-right calling inserts result parameter last

2003-11-23 18:03  peter <peter@freepascal.org>

	* compiler/ncgmem.pas:
	
	  * fixed parentfp loading, it was using the offset of the current
	    nested proc instead of the parent

2003-11-23 18:03  peter <peter@freepascal.org>

	* compiler/tpexcept.pas:
	
	  * use oldfpccall

2003-11-22 14:11  jonas <jonas.maebe@rug.ac.be>

	* compiler/fpcdefs.inc:
	
	  - disable the optimizer if compiling with 1.0, because it has a
	code
	    generator (not optimizer) bug that causes crashes in the 1.1
	    optimizer

2003-11-22 14:10  jonas <jonas.maebe@rug.ac.be>

	* compiler/i386/: csopt386.pas, daopt386.pas:
	
	  * fixed double unit usage

2003-11-22 01:40  jonas <jonas.maebe@rug.ac.be>

	* compiler/: psub.pas, i386/csopt386.pas, i386/daopt386.pas,
	i386/popt386.pas, i386/rropt386.pas:
	
	  * fixed optimiser so it compiles again
	  * fixed several bugs which were in there already for a long time,
	but
	    which only popped up now :) -O2/-O3 will now optimise less than
	in
	    the past (and correctly so), but -O2u/-O3u will optimise a bit
	more
	  * some more small improvements for -O3 are still possible

2003-11-22 01:35  jonas <jonas.maebe@rug.ac.be>

	* compiler/: i386/i386prop.inc, x86/x86ins.dat:
	
	  * fixed properties for MOVSB

2003-11-22 01:32  jonas <jonas.maebe@rug.ac.be>

	* compiler/ptconst.pas:
	
	  * fixed reversed "got <type 1>, expected <type 1>" error message

2003-11-22 01:31  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncnv.pas:
	
	  * fixed range error

2003-11-22 01:31  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncgutil.pas:
	
	  + extra allocations of function result regs for the optimiser

2003-11-21 17:29  florian <florian@freepascal.org>

	* compiler/: rautils.pas, arm/agarmgas.pas, arm/cgcpu.pas,
	arm/cpubase.pas, arm/raarmgas.pas, powerpc/cgcpu.pas:
	
	  * fixed reading of reg. sets in the arm assembler reader

2003-11-18 00:23  florian <florian@freepascal.org>

	* compiler/: compiler.pas, raatt.pas, rautils.pas, systems.pas,
	arm/agarmgas.pas, arm/cpubase.pas, arm/cpuinfo.pas,
	arm/itcpugas.pas, arm/raarm.pas, arm/raarmgas.pas,
	arm/radirect.pas, x86/rax86.pas:
	
	  + first part of arm assembler reader

2003-11-15 20:00  florian <florian@freepascal.org>

	* compiler/: raatt.pas, rgbase.pas, powerpc/agppcgas.pas,
	powerpc/cpubase.pas, powerpc/itcpugas.pas, powerpc/rappcgas.pas:
	
	  * fixed ppc assembler reader

2003-11-13 19:54  jonas <jonas.maebe@rug.ac.be>

	* compiler/: i386/i386nop.inc, i386/i386prop.inc, i386/i386tab.inc,
	x86/x86ins.dat:
	
	* fixed XSTORE instruction info

2003-11-12 17:58  peter <peter@freepascal.org>

	* compiler/rabase.pas:
	
	  * fixed wrong initialization

2003-11-12 17:57  peter <peter@freepascal.org>

	* compiler/scanner.pas:
	
	  * do nothing for macro's in tempcloseinput,tempopeninput

2003-11-12 17:05  florian <florian@freepascal.org>

	* compiler/: aasmtai.pas, aggas.pas, compiler.pas, globals.pas,
	msgidx.inc, msgtxt.inc, pstatmnt.pas, ptconst.pas, raatt.pas,
	rabase.pas, rasm.pas, rautils.pas, scandir.pas, systems.pas,
	arm/itarmgas.pas, arm/itcpugas.pas, arm/rasm.pas, i386/cpuinfo.pas,
	i386/ra386att.pas, i386/ra386int.pas, msg/errore.msg,
	powerpc/agppcgas.pas, powerpc/agppcmpw.pas, powerpc/cpubase.pas,
	powerpc/cpuinfo.pas, powerpc/itcpugas.pas, powerpc/itppcgas.pas,
	powerpc/radirect.pas, powerpc/rappc.pas, powerpc/rappcgas.pas,
	powerpc/rasm.pas, sparc/rasm.pas, x86/aasmcpu.pas,
	x86/agx86att.pas, x86/itcpugas.pas, x86/itx86att.pas,
	x86/rax86.pas, x86_64/rasm.pas:
	
	  * assembler readers OOPed
	  + typed currency constants
	  + typed 128 bit float constants if the CPU supports it

2003-11-12 16:49  peter <peter@freepascal.org>

	* compiler/pdecsub.pas:
	
	  * virtual conflicts with override

2003-11-12 16:48  peter <peter@freepascal.org>

	* compiler/pdecl.pas:
	
	  * don't give redefinition warning for forward classes

2003-11-12 16:48  peter <peter@freepascal.org>

	* compiler/: htypechk.pas, nflw.pas, node.pas:
	
	  * fix set_varstate in for loops
	  * fix set_varstate from case statements

2003-11-11 22:48  florian <florian@freepascal.org>

	* compiler/systems/i_beos.pas:
	
	  * define UNIX and HASUNIX

2003-11-11 22:11  peter <peter@freepascal.org>

	* compiler/i386/cpupara.pas:
	
	  * check for push_addr

2003-11-11 22:10  peter <peter@freepascal.org>

	* compiler/options.pas:
	
	  * define REGCALL when pocall_default=pocall_register

2003-11-11 22:10  peter <peter@freepascal.org>

	* compiler/: ncgutil.pas, pstatmnt.pas:
	
	  * remove temporary stdcall hack

2003-11-11 17:46  marco <marcov@stack.nl>

	* compiler/systems/t_nwm.pas:
	
	 * minor fix

2003-11-10 23:02  peter <peter@freepascal.org>

	* compiler/: nbas.pas, ncal.pas, ncgcal.pas, ncgutil.pas, ninl.pas,
	nmem.pas, node.pas, nutils.pas, pass_2.pas, pinline.pas, ppu.pas,
	procinfo.pas, pstatmnt.pas, psub.pas, symdef.pas, symtable.pas,
	symtype.pas, utils/ppudump.pp:
	
	  * cross unit inlining fixed

2003-11-10 20:11  peter <peter@freepascal.org>

	* compiler/pexpr.pas:
	
	  * check paralength instead of assigned(left)

2003-11-10 20:10  peter <peter@freepascal.org>

	* compiler/nset.pas:
	
	  * check for enumdef.maxval<255 instead of enumdef.savesize

2003-11-10 20:10  peter <peter@freepascal.org>

	* compiler/ncgset.pas:
	
	  * fixed range compare when the last value was an equal
	    compare. The compare for the lower range was skipped

2003-11-10 20:09  peter <peter@freepascal.org>

	* compiler/: defcmp.pas, ncal.pas, pdecsub.pas:
	
	  * procvar default value support

2003-11-10 20:08  peter <peter@freepascal.org>

	* compiler/scanner.pas:
	
	  + $IF DECLARED() added

2003-11-10 20:08  peter <peter@freepascal.org>

	* compiler/: scanner.pas, i386/ra386att.pas, i386/ra386int.pas,
	x86/radirect.pas:
	
	  * line numbering is now only done when #10, #10#13 is really
	parsed
	    instead of when it is the next character

2003-11-10 20:05  peter <peter@freepascal.org>

	* compiler/: rgobj.pas, sparc/cpubase.pas, sparc/cpupara.pas:
	
	  * fixed alias/colouring > 255

2003-11-10 19:06  florian <florian@freepascal.org>

	* compiler/pdecobj.pas:
	
	  + published single properties can have a default value now

2003-11-10 19:05  florian <florian@freepascal.org>

	* compiler/defutil.pas:
	
	  + is_single added

2003-11-10 18:22  marco <marcov@stack.nl>

	* compiler/: assemble.pas, catch.pas, globals.pas, script.pas:
	
	 * havelinuxrtl10 fixes

2003-11-09 00:31  florian <florian@freepascal.org>

	* compiler/symdef.pas:
	
	  * tstoreddef.getcopy returns now an errordef instead of nil; this
	    allows easier error recovery

2003-11-08 18:08  florian <florian@freepascal.org>

	* compiler/symtable.pas:
	
	  * fixed strange error message about expecting erroneous types,
	    usually this is caused by other errors so it isn't important

2003-11-08 11:23  florian <florian@freepascal.org>

	* compiler/ptconst.pas:
	
	  * fixed parsing of typed widestring constants with length 1

2003-11-07 16:58  florian <florian@freepascal.org>

	* compiler/: aasmtai.pas, globals.pas, globtype.pas, msgidx.inc,
	msgtxt.inc, ncgbas.pas, ncgcal.pas, ncgutil.pas, options.pas,
	pdecsub.pas, pexpr.pas, psub.pas, rgobj.pas, scandir.pas,
	symconst.pas, tokens.pas, arm/agarmgas.pas, arm/cgcpu.pas,
	arm/cpuinfo.pas, arm/cpupara.pas, i386/cpuinfo.pas,
	i386/cpuswtch.pas, i386/n386cal.pas, i386/n386set.pas,
	i386/popt386.pas, m68k/cpuinfo.pas, msg/errore.msg,
	powerpc/cpuinfo.pas, sparc/cpuinfo.pas:
	
	  * Florian's culmutative nr. 1; contains:
	    - invalid calling conventions for a certain cpu are rejected
	    - arm softfloat calling conventions
	    - -Sp for cpu dependend code generation
	    - several arm fixes
	    - remaining code for value open array paras on heap

2003-11-07 10:12  mazen <mazen@freepascal.org>

	* compiler/mppcsparc:
	
	+ add more dirs in include path

2003-11-06 21:48  florian <florian@freepascal.org>

	* compiler/powerpc/rappcgas.pas:
	
	  * initial revision

2003-11-06 16:58  peter <peter@freepascal.org>

	* compiler/version.pas:
	
	  * 1.9.1

2003-11-06 16:54  peter <peter@freepascal.org>

	* compiler/: ncal.pas, pexpr.pas:
	
	  * fixed calling classmethod for other object from classmethod

2003-11-06 00:06  florian <florian@freepascal.org>

	* compiler/x86/cgx86.pas:
	
	  * elesize of g_copyvaluepara_openarray changed

2003-11-06 00:05  florian <florian@freepascal.org>

	* compiler/cgobj.pas:
	
	  * elesize of g_copyvaluepara_openarray changed
	  + g_releaesvaluepara_openarray added

2003-11-05 15:18  marco <marcov@stack.nl>

	* compiler/: nmem.pas, symdef.pas:
	
	 * fix from Peter arraysize warning (nav Newsgroup msg)

2003-11-04 23:30  florian <florian@freepascal.org>

	* compiler/: defcmp.pas, ncgcnv.pas, ncnv.pas, arm/narmcnv.pas,
	i386/n386cnv.pas, powerpc/nppccnv.pas, sparc/ncpucnv.pas:
	
	  + type cast variant<->enum
	  * cnv. node second pass uses now as well helper wrappers

2003-11-04 20:05  peter <peter@freepascal.org>

	* compiler/pinline.pas:
	
	  * fixed initialize call after getmem

2003-11-04 20:03  peter <peter@freepascal.org>

	* compiler/: ncgutil.pas, ncgcal.pas, tgobj.pas:
	
	  * fixes for temp type patch

2003-11-04 17:42  peter <peter@freepascal.org>

	* compiler/pexpr.pas:
	
	  * assigned(proc()) does not change the calln to loadn

2003-11-04 16:35  peter <peter@freepascal.org>

	* compiler/: cgbase.pas, nbas.pas, ncgbas.pas, ncgcal.pas,
	ncgmem.pas, ncgutil.pas, tgobj.pas:
	
	  * fix for referencecounted temps

2003-11-03 18:48  peter <peter@freepascal.org>

	* compiler/cgbase.pas:
	
	  * int_cgsize returned garbage for a=0

2003-11-03 18:47  peter <peter@freepascal.org>

	* compiler/pdecsub.pas:
	
	  * insert framepointer as voidpointer instead of returntype

2003-11-03 14:22  marco <marcov@stack.nl>

	* compiler/utils/samplecfg:
	
	 * BSD additions

2003-11-03 13:32  marco <marcov@stack.nl>

	* compiler/fppu.pas:
	
	 * cycle detection patch from peter

2003-11-03 09:11  michael <michael.vancanneyt@wisa.be>

	* compiler/msg/: errorpl.msg, errorpli.msg:
	
	+ Patches from Wojciech Malinowski

2003-11-02 18:19  florian <florian@freepascal.org>

	* compiler/powerpc/cgcpu.pas:
	
	  + copying of open array value parameters to the heap implemented

2003-11-02 16:20  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/cgcpu.pas:
	
	  * fixed releasing of references (ppc also has a base and an
	index, not
	    just a base)

2003-11-02 15:30  florian <florian@freepascal.org>

	* compiler/arm/: aasmcpu.pas, agarmgas.pas, cgcpu.pas, cpubase.pas,
	cpupara.pas, cpupi.pas, itarmgas.pas, narmadd.pas, narmcal.pas,
	narmcnv.pas, narminl.pas, narmmat.pas, radirect.pas, rgcpu.pas:
	
	  * fixed ARM for new reg. allocation scheme

2003-11-02 14:30  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncgbas.pas:
	
	  * fixed ppc compilation

2003-11-01 23:56  marco <marcov@stack.nl>

	* compiler/Makefile.fpc:
	
	 * package versions upgrade

2003-11-01 20:27  peter <peter@freepascal.org>

	* compiler/sparc/cpubase.pas:
	
	  * 1.9.0

2003-11-01 17:37  peter <peter@freepascal.org>

	* compiler/version.pas:
	
	  * don't remove .0 when patchlevel = 0

2003-11-01 17:27  peter <peter@freepascal.org>

	* compiler/version.pas:
	
	  * 1.9.0

2003-11-01 17:17  peter <peter@freepascal.org>

	* compiler/ncal.pas:
	
	  * use explicit typecast when generating the high value

2003-11-01 16:50  peter <peter@freepascal.org>

	* compiler/symdef.pas:
	
	  * fix check for valid procdef in property rtti

2003-10-31 19:44  peter <peter@freepascal.org>

	* compiler/nmem.pas:
	
	  * don't search for compatible procvars when the proc is not
	    overloaded

2003-10-31 19:42  peter <peter@freepascal.org>

	* compiler/ncnv.pas:
	
	  * don't call proc_to_procvar for explicit typecasts

2003-10-31 16:52  peter <peter@freepascal.org>

	* compiler/: ncal.pas, nmem.pas:
	
	  * support creating classes using <class of tobject>.create

2003-10-31 16:52  peter <peter@freepascal.org>

	* compiler/psub.pas:
	
	  * fix crash with fail in constructor

2003-10-31 16:51  peter <peter@freepascal.org>

	* compiler/nbas.pas:
	
	  * fix crashes in asmnode.deref when p_asm=nil

2003-10-31 16:51  peter <peter@freepascal.org>

	* compiler/: cgbase.pas, cutils.pas, fpcdefs.inc:
	
	  * USEINLINE directive added (not enabled yet)

2003-10-31 10:22  mazen <mazen@freepascal.org>

	* compiler/x86/cpubase.pas:
	
	* using findreg_by_<name|number>_table directly to decrease heap
	overheading

2003-10-31 09:47  mazen <mazen@freepascal.org>

	* compiler/sparc/cpubase.pas:
	
	* rgHelper renamed to rgBase * using findreg_by_<name|number>_table
	directly to decrease heap overheading

2003-10-31 09:40  mazen <mazen@freepascal.org>

	* compiler/: arm/cpubase.pas, powerpc/cpubase.pas:
	
	* rgHelper renamed to rgBase * using findreg_by_<name|number>_table
	directly to decrease heap overheading

2003-10-30 20:59  peter <peter@freepascal.org>

	* compiler/: aasmtai.pas, ncgbas.pas, rautils.pas,
	i386/ra386int.pas, x86/aasmcpu.pas, x86/rax86.pas:
	
	  * support scalefactor for opr_local
	  * support reference with opr_local set, fixes tw2631

2003-10-30 20:20  peter <peter@freepascal.org>

	* compiler/htypechk.pas:
	
	  * fix IE when passing array to open array

2003-10-30 19:53  marco <marcov@stack.nl>

	* compiler/x86/cgx86.pas:
	
	 * profiling fix

2003-10-30 19:35  marco <marcov@stack.nl>

	* compiler/systems/: t_bsd.pas, t_linux.pas:
	
	 * librarysuffix + profiling

2003-10-30 18:42  peter <peter@freepascal.org>

	* compiler/htypechk.pas:
	
	  * also check for uninited vars in staticsymtable

2003-10-30 18:13  peter <peter@freepascal.org>

	* compiler/: rgbase.pas, rghelper.pas, x86/cpubase.pas:
	
	  * fixed findreg_by_number
	  * renamed rghelper to rgbase

2003-10-30 18:12  peter <peter@freepascal.org>

	* compiler/ncgcal.pas:
	
	  * fixed rangecheck error

2003-10-30 17:23  peter <peter@freepascal.org>

	* compiler/: defcmp.pas, ncal.pas, nobj.pas, pdecobj.pas,
	pdecsub.pas, symsym.pas, symtable.pas:
	
	  * don't search for overloads in parents for constructors

2003-10-30 17:22  peter <peter@freepascal.org>

	* compiler/: pass_2.pas, psub.pas, rgobj.pas, x86/cgx86.pas:
	
	  * call firstpass before allocation and codegeneration is started
	  * move leftover code from pass_2.generatecode() to psub

2003-10-30 16:02  mazen <mazen@freepascal.org>

	* compiler/: arm/cpubase.pas, powerpc/cpubase.pas,
	sparc/aasmcpu.pas, sparc/cpubase.pas, x86/cpubase.pas:
	
	* now uses standard routines in rgHelper unit to search registers
	by number and by name

2003-10-30 15:56  mazen <mazen@freepascal.org>

	* compiler/cgbase.pas:
	
	+ add support for double float register vars

2003-10-30 15:55  mazen <mazen@freepascal.org>

	* compiler/mppcsparc:
	
	* fixed problem in transmission of source dirs to gdb

2003-10-30 15:54  mazen <mazen@freepascal.org>

	* compiler/rghelper.pas:
	
	+ standard routines to search registers by number and by name

2003-10-29 23:01  florian <florian@freepascal.org>

	* compiler/: ncal.pas, ncnv.pas:
	
	  * fixed passing of dyn. arrays to open array parameters

2003-10-29 22:56  peter <peter@freepascal.org>

	* compiler/: symdef.pas, symsym.pas:
	
	  * procsym.deref derefs only own procdefs
	  * reset paracount in procdef.deref so a second deref doesn't
	increase
	    the paracounts to invalid values

2003-10-29 22:55  peter <peter@freepascal.org>

	* compiler/fppu.pas:
	
	  * don't set second_load when second_compile was already set

2003-10-29 22:29  jonas <jonas.maebe@rug.ac.be>

	* compiler/rgobj.pas:
	
	  * some ALLOWDUPREG improvements

2003-10-29 22:24  jonas <jonas.maebe@rug.ac.be>

	* compiler/: ncgcal.pas, paramgr.pas, x86/cgx86.pas:
	
	  + support for fpu temp parameters
	  + saving/restoring of fpu register before/after a procedure call

2003-10-29 22:06  jonas <jonas.maebe@rug.ac.be>

	* compiler/aasmtai.pas:
	
	  * allow more than 3 args in the spilling routine

2003-10-29 22:02  peter <peter@freepascal.org>

	* compiler/: fppu.pas, parser.pas, scanner.pas:
	
	  * set ms_compiled after the program/unit is parsed
	  * check for ms_compiled before checking preproc matches

2003-10-29 21:34  peter <peter@freepascal.org>

	* compiler/: nbas.pas, pstatmnt.pas:
	
	  * move check for unused object constructor result to blocknode

2003-10-29 21:01  peter <peter@freepascal.org>

	* compiler/pstatmnt.pas:
	
	  * object constructor results are always used

2003-10-29 20:48  peter <peter@freepascal.org>

	* compiler/: cresstr.pas, ncgld.pas, nobj.pas, pmodules.pas,
	symdef.pas, symsym.pas:
	
	  * renamed mangeldname_prefix to make_mangledname and made it more
	    generic
	  * make_mangledname is now also used for internal
	threadvar/resstring
	    lists
	  * Add P$ in front of program modulename to prevent duplicated
	symbols
	    at assembler level, because the main program can have the same
	name
	    as a unit, see webtbs/tw1251b

2003-10-29 17:47  peter <peter@freepascal.org>

	* compiler/: rautils.pas, i386/ra386att.pas, i386/ra386int.pas:
	
	  * fix field offset in reference

2003-10-29 16:40  peter <peter@freepascal.org>

	* compiler/: aasmtai.pas, ncgbas.pas, pstatmnt.pas, rautils.pas,
	i386/ra386int.pas, x86/aasmcpu.pas, x86/rax86.pas:
	
	  * support indexing and offset retrieval for locals

2003-10-29 16:18  mazen <mazen@freepascal.org>

	* compiler/sparc/cgcpu.pas:
	
	+ added fake MM Registers support because of generic code need it.

2003-10-29 16:07  mazen <mazen@freepascal.org>

	* compiler/cgbase.pas:
	
	* 32 registers are available

2003-10-29 15:42  mazen <mazen@freepascal.org>

	* compiler/aasmtai.pas:
	
	* code reformatted

2003-10-29 15:05  mazen <mazen@freepascal.org>

	* compiler/aasmtai.pas:
	
	* Splling function devided to sub functions to make it easy to
	understand.    This commit is just to allow easy diffs to validate
	the migration (hint use -w)

2003-10-28 19:46  peter <peter@freepascal.org>

	* compiler/x86/agx86att.pas:
	
	  * fix crash with ops=0

2003-10-28 17:44  peter <peter@freepascal.org>

	* compiler/: Makefile, utils/Makefile:
	
	  * regenerated

2003-10-28 16:36  peter <peter@freepascal.org>

	* compiler/: htypechk.pas, ncgld.pas, ncnv.pas, nflw.pas, nld.pas,
	pdecsub.pas, pdecvar.pas, pexpr.pas, rautils.pas, symconst.pas,
	symppu.pas, symsym.pas, symtype.pas:
	
	  * absolute to object field supported, fixes tb0458

2003-10-28 16:35  peter <peter@freepascal.org>

	* compiler/nadd.pas:
	
	  * compare longint-cardinal also makes types wider

2003-10-28 13:12  mazen <mazen@freepascal.org>

	* compiler/mppcsparc:
	
	* modification to allow using test dir

2003-10-27 16:58  peter <peter@freepascal.org>

	* compiler/: Makefile, utils/Makefile:
	
	  * regenerated

2003-10-27 16:29  peter <peter@freepascal.org>

	* compiler/i386/ra386int.pas:
	
	  * fixed trec.field to return constant

2003-10-26 15:11  florian <florian@freepascal.org>

	* compiler/defcmp.pas:
	
	  * fixed web bug 2129: explicit float casts in Delphi mode must be
	handled by the default code

2003-10-26 14:37  florian <florian@freepascal.org>

	* compiler/: ncgcon.pas, i386/ra386att.pas:
	
	  * fixed web bug 2128

2003-10-25 13:34  florian <florian@freepascal.org>

	* compiler/ncgutil.pas:
	
	  * fixed compilation of ppc system unit

2003-10-25 12:37  florian <florian@freepascal.org>

	* compiler/powerpc/: aasmcpu.pas, agppcgas.pas, agppcmpw.pas:
	
	  * fixed compilation of ppc compiler

2003-10-24 19:40  peter <peter@freepascal.org>

	* compiler/: pmodules.pas, psub.pas:
	
	  * cleanup of the entry and exit code insertion

2003-10-24 19:39  peter <peter@freepascal.org>

	* compiler/: aasmtai.pas, ncgbas.pas:
	
	  * asmnode.get_position now inserts a marker

2003-10-24 19:39  peter <peter@freepascal.org>

	* compiler/: rautils.pas, i386/ra386att.pas, i386/ra386int.pas:
	
	  * more intel parser updates

2003-10-24 17:21  peter <peter@freepascal.org>

	* compiler/cgbase.pas:
	
	  * renamed R_SUBF64 to R_SUBFD

2003-10-24 17:20  peter <peter@freepascal.org>

	* compiler/sparc/: cgcpu.pas, rgcpu.pas:
	
	  * added more register functions

2003-10-24 13:31  mazen <mazen@freepascal.org>

	* compiler/sparc/: ncpucnv.pas, ncpuinln.pas, ncpumat.pas:
	
	*fixes related to removal of rg

2003-10-24 13:28  mazen <mazen@freepascal.org>

	* compiler/sparc/ncpuadd.pas:
	
	-unused units removed from uses clause

2003-10-24 13:25  mazen <mazen@freepascal.org>

	* compiler/sparc/cpupara.pas:
	
	-unused units removed from uses clause *fix related to rg which was
	removed

2003-10-24 13:22  mazen <mazen@freepascal.org>

	* compiler/sparc/cpugas.pas:
	
	*fix related to toper==>poper

2003-10-24 13:14  mazen <mazen@freepascal.org>

	* compiler/sparc/cgcpu.pas:
	
	* rg.[un]GetRegister* ==> [Un]Get[*]Register

2003-10-24 09:00  mazen <mazen@freepascal.org>

	* compiler/sparc/aasmcpu.pas:
	
	* fixed compil problem when using ObjFpc mode (^ required).

2003-10-23 19:19  peter <peter@freepascal.org>

	* compiler/i386/: ra386att.pas, ra386int.pas:
	
	  * typecasting fixes
	  * reference building more delphi compatible

2003-10-23 19:19  peter <peter@freepascal.org>

	* compiler/rautils.pas:
	
	  * SearchType returns also the size

2003-10-23 19:18  peter <peter@freepascal.org>

	* compiler/globals.pas:
	
	  * delphi mode uses packenum 1

2003-10-23 16:44  peter <peter@freepascal.org>

	* compiler/: aasmtai.pas, cclasses.pas, fmodule.pas, fppu.pas,
	nbas.pas, ncal.pas, ncnv.pas, ncon.pas, nflw.pas, nld.pas,
	nmem.pas, node.pas, nset.pas, symdef.pas, symppu.pas, symtable.pas,
	symtype.pas, x86/aasmcpu.pas:
	
	  * splitted buildderef and buildderefimpl to fix interface crc
	    calculation

2003-10-22 22:54  peter <peter@freepascal.org>

	* compiler/: msgtxt.inc, msg/errore.msg:
	
	  * fixed unit info messsage

2003-10-22 22:39  peter <peter@freepascal.org>

	* compiler/: aasmtai.pas, cclasses.pas, fmodule.pas, fppu.pas,
	nbas.pas, ncal.pas, ncnv.pas, ncon.pas, nflw.pas, nld.pas,
	nmem.pas, node.pas, nset.pas, ppu.pas, symdef.pas, symppu.pas,
	symsym.pas, symtable.pas, symtype.pas, utils/ppudump.pp,
	x86/aasmcpu.pas:
	
	  * write derefdata in a separate ppu entry

2003-10-22 19:38  peter <peter@freepascal.org>

	* compiler/fppu.pas:
	
	  * write implementation units in implementation part of the ppu
	    so it doesn't confuse the unit loading

2003-10-22 17:40  marco <marcov@stack.nl>

	* compiler/: globals.pas, options.pas:
	
	 * -Xc -Xr support

2003-10-22 17:22  peter <peter@freepascal.org>

	* compiler/: fmodule.pas, fppu.pas, gdb.pas, globals.pas,
	pdecobj.pas, pmodules.pas, symnot.pas, symsym.pas, symtable.pas,
	symtype.pas:
	
	  * fixed unitsym-globalsymtable relation so the uses of a unit
	    is counted correctly

2003-10-21 20:17  peter <peter@freepascal.org>

	* compiler/i386/ra386int.pas:
	
	  * ignore @ in Unit.@Proc

2003-10-21 20:17  peter <peter@freepascal.org>

	* compiler/ncal.pas:
	
	  * only search for overloaded constructors in classes

2003-10-21 20:16  peter <peter@freepascal.org>

	* compiler/: htypechk.pas, nadd.pas, ncnv.pas, nmem.pas,
	pdecobj.pas, ptconst.pas, ptype.pas, symtable.pas:
	
	  * IncompatibleTypes() added that will include unit names when
	    the typenames are the same

2003-10-21 20:15  peter <peter@freepascal.org>

	* compiler/nbas.pas:
	
	  * fixed check for $X- result usage

2003-10-21 20:14  peter <peter@freepascal.org>

	* compiler/symdef.pas:
	
	  * fix counting of parameters when loading ppu

2003-10-21 20:14  peter <peter@freepascal.org>

	* compiler/symsym.pas:
	
	  * fix writing of widechar to ppu

2003-10-21 17:43  peter <peter@freepascal.org>

	* compiler/defines.inc:
	
	  * already obsolete for 1,5 year

2003-10-21 17:15  peter <peter@freepascal.org>

	* compiler/: aasmtai.pas, assemble.pas, ncgbas.pas, ninl.pas,
	rgobj.pas, i386/ag386int.pas, i386/ag386nsm.pas, x86/aasmcpu.pas,
	x86/agx86att.pas, x86/rax86.pas:
	
	  * taicpu_abstract.oper[] changed to pointers

2003-10-21 17:14  peter <peter@freepascal.org>

	* compiler/ncal.pas:
	
	  * also search in parents for overloads when calling a constructor

2003-10-21 17:14  peter <peter@freepascal.org>

	* compiler/: pmodules.pas, psub.pas:
	
	  * fixed memleak for initfinalcode
	  * exit from generatecode when there are already errors

2003-10-21 17:13  peter <peter@freepascal.org>

	* compiler/i386/n386mem.pas:
	
	  * fix vecnode code that caused to much register conflicts

2003-10-20 21:30  peter <peter@freepascal.org>

	* compiler/x86/cgx86.pas:
	
	  * remove memdebug code for rg

2003-10-20 21:29  peter <peter@freepascal.org>

	* compiler/i386/ra386att.pas:
	
	  * fix check for register subscription of reference parameter

2003-10-20 21:29  peter <peter@freepascal.org>

	* compiler/htypechk.pas:
	
	  * fix check for typecasting wrong sizes in assignment left

2003-10-20 21:28  peter <peter@freepascal.org>

	* compiler/psub.pas:
	
	  * disable inlining when nested procedures are found

2003-10-20 21:28  peter <peter@freepascal.org>

	* compiler/ncgcal.pas:
	
	  * fixed inlining float parameters for i386

2003-10-19 14:36  florian <florian@freepascal.org>

	* compiler/rgobj.pas:
	
	  * improved speed; reduced memory usage of the interference bitmap

2003-10-19 03:34  florian <florian@freepascal.org>

	* compiler/: cgobj.pas, nbas.pas, ncgutil.pas, pass_2.pas,
	psub.pas, rgobj.pas, i386/ag386int.pas, i386/cpupara.pas,
	powerpc/cgcpu.pas, powerpc/cpubase.pas:
	
	  * some ppc stuff fixed
	  * memory leak fixed

2003-10-18 17:41  peter <peter@freepascal.org>

	* compiler/: node.pas, pass_2.pas, rgobj.pas, x86/cgx86.pas:
	
	  * made worklists dynamic in size

2003-10-18 11:16  hajny <xhajt03@mbox.vol.cz>

	* compiler/i386/ag386int.pas:
	
	  * Watcom patch by Wiktor Sywula

2003-10-18 11:14  hajny <xhajt03@mbox.vol.cz>

	* compiler/options.pas:
	
	  * upper limit for heapsize removed

2003-10-18 11:04  hajny <xhajt03@mbox.vol.cz>

	* compiler/systems.pas:
	
	  * Watcom target name didn't fit in name field length

2003-10-17 23:05  olle

	* compiler/options.pas:
	
	  * compiler now defines cpum68k instead of cpu68k (as is used in
	rtl)

2003-10-17 18:16  peter <peter@freepascal.org>

	* compiler/rgobj.pas:
	
	  * fixed last commit

2003-10-17 17:25  florian <florian@freepascal.org>

	* compiler/: cgobj.pas, rgobj.pas, powerpc/cgcpu.pas,
	x86/cgx86.pas:
	
	  * fixed more ppc stuff

2003-10-17 17:08  peter <peter@freepascal.org>

	* compiler/: ncgutil.pas, pass_2.pas, symdef.pas, i386/rgcpu.pas,
	powerpc/cgcpu.pas, powerpc/cpubase.pas, x86/cpubase.pas:
	
	  * commented out more obsolete constants

2003-10-17 16:52  peter <peter@freepascal.org>

	* compiler/: symdef.pas, powerpc/cgcpu.pas, powerpc/cpupara.pas,
	powerpc/nppcadd.pas:
	
	  * fixed ppc build

2003-10-17 16:38  peter <peter@freepascal.org>

	* compiler/: aasmtai.pas, cgbase.pas, cgobj.pas, nbas.pas,
	ncgcal.pas, ncgflw.pas, ncgld.pas, ncgset.pas, ncgutil.pas,
	nld.pas, paramgr.pas, pinline.pas, procinfo.pas, pstatmnt.pas,
	psub.pas, regvars.pas, rgobj.pas, symdef.pas, symsym.pas,
	symtable.pas, symtype.pas, i386/cpubase.inc, i386/cpupara.pas,
	i386/n386add.pas, i386/rgcpu.pas, x86/aasmcpu.pas, x86/cgx86.pas,
	x86/cpubase.pas:
	
	  * 64k registers supported
	  * fixed some memory leaks

2003-10-17 16:10  marco <marcov@stack.nl>

	* compiler/: Makefile, Makefile.fpc:
	
	 * new locations for cross-compiler binaries

2003-10-17 03:22  florian <florian@freepascal.org>

	* compiler/: ncgadd.pas, ncgcal.pas, node.pas, powerpc/cgcpu.pas,
	powerpc/nppcadd.pas, powerpc/nppccnv.pas, powerpc/nppcinl.pas,
	powerpc/nppcmat.pas, powerpc/nppcset.pas:
	
	  * compilation of the powerpc compiler fixed

2003-10-16 23:29  peter <peter@freepascal.org>

	* compiler/i386/ra386att.pas:
	
	  + __HIGH() to retrieve high value

2003-10-14 14:23  florian <florian@freepascal.org>

	* compiler/defcmp.pas:
	
	  * fixed 2729: overloading problem with methodvars and procvars

2003-10-14 02:30  florian <florian@freepascal.org>

	* compiler/: ncgld.pas, options.pas, procinfo.pas, i386/cpupi.pas,
	x86/cgx86.pas:
	
	  + some code for PIC support added

2003-10-13 16:05  peter <peter@freepascal.org>

	* compiler/: ncal.pas, nobj.pas, symdef.pas, symsym.pas,
	symtable.pas:
	
	  * removed is_visible_for_proc
	  * search also for class overloads when finding interface
	    implementations

2003-10-13 14:39  peter <peter@freepascal.org>

	* compiler/Makefile:
	
	  * regenerated

2003-10-13 11:38  florian <florian@freepascal.org>

	* compiler/i386/n386add.pas:
	
	  * fixed forgotten commit

2003-10-13 03:58  florian <florian@freepascal.org>

	* compiler/: i386/n386add.pas, powerpc/cgcpu.pas, x86/nx86add.pas:
	
	  * some ideas for mm support implemented

2003-10-13 03:23  florian <florian@freepascal.org>

	* compiler/: cgobj.pas, x86/cgx86.pas:
	
	  * some ideas for mm support implemented

2003-10-13 03:10  florian <florian@freepascal.org>

	* compiler/cgbase.pas:
	
	  * some ideas for mm support implemented

2003-10-11 21:32  marco <marcov@stack.nl>

	* compiler/: globals.pas, options.pas, systems/t_bsd.pas,
	systems/t_linux.pas, systems/t_sunos.pas:
	
	 * -Xd

2003-10-11 18:06  florian <florian@freepascal.org>

	* compiler/: Makefile, Makefile.fpc, aasmtai.pas, cclasses.pas,
	cgbase.pas, cgobj.pas, ncgcal.pas, ncgld.pas, paramgr.pas,
	rgobj.pas, symdef.pas, arm/cgcpu.pas, i386/cpupara.pas,
	powerpc/cgcpu.pas, powerpc/cpubase.pas, x86/cgx86.pas,
	x86/cpubase.pas:
	
	  * fixed some MMX<->SSE
	  * started to fix ppc, needs an overhaul
	  + stabs info improve for spilling, not sure if it works
	correctly/completly
	  - MMX_SUPPORT removed from Makefile.fpc

2003-10-10 19:48  peter <peter@freepascal.org>

	* compiler/: aasmtai.pas, cg64f32.pas, cgobj.pas, defcmp.pas,
	nbas.pas, ncgadd.pas, ncgbas.pas, ncgcal.pas, ncgcnv.pas,
	ncgcon.pas, ncgflw.pas, ncginl.pas, ncgld.pas, ncgmat.pas,
	ncgmem.pas, ncgopt.pas, ncgset.pas, ncgutil.pas, nld.pas, nobj.pas,
	paramgr.pas, pass_2.pas, procinfo.pas, pstatmnt.pas, psub.pas,
	regvars.pas, rgobj.pas, symdef.pas, i386/cgcpu.pas,
	i386/cpupara.pas, i386/n386add.pas, i386/n386cal.pas,
	i386/n386cnv.pas, i386/n386con.pas, i386/n386inl.pas,
	i386/n386mat.pas, i386/n386mem.pas, i386/n386obj.pas,
	i386/n386set.pas, i386/ra386int.pas, i386/rgcpu.pas,
	systems/t_win32.pas, x86/cga.pas, x86/cgx86.pas, x86/nx86cnv.pas:
	
	  * old trgobj moved to x86/rgcpu and renamed to trgx86fpu
	  * tregisteralloctor renamed to trgobj
	  * removed rgobj from a lot of units
	  * moved location_* and reference_* to cgobj
	  * first things for mmx register allocation

2003-10-10 11:21  marco <marcov@stack.nl>

	* compiler/ncgcal.pas:
	
	 * typo fix from Wiktor

2003-10-09 23:31  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/: cg64f32.pas, cgbase.pas, cgobj.pas, ncal.pas,
	ncgbas.pas, ncgcal.pas, ncgcnv.pas, ncgflw.pas, ncginl.pas,
	ncgld.pas, ncgmat.pas, ncgmem.pas, ncgopt.pas, ncgset.pas,
	ncgutil.pas, nflw.pas, nld.pas, nset.pas, paramgr.pas, pass_2.pas,
	procinfo.pas, psub.pas, regvars.pas, rgobj.pas, i386/n386add.pas,
	i386/n386cal.pas, i386/n386cnv.pas, i386/n386con.pas,
	i386/n386inl.pas, i386/n386mat.pas, i386/n386mem.pas,
	i386/n386set.pas, i386/rgcpu.pas, x86/aasmcpu.pas, x86/cga.pas,
	x86/cgx86.pas, x86/cpubase.pas, x86/nx86cnv.pas:
	
	  * Register allocator splitted, ans abstract now

2003-10-09 18:14  peter <peter@freepascal.org>

	* compiler/systems/t_win32.pas:
	
	  * fix check for generatenasmlib

2003-10-09 17:20  peter <peter@freepascal.org>

	* compiler/: pexpr.pas, psub.pas:
	
	  * self is not a token anymore. It is handled special when found
	    in a code block and when parsing an method

2003-10-09 17:00  florian <florian@freepascal.org>

	* compiler/: ncal.pas, pexpr.pas:
	
	  * fixed constructor call in class methods

2003-10-09 16:39  peter <peter@freepascal.org>

	* compiler/ncnv.pas:
	
	  * allow explicit typecasts from classrefdef, fixes 2728

2003-10-09 16:35  peter <peter@freepascal.org>

	* compiler/: Makefile, utils/Makefile:
	
	  * regenerated

2003-10-08 23:16  olle

	* compiler/sparc/cpupara.pas:
	
	  * changed to symbolic const for alignment
	  + alignment set for function result

2003-10-08 23:15  olle

	* compiler/powerpc/cpupara.pas:
	
	  * changed to symbolic const for alignment

2003-10-08 21:39  peter <peter@freepascal.org>

	* compiler/rautils.pas:
	
	  * allow access to parent locals when the currnet localst has no
	    varsyms

2003-10-08 21:19  peter <peter@freepascal.org>

	* compiler/: htypechk.pas, nadd.pas, ncal.pas, ncginl.pas,
	ncnv.pas, nflw.pas, ninl.pas, nld.pas, nmat.pas, nmem.pas,
	node.pas, nset.pas, pexpr.pas, pinline.pas, pstatmnt.pas,
	symconst.pas, symsym.pas:
	
	  * set_varstate cleanup

2003-10-08 21:17  peter <peter@freepascal.org>

	* compiler/: options.pas, verbose.pas:
	
	  * -P to -ap
	  * -V to -vv

2003-10-08 21:16  peter <peter@freepascal.org>

	* compiler/utils/fpc.pp:
	
	  * -Q back to -P, -L back to -V

2003-10-08 19:54  florian <florian@freepascal.org>

	* compiler/comprsrc.pas:
	
	  * fixed resource compiler search if no utilty directory was given

2003-10-08 16:12  mazen <mazen@freepascal.org>

	* compiler/mppcsparc:
	
	* test now based on fpc/tests/test

2003-10-08 16:11  mazen <mazen@freepascal.org>

	* compiler/: powerpc/cpubase.pas, powerpc/cpupara.pas,
	sparc/cpubase.pas, sparc/cpupara.pas:
	
	+ Alignement field added to TParaLocation (=4 as 32 bits archs)

2003-10-08 16:10  mazen <mazen@freepascal.org>

	* compiler/globals.pas:
	
	+ ASMMODE ATT added to bypass fpc.cfg defaults

2003-10-08 13:42  olle

	* compiler/: msg/errore.msg, msgtxt.inc:
	
	  * targets now in alfabetical order and lowercase

2003-10-08 11:13  florian <florian@freepascal.org>

	* compiler/i386/n386add.pas:
	
	  * fixed full bool evalution and bool xor, if the left or right
	side have LOC_JUMP

2003-10-07 23:14  peter <peter@freepascal.org>

	* compiler/: defcmp.pas, ncal.pas, nobj.pas, pdecsub.pas,
	symsym.pas:
	
	  * compare_paras() has a parameter to ignore hidden parameters
	  * cross unit overload searching ignores hidden parameters when
	    comparing parameter lists. Now function(string):string is
	    not overriden with procedure(string) which has the same visible
	    parameter list

2003-10-07 22:52  peter <peter@freepascal.org>

	* compiler/pdecsub.pas:
	
	  * procvar varargs fixed

2003-10-07 22:44  peter <peter@freepascal.org>

	* compiler/nobj.pas:
	
	  * inherited forced calling convention
	  * show hints when forward doesn't match

2003-10-07 22:43  peter <peter@freepascal.org>

	* compiler/symdef.pas:
	
	  * Add calling convention in fullprocname when it is specified

2003-10-07 22:06  peter <peter@freepascal.org>

	* compiler/pstatmnt.pas:
	
	  * set calling convention before assembler block is parsed

2003-10-07 20:21  peter <peter@freepascal.org>

	* compiler/i386/: ra386att.pas, ra386int.pas:
	
	  * fix crash
	  * allow parameter subscription for register parameters

2003-10-07 20:18  peter <peter@freepascal.org>

	* compiler/: ncgbas.pas, ncgutil.pas:
	
	  * fix register calling for assembler procedures
	  * fix result loading for assembler procedures

2003-10-07 20:17  peter <peter@freepascal.org>

	* compiler/ncon.pas:
	
	  * Give message that constant expr is expected when a none
	constant
	    is passed to get_ordinal_value

2003-10-07 19:52  peter <peter@freepascal.org>

	* compiler/: msg/errore.msg, msgidx.inc, msgtxt.inc:
	
	  * constant expr expected

2003-10-07 18:09  florian <florian@freepascal.org>

	* compiler/x86/cgx86.pas:
	
	  * x86 supports only mem/reg to reg for movsx and movzx

2003-10-07 18:06  peter <peter@freepascal.org>

	* compiler/: pdecobj.pas, symdef.pas, symppu.pas, symtype.pas:
	
	  * tsymlist.def renamed to tsymlist.procdef
	  * tsymlist.procdef is now only used to store the procdef

2003-10-07 17:17  peter <peter@freepascal.org>

	* compiler/: ncgcal.pas, ncgld.pas, ncgutil.pas, psub.pas,
	symconst.pas, symsym.pas, symtable.pas, i386/cpupara.pas,
	x86/cgx86.pas:
	
	  * inline supported again, LOC_REFERENCEs are used to pass the
	    parameters
	  * inlineparasymtable,inlinelocalsymtable removed
	  * exitlabel inserting fixed

2003-10-07 16:30  peter <peter@freepascal.org>

	* compiler/ncnv.pas:
	
	  * fix 2720

2003-10-07 00:23  florian <florian@freepascal.org>

	* compiler/: psub.pas, psystem.pas, symconst.pas, symdef.pas:
	
	  + added basic olevariant support

2003-10-05 23:21  peter <peter@freepascal.org>

	* compiler/: htypechk.pas, ncal.pas, ncgcal.pas, ncginl.pas,
	ncgld.pas, nld.pas, paramgr.pas, pdecsub.pas, procinfo.pas,
	symdef.pas, i386/cpupara.pas:
	
	  * c style array of const generates callparanodes
	  * varargs paraloc fixes

2003-10-05 15:05  peter <peter@freepascal.org>

	* compiler/defcmp.pas:
	
	  * when comparing hidden parameters both must be hidden

2003-10-05 14:57  peter <peter@freepascal.org>

	* compiler/defcmp.pas:
	
	  * set correct conversion for subranges

2003-10-05 14:56  peter <peter@freepascal.org>

	* compiler/symdef.pas:
	
	  * don't write procdefs that are released to ppu

2003-10-05 14:56  peter <peter@freepascal.org>

	* compiler/pexpr.pas:
	
	  * fix assigned(property)

2003-10-05 14:55  peter <peter@freepascal.org>

	* compiler/pdecvar.pas:
	
	  * allow absolute with value for win32,wdos

2003-10-05 14:54  peter <peter@freepascal.org>

	* compiler/ncal.pas:
	
	  * don't check for abstract methods when the constructor is called
	    by inherited
	  * fix private member error instead of wrong number of parameters

2003-10-05 13:53  florian <florian@freepascal.org>

	* compiler/nflw.pas:
	
	  * writing of loop nodes fixed

2003-10-05 13:10  peter <peter@freepascal.org>

	* compiler/pdecsub.pas:
	
	  * temporary fix for compilerprocs on watcom

2003-10-04 21:00  florian <florian@freepascal.org>

	* compiler/ncal.pas:
	
	  * fixed TP 6.0 styled inherited call; fixes IDE with 1.1

2003-10-04 15:48  marco <marcov@stack.nl>

	* compiler/: Makefile, utils/Makefile:
	
	 * cross compiling fixes to makefile and fpcmake

2003-10-04 00:09  peter <peter@freepascal.org>

	* compiler/systems/: i_amiga.pas, i_beos.pas, i_bsd.pas, i_emx.pas,
	i_go32v2.pas, i_linux.pas, i_macos.pas, i_nwm.pas, i_os2.pas,
	i_sunos.pas, i_watcom.pas, i_wdosx.pas, i_win32.pas:
	
	  * removed paraalign

2003-10-04 00:00  peter <peter@freepascal.org>

	* compiler/: globals.pas, ncal.pas, ncgcal.pas, paramgr.pas,
	pdecsub.pas, procinfo.pas, symdef.pas, systems.pas,
	i386/cpupara.pas, i386/cpupi.pas, x86/cgx86.pas, x86/cpubase.pas:
	
	  * parameter alignment fixes

2003-10-03 23:40  marco <marcov@stack.nl>

	* compiler/: Makefile, Makefile.fpc, utils/Makefile:
	
	 * CROSSCOMPILING stage 2

2003-10-03 16:45  peter <peter@freepascal.org>

	* compiler/x86/cgx86.pas:
	
	  * save ESP after pusha and restore before popa for save all
	registers

2003-10-03 16:45  peter <peter@freepascal.org>

	* compiler/: pdecl.pas, pdecvar.pas, psub.pas, ptype.pas:
	
	  * more proc directive for procvar fixes

2003-10-03 16:44  peter <peter@freepascal.org>

	* compiler/ncal.pas:
	
	  * fix IE when callnode was firstpassed twice

2003-10-03 16:43  peter <peter@freepascal.org>

	* compiler/symtable.pas:
	
	  * don't report unused hidden parameters

2003-10-03 16:16  marco <marcov@stack.nl>

	* compiler/: assemble.pas, globals.pas, impdef.pas, options.pas,
	systems/t_beos.pas, systems/t_bsd.pas, systems/t_go32v2.pas,
	systems/t_linux.pas, systems/t_sunos.pas, systems/t_watcom.pas,
	systems/t_win32.pas:
	
	 * -XP<prefix> support

2003-10-02 23:20  peter <peter@freepascal.org>

	* compiler/psub.pas:
	
	  * handle_calling_convention removed from parse_proc_directive to
	    separate call

2003-10-02 23:19  peter <peter@freepascal.org>

	* compiler/symdef.pas:
	
	  * protected visibility fixes

2003-10-02 23:18  peter <peter@freepascal.org>

	* compiler/ncon.pas:
	
	  * niln is also a constnode

2003-10-02 23:18  peter <peter@freepascal.org>

	* compiler/x86/agx86att.pas:
	
	  * remove asw

2003-10-02 23:17  peter <peter@freepascal.org>

	* compiler/i386/ra386int.pas:
	
	  * fix operand order when a prefix opcode is supplied

2003-10-02 23:17  peter <peter@freepascal.org>

	* compiler/: impdef.pas, systems.pas, systems/i_wdosx.pas,
	systems/i_win32.pas, systems/t_win32.pas:
	
	  * use as,ld,ar instead of asw,ldw,arw for win32

2003-10-02 23:16  peter <peter@freepascal.org>

	* compiler/globals.pas:
	
	  * delphi and tp7 mode use intel asm by default

2003-10-02 23:15  peter <peter@freepascal.org>

	* compiler/pstatmnt.pas:
	
	  * delphi mode uses register calling by default for assembler

2003-10-02 23:15  peter <peter@freepascal.org>

	* compiler/pdecobj.pas:
	
	  * support nil as default value
	  * when no default property is allowed don't check default value

2003-10-02 23:13  peter <peter@freepascal.org>

	* compiler/: ncal.pas, symtable.pas, pexpr.pas, pinline.pas:
	
	  * protected visibility fixes

2003-10-02 23:13  peter <peter@freepascal.org>

	* compiler/: pdecl.pas, pdecsub.pas, pdecvar.pas, ptype.pas:
	
	  * procvar directive parsing fixes

2003-10-02 17:12  peter <peter@freepascal.org>

	* compiler/pdecvar.pas:
	
	  * fix type parsing in records

2003-10-02 13:06  marco <marcov@stack.nl>

	* compiler/: Makefile, Makefile.fpc:
	
	 * makefile fixes from peter

2003-10-02 10:50  marco <marcov@stack.nl>

	* compiler/: Makefile, utils/Makefile:
	
	 * remake with new fpc param

2003-10-01 22:34  peter <peter@freepascal.org>

	* compiler/: aasmtai.pas, aggas.pas, browcol.pas, cg64f32.pas,
	cgbase.pas, cginfo.pas, cgobj.pas, defutil.pas, fmodule.pas,
	globals.pas, htypechk.pas, nadd.pas, nbas.pas, ncal.pas,
	ncgadd.pas, ncgbas.pas, ncgcal.pas, ncgcnv.pas, ncgcon.pas,
	ncgflw.pas, ncginl.pas, ncgld.pas, ncgmat.pas, ncgmem.pas,
	ncgopt.pas, ncgset.pas, ncgutil.pas, ncnv.pas, ncon.pas, nflw.pas,
	ninl.pas, nld.pas, nmat.pas, nmem.pas, nobj.pas, node.pas,
	nopt.pas, nset.pas, nutils.pas, paramgr.pas, parser.pas,
	pass_1.pas, pass_2.pas, pexpr.pas, pinline.pas, pmodules.pas,
	procinfo.pas, pstatmnt.pas, psub.pas, rautils.pas, regvars.pas,
	rgobj.pas, symdef.pas, symsym.pas, tgobj.pas, verbose.pas,
	i386/ag386nsm.pas, i386/cgcpu.pas, i386/cpupara.pas,
	i386/cpupi.pas, i386/n386add.pas, i386/n386cal.pas,
	i386/n386cnv.pas, i386/n386con.pas, i386/n386inl.pas,
	i386/n386mat.pas, i386/n386mem.pas, i386/n386obj.pas,
	i386/n386set.pas, i386/ra386att.pas, i386/ra386int.pas,
	i386/rgcpu.pas, powerpc/aasmcpu.pas, powerpc/agppcgas.pas,
	powerpc/agppcmpw.pas, powerpc/cgcpu.pas, powerpc/cpubase.pas,
	powerpc/cpupara.pas, powerpc/cpupi.pas, powerpc/itppcgas.pas,
	powerpc/nppcadd.pas, powerpc/nppccal.pas, powerpc/nppccnv.pas,
	powerpc/nppcinl.pas, powerpc/nppcmat.pas, powerpc/nppcset.pas,
	powerpc/radirect.pas, powerpc/rgcpu.pas, sparc/aasmcpu.pas,
	sparc/cgcpu.pas, sparc/cpubase.pas, sparc/cpupara.pas,
	sparc/cpupi.pas, sparc/ncpuadd.pas, sparc/ncpucnv.pas,
	sparc/ncpuinln.pas, sparc/ncpumat.pas, sparc/radirect.pas,
	sparc/rgcpu.pas, x86/aasmcpu.pas, x86/agx86att.pas, x86/cga.pas,
	x86/cgx86.pas, x86/cpubase.pas, x86/itx86att.pas, x86/itx86int.pas,
	x86/nx86cnv.pas, x86/radirect.pas, x86/rax86.pas:
	
	  * procinfo unit contains tprocinfo
	  * cginfo renamed to cgbase
	  * moved cgmessage to verbose
	  * fixed ppc and sparc compiles

2003-10-01 21:05  peter <peter@freepascal.org>

	* compiler/: pdecsub.pas, pdecvar.pas, ptype.pas, symtable.pas:
	
	  * searchsym_type to search for type definitions. It ignores
	    records,objects and parameters

2003-10-01 20:28  peter <peter@freepascal.org>

	* compiler/pdecsub.pas:
	
	  * don't look in objectsymtable when parsing the function return
	type

2003-10-01 18:49  florian <florian@freepascal.org>

	* compiler/: pdecsub.pas, symdef.pas:
	
	  * para items are now reversed for pascal calling conventions

2003-10-01 17:32  florian <florian@freepascal.org>

	* compiler/symdef.pas:
	
	  * fixed FullProcName to handle constructors, destructors and
	operators correctly

2003-10-01 17:00  peter <peter@freepascal.org>

	* compiler/symdef.pas:
	
	  * don't write parast,localst debug info for externals

2003-09-30 23:02  peter <peter@freepascal.org>

	* compiler/: ncgcal.pas, ncgutil.pas, paramgr.pas,
	i386/cpupara.pas:
	
	  * updates for inlining

2003-09-30 22:10  peter <peter@freepascal.org>

	* compiler/systems/t_win32.pas:
	
	  * smartlink fix for dlls from Pavel

2003-09-30 21:55  peter <peter@freepascal.org>

	* compiler/ncgcal.pas:
	
	  * remove abt reg for vmtreg

2003-09-30 21:54  peter <peter@freepascal.org>

	* compiler/rgobj.pas:
	
	  * reuse registers with the least conflicts

2003-09-30 21:54  peter <peter@freepascal.org>

	* compiler/: assemble.pas, script.pas:
	
	  * better link on target support

2003-09-30 21:53  peter <peter@freepascal.org>

	* compiler/x86/cgx86.pas:
	
	  * fix pushw reg

2003-09-30 19:25  marco <marcov@stack.nl>

	* compiler/utils/fpc.pp:
	
	 * -Q=-P and -L=-V

2003-09-30 13:24  marco <marcov@stack.nl>

	* compiler/utils/fpc.pp:
	
	 * -V support

2003-09-30 10:39  michael <michael.vancanneyt@wisa.be>

	* compiler/: pmodules.pas, i386/ag386int.pas, systems/i_watcom.pas,
	systems/t_watcom.pas:
	
	+ Patch from Wiktor Sywula for watcom support

2003-09-29 22:58  peter <peter@freepascal.org>

	* compiler/: ncgcal.pas, ncgld.pas, ncgmem.pas, ncgutil.pas,
	psub.pas, rgobj.pas, i386/n386mat.pas, i386/n386mem.pas,
	x86/aasmcpu.pas, x86/cgx86.pas:
	
	  * optimized releasing of registers

2003-09-29 22:52  peter <peter@freepascal.org>

	* compiler/cclasses.pas:
	
	  * insertbefore added

2003-09-28 23:49  peter <peter@freepascal.org>

	* compiler/x86/: cga.pas, cpubase.pas:
	
	  * removed emitjmp

2003-09-28 23:49  peter <peter@freepascal.org>

	* compiler/x86/aasmcpu.pas:
	
	  * fixed invalid opcode handling in spill registers

2003-09-28 23:48  peter <peter@freepascal.org>

	* compiler/x86/nx86cnv.pas:
	
	  * fix register leak

2003-09-28 23:48  peter <peter@freepascal.org>

	* compiler/i386/: n386add.pas, n386cnv.pas, n386inl.pas,
	n386mat.pas, n386set.pas:
	
	  * fix register leaks

2003-09-28 23:47  peter <peter@freepascal.org>

	* compiler/ncgutil.pas:
	
	  * register paras and local copies updates

2003-09-28 23:46  peter <peter@freepascal.org>

	* compiler/ncgld.pas:
	
	  * fix allocation of threadvar parameter

2003-09-28 23:45  peter <peter@freepascal.org>

	* compiler/: ncgmem.pas, pass_2.pas:
	
	  * fix register leak in with debug

2003-09-28 23:44  peter <peter@freepascal.org>

	* compiler/: ncal.pas, pdecsub.pas:
	
	  * fix check that filedef needs var para

2003-09-28 19:55  peter <peter@freepascal.org>

	* compiler/: cgbase.pas, cgobj.pas, ncal.pas, ncgcal.pas,
	ncgld.pas, ncgmem.pas, ncgutil.pas, nld.pas, nmem.pas, node.pas,
	pass_2.pas, pdecsub.pas, psub.pas, psystem.pas, symconst.pas,
	i386/cpupara.pas, powerpc/cpupi.pas:
	
	  * parent framepointer changed to hidden parameter
	  * tloadparentfpnode added

2003-09-28 15:54  peter <peter@freepascal.org>

	* compiler/ncgcal.pas:
	
	  * removed a_call_ref

2003-09-28 15:41  peter <peter@freepascal.org>

	* compiler/rgobj.pas:
	
	  * return reg 255 when allowdupreg is defined

2003-09-28 15:39  peter <peter@freepascal.org>

	* compiler/globtype.pas:
	
	  * default calling convention changed to stdcall

2003-09-28 15:39  peter <peter@freepascal.org>

	* compiler/: ncgcnv.pas, ncgld.pas, ncgutil.pas:
	
	  * optimized releasing of registers

2003-09-28 15:38  peter <peter@freepascal.org>

	* compiler/: msgidx.inc, msgtxt.inc, msg/errore.msg:
	
	  * invalid register message

2003-09-28 15:37  peter <peter@freepascal.org>

	* compiler/: x86/cgx86.pas, cgobj.pas:
	
	  * a_call_ref removed

2003-09-28 15:37  peter <peter@freepascal.org>

	* compiler/x86/aasmcpu.pas:
	
	  * give error for wrong register number

2003-09-28 15:35  peter <peter@freepascal.org>

	* compiler/i386/n386add.pas:
	
	  * shortstr compare updated for different calling conventions

2003-09-28 15:35  peter <peter@freepascal.org>

	* compiler/i386/cpupara.pas:
	
	  * register calling updates

2003-09-27 15:29  peter <peter@freepascal.org>

	* compiler/psub.pas:
	
	  * fix reported file position for not matched forwards

2003-09-25 23:29  peter <peter@freepascal.org>

	* compiler/x86/cpubase.pas:
	
	  * remove sp_fixup

2003-09-25 23:29  peter <peter@freepascal.org>

	* compiler/x86/cgx86.pas:
	
	  * change push/pop in getreg/ungetreg

2003-09-25 23:28  peter <peter@freepascal.org>

	* compiler/: ncal.pas, ncgcal.pas, ncgutil.pas, i386/cpupara.pas,
	i386/cpupi.pas, i386/n386obj.pas:
	
	  * parameter fixes

2003-09-25 23:27  peter <peter@freepascal.org>

	* compiler/ncgld.pas:
	
	  * rearranged threadvar code so the result register is the same
	    for the relocated and address loaded variables

2003-09-25 23:26  peter <peter@freepascal.org>

	* compiler/cgobj.pas:
	
	  * remove obsolete tparalocation.sp_fixup

2003-09-25 23:25  peter <peter@freepascal.org>

	* compiler/symsym.pas:
	
	  * has_local_copy gdb fix

2003-09-25 23:25  peter <peter@freepascal.org>

	* compiler/: cgbase.pas, psub.pas:
	
	  * remove allocate_intterupt_parameter, allocation is platform
	    dependent and needs to be done in create_paraloc_info

2003-09-25 23:24  peter <peter@freepascal.org>

	* compiler/pdecsub.pas:
	
	  * don't include vo_has_local_copy for open array/array of const

2003-09-25 18:19  peter <peter@freepascal.org>

	* compiler/: psub.pas, rgobj.pas:
	
	  * fix filepositions
	  * insert spill temp allocations at the start of the proc

2003-09-25 18:18  peter <peter@freepascal.org>

	* compiler/symsym.pas:
	
	  * fixed stabs for globals,static

2003-09-25 16:59  peter <peter@freepascal.org>

	* compiler/: i386/r386nasm.inc, x86/x86reg.dat:
	
	  * %st is st0 in nasm

2003-09-25 16:59  peter <peter@freepascal.org>

	* compiler/i386/n386obj.pas:
	
	  * fix intf wrapper code

2003-09-25 16:57  peter <peter@freepascal.org>

	* compiler/ncnv.pas:
	
	  * fix different expectloc

2003-09-25 16:57  peter <peter@freepascal.org>

	* compiler/rautils.pas:
	
	  * fix check for unreachable locals

2003-09-25 15:13  florian <florian@freepascal.org>

	* compiler/: regvars.pas, i386/cgcpu.pas, x86/cgx86.pas,
	x86_64/cgcpu.pas, x86_64/cpubase.inc, x86_64/cpuswtch.pas:
	
	  * more x86-64 fixes

2003-09-24 23:15  florian <florian@freepascal.org>

	* compiler/x86/aasmcpu.pas:
	
	  * fixed make cycle

2003-09-24 19:13  florian <florian@freepascal.org>

	* compiler/globals.pas:
	
	  + processor type intialization for x86-64 added

2003-09-24 19:12  florian <florian@freepascal.org>

	* compiler/x86/: aasmcpu.pas, cpubase.pas, itx86att.pas,
	x86reg.dat:
	
	  * x86-64 adaptions

2003-09-24 19:12  florian <florian@freepascal.org>

	* compiler/x86_64/: cpubase.inc, cpuinfo.pas, r8664ari.inc,
	r8664att.inc, r8664con.inc, r8664nor.inc, r8664num.inc,
	r8664op.inc, r8664ot.inc, r8664rni.inc, r8664sri.inc,
	r8664stab.inc, r8664std.inc, rgcpu.pas:
	
	  * several fixes for new reg allocator

2003-09-24 19:11  florian <florian@freepascal.org>

	* compiler/utils/mkx86reg.pp:
	
	  * x86_64 support; turn on by passing x86_64

2003-09-24 15:02  marco <marcov@stack.nl>

	* compiler/: browcol.pas, cclasses.pas:
	
	 * (Peter) patch to fix snapshot

2003-09-23 23:10  peter <peter@freepascal.org>

	* compiler/ninl.pas:
	
	  * don't call firstpass in resulttypepass

2003-09-23 23:03  peter <peter@freepascal.org>

	* compiler/ncgutil.pas:
	
	  * check for refs>0 in init/final local data

2003-09-23 23:03  peter <peter@freepascal.org>

	* compiler/symdef.pas:
	
	  * connect parasym to paraitem

2003-09-23 22:37  peter <peter@freepascal.org>

	* compiler/i386/: ra386att.pas, ra386int.pas:
	
	  * fix global var+offset

2003-09-23 22:37  peter <peter@freepascal.org>

	* compiler/cgobj.pas:
	
	  * fpc_check_object(_ext) has saveregisters and doesn't need
	    saving of registers

2003-09-23 22:36  peter <peter@freepascal.org>

	* compiler/pdecsub.pas:
	
	  * remove obsolete code

2003-09-23 20:03  peter <peter@freepascal.org>

	* compiler/pmodules.pas:
	
	  * add missing release of main_proc

2003-09-23 19:58  peter <peter@freepascal.org>

	* compiler/systems/i_linux.pas:
	
	  * recordminalign for sparc 0

2003-09-23 19:56  peter <peter@freepascal.org>

	* compiler/: aasmtai.pas, aggas.pas, assemble.pas, cgbase.pas,
	cginfo.pas, nbas.pas, ncal.pas, ncgbas.pas, ncgcal.pas, ncgflw.pas,
	ncgld.pas, ncgmem.pas, ncgutil.pas, ninl.pas, nld.pas, nobj.pas,
	paramgr.pas, pass_1.pas, pbase.pas, pdecl.pas, pdecsub.pas,
	pdecvar.pas, pexpr.pas, pinline.pas, pmodules.pas, ppu.pas,
	pstatmnt.pas, psub.pas, psystem.pas, ptconst.pas, ptype.pas,
	rautils.pas, regvars.pas, symbase.pas, symconst.pas, symdef.pas,
	symsym.pas, symtable.pas, tgobj.pas, i386/ag386int.pas,
	i386/ag386nsm.pas, i386/cpupara.pas, i386/cpupi.pas,
	i386/n386cal.pas, i386/n386obj.pas, i386/ra386att.pas,
	i386/ra386int.pas, x86/aasmcpu.pas, x86/agx86att.pas,
	x86/cpubase.pas, x86/radirect.pas, x86/rax86.pas:
	
	  * locals and paras are allocated in the code generation
	  * tvarsym.localloc contains the location of para/local when
	    generating code for the current procedure

2003-09-18 17:48  marco <marcov@stack.nl>

	* compiler/utils/ppumove.pp:
	
	 * adapted to unixutil

2003-09-18 17:38  marco <marcov@stack.nl>

	* compiler/globals.pas:
	
	 * BSD 1.0.x still uses st_ prefixes.

2003-09-18 10:50  marco <marcov@stack.nl>

	* compiler/catch.pas:
	
	 * fix for snapshot building.

2003-09-18 00:30  olle

	* compiler/: scandir.pas, scanner.pas:
	
	  + support for a different set of compiler directives under $MODE
	MAC
	  + added mac directives $SETC $IFC $ELSEC $ENDC

2003-09-17 23:38  olle

	* compiler/: msgidx.inc, msgtxt.inc, msg/errore.msg:
	
	  + added command line option for language mode -M<x>
	  + helpinfo powerpc targets

2003-09-17 23:37  olle

	* compiler/options.pas:
	
	  + added command line option for language mode -M<x>

2003-09-16 18:17  peter <peter@freepascal.org>

	* compiler/: globals.pas, ncal.pas, ncgcal.pas, ncgld.pas,
	ncgutil.pas, ninl.pas, nld.pas, paramgr.pas, pdecsub.pas,
	pstatmnt.pas, rautils.pas, regvars.pas, rgobj.pas, symsym.pas,
	i386/cpupara.pas:
	
	  * varspez in calls to push_addr_param

2003-09-16 17:14  peter <peter@freepascal.org>

	* compiler/defbase.pas:
	
	  * obsolete

2003-09-16 15:42  marco <marcov@stack.nl>

	* compiler/script.pas:
	
	 * Had a useless dependancy on unit unix in 1_1 mode

2003-09-16 09:07  marco <marcov@stack.nl>

	* compiler/Makefile:
	
	 * now for all platforms

2003-09-15 22:11  marco <marcov@stack.nl>

	* compiler/: Makefile, globals.pas:
	
	 * fixed

2003-09-15 18:30  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/: Makefile, Makefile.fpc:
	
	  * Removed m68k from fullcycle

2003-09-14 23:57  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncgadd.pas:
	
	  * fixed release_reg_left_right for fpu registers

2003-09-14 23:56  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/cpupara.pas:
	
	  + implemented volatile register queries

2003-09-14 23:36  peter <peter@freepascal.org>

	* compiler/sparc/ncpucnv.pas:
	
	  * remove ppc code

2003-09-14 23:35  peter <peter@freepascal.org>

	* compiler/sparc/cgcpu.pas:
	
	  * flags2reg fixed
	  * fixed 64bit not

2003-09-14 23:35  peter <peter@freepascal.org>

	* compiler/sparc/: cpubase.pas, cpupara.pas:
	
	  * new volatile registers proc

2003-09-14 23:34  peter <peter@freepascal.org>

	* compiler/ncgadd.pas:
	
	  * fix setelementn support
	  * fix loading of flags

2003-09-14 23:33  peter <peter@freepascal.org>

	* compiler/ncgutil.pas:
	
	  * location_force_reg gives IE when size=OS_NO

2003-09-14 23:33  peter <peter@freepascal.org>

	* compiler/: link.pas, options.pas:
	
	  * don't check exepath when linking on target

2003-09-14 22:26  marco <marcov@stack.nl>

	* compiler/: catch.pas, globals.pas, script.pas, utils/ppumove.pp:
	
	 * Unix reform

2003-09-14 21:30  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/cginfo.pas:
	
	  * Fixed endian problem in Tregisterrec record

2003-09-14 21:19  peter <peter@freepascal.org>

	* compiler/sparc/: aasmcpu.pas, cgcpu.pas, cpubase.pas,
	cpupara.pas, cpupi.pas, rgcpu.pas:
	
	  * updates for new ra

2003-09-14 21:18  peter <peter@freepascal.org>

	* compiler/: cgbase.pas, ncgutil.pas, psub.pas:
	
	  * remove obsolete code already in comments

2003-09-14 21:17  peter <peter@freepascal.org>

	* compiler/ncgcal.pas:
	
	  * don't use a_call_ref because it can use a parameter register
	    as temp

2003-09-14 19:27  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/rgcpu.pas:
	
	  - removed initialization code

2003-09-14 18:37  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/: cgcpu.pas, cpubase.pas, cpupara.pas:
	
	  * fixed some ppc problems

2003-09-14 16:22  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/x86/aasmcpu.pas:
	
	  * Fixed incorrect movzx spilling

2003-09-14 15:20  peter <peter@freepascal.org>

	* compiler/: symdef.inc, symdefh.inc, symppu.inc, symsym.inc:
	
	  * obsolete

2003-09-14 15:20  peter <peter@freepascal.org>

	* compiler/symsym.pas:
	
	  * fix previous commit, also include objectsymtable

2003-09-14 14:58  peter <peter@freepascal.org>

	* compiler/symtype.pas:
	
	  * give IE when st is not assigned in deref

2003-09-14 14:58  peter <peter@freepascal.org>

	* compiler/: psub.pas, symsym.pas:
	
	  * support mulitple overloads in implementation, this is delphi
	    compatible
	  * procsym only stores the overloads available in the interface

2003-09-14 14:57  peter <peter@freepascal.org>

	* compiler/ncgld.pas:
	
	  * save destroyed registers when calling threadvar helper

2003-09-14 14:55  jonas <jonas.maebe@rug.ac.be>

	* compiler/globals.pas:
	
	  * fixed compilation for non-x86

2003-09-12 22:25  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/x86/aasmcpu.pas:
	
	  * Add BTR to destination memory location check in spilling

2003-09-12 21:07  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/: psub.pas, rgobj.pas:
	
	  * Fixed fast spilling functionality by re-adding the code that
	initializes
	    precoloured nodes to degree 255. I would like to play hangman
	on the one
	    who removed that code.

2003-09-12 14:30  olle

	* compiler/powerpc/agppcmpw.pas:
	
	  * max lenght of symbols increased to 255
	  * emitted strings can now contain backslashes

2003-09-11 13:54  florian <florian@freepascal.org>

	* compiler/: ncgcal.pas, ncgutil.pas, rgobj.pas, arm/aasmcpu.pas,
	arm/cgcpu.pas, arm/cpupara.pas, arm/narmcal.pas, arm/rgcpu.pas,
	i386/rgcpu.pas, x86/cgx86.pas:
	
	  * improved arm code generation
	  * move some protected and private field around
	  * the temp. register for register parameters/arguments are now
	released
	    before the move to the parameter register is done. This
	improves
	    the code in a lot of cases.

2003-09-10 21:14  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/: psub.pas, x86/aasmcpu.pas:
	
	  * Failed attempt to restore broken fastspill functionality

2003-09-10 13:23  marco <marcov@stack.nl>

	* compiler/x86/aasmcpu.pas:
	
	 * fix from peter for bts reg32,mem32 problem

2003-09-10 10:31  marco <marcov@stack.nl>

	* compiler/: cgobj.pas, ncgcal.pas, ncgflw.pas, ncginl.pas,
	ncgld.pas, ncgmat.pas, ncgmem.pas, ncgutil.pas, paramgr.pas,
	i386/cpupara.pas, i386/n386add.pas:
	
	 * Patch from Peter for paraloc

2003-09-09 23:03  peter <peter@freepascal.org>

	* compiler/: defcmp.pas, pdecsub.pas, symconst.pas,
	i386/cpupara.pas, i386/cpupi.pas, x86/cgx86.pas:
	
	  * basics for x86 register calling

2003-09-09 22:59  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/: cgobj.pas, pmodules.pas, psub.pas, rgobj.pas,
	i386/rgcpu.pas, x86/cgx86.pas:
	
	  * Adding register allocation order

2003-09-09 17:55  peter <peter@freepascal.org>

	* compiler/: pmodules.pas, psub.pas, rgobj.pas:
	
	  * use register with least interferences in spillregister

2003-09-09 17:55  peter <peter@freepascal.org>

	* compiler/i386/cpupara.pas:
	
	  * winapi doesn't like pushing 8 byte record

2003-09-09 17:54  peter <peter@freepascal.org>

	* compiler/: pdecsub.pas, symconst.pas:
	
	  * calling convention fix

2003-09-09 14:54  florian <florian@freepascal.org>

	* compiler/: i386/i386att.inc, i386/i386atts.inc, i386/i386int.inc,
	i386/i386nop.inc, i386/i386op.inc, i386/i386prop.inc,
	i386/i386tab.inc, utils/mkx86ins.pp, x86/aasmcpu.pas,
	x86/x86ins.dat:
	
	  * x86 instruction table updated to nasm 0.98.37:
	      - sse3 aka prescott support
	      - small fixes

2003-09-09 14:53  florian <florian@freepascal.org>

	* compiler/arm/: armreg.dat, cgcpu.pas, cpupara.pas, rarmcon.inc,
	rarmrni.inc:
	
	  * some assembling problems fixed
	  * improved loadaddr_ref_reg

2003-09-08 20:28  peter <peter@freepascal.org>

	* compiler/i386/cpupara.pas:
	
	  * fix compilerproc for default=oldfpccall

2003-09-08 00:09  peter <peter@freepascal.org>

	* compiler/: aasmtai.pas, browcol.pas, cgbase.pas, cgobj.pas,
	globals.pas, globtype.pas, nbas.pas, ncal.pas, ncgbas.pas,
	ncgcal.pas, ncgflw.pas, ncginl.pas, ncgmem.pas, ncgopt.pas,
	ncgutil.pas, nld.pas, nmat.pas, paramgr.pas, pdecsub.pas,
	pmodules.pas, pstatmnt.pas, psub.pas, regvars.pas, rgobj.pas,
	symconst.pas, symdef.pas, tokens.pas, i386/cpupara.pas,
	i386/n386inl.pas, i386/n386obj.pas, i386/n386set.pas,
	i386/rgcpu.pas, x86/aasmcpu.pas, x86/cgx86.pas, x86/cpubase.pas:
	
	  * preparations for different default calling conventions
	  * various RA fixes

2003-09-07 16:14  florian <florian@freepascal.org>

	* compiler/pdecvar.pas:
	
	  * proper error recovering from invalid published fields

2003-09-07 11:08  olle

	* compiler/systems/i_linux.pas:
	
	  * reverted last change, linux on powerpc still uses aix abi

2003-09-07 00:27  florian <florian@freepascal.org>

	* compiler/: ncal.pas, ncnv.pas, nmem.pas, node.pas, pexpr.pas,
	symdef.pas:
	
	  * fixed web bug 2669
	  * cosmetic fix in printnode
	  * tobjectdef.gettypename implemented

2003-09-06 18:47  florian <florian@freepascal.org>

	* compiler/: aggas.pas, fpcdefs.inc, globals.pas, nadd.pas,
	ncgcon.pas, ncon.pas, ninl.pas, pp.pas, i386/n386con.pas:
	
	  + support of NaN and Inf in the compiler as values of real
	constants

2003-09-06 18:45  florian <florian@freepascal.org>

	* compiler/arm/cgcpu.pas:
	
	  * fixed exit code (no preindexed addressing mode in LDM)

2003-09-06 13:21  florian <florian@freepascal.org>

	* compiler/arm/: aasmcpu.pas, agarmgas.pas, cgcpu.pas:
	
	  * fixed stm and ldm to be usable with preindex operand

2003-09-06 12:46  olle

	* compiler/systems/i_linux.pas:
	
	  * linux on powerpc now uses sysv abi

2003-09-06 12:41  olle

	* compiler/options.pas:
	
	  + compiler now define abi macros for powerpc FPC_ABI_AIX or
	FPC_ABI_SYSV

2003-09-06 12:01  florian <florian@freepascal.org>

	* compiler/systems/: i_watcom.pas, t_watcom.pas:
	
	  + added *_watcom units

2003-09-06 01:57  florian <florian@freepascal.org>

	* compiler/arm/: agarmgas.pas, cgcpu.pas, cpubase.pas, cpupara.pas:
	
	  * arm is working again as before the new register naming scheme
	was implemented

2003-09-05 19:41  florian <florian@freepascal.org>

	* compiler/: catch.pas, compiler.pas, fppu.pas, globals.pas,
	msgidx.inc, msgtxt.inc, options.pas, pdecvar.pas, pexpr.pas,
	pmodules.pas, pp.pas, systems.pas, i386/ag386int.pas,
	i386/cputarg.pas, msg/errore.msg, msg/errorpl.msg,
	msg/errorpli.msg, x86/cgx86.pas:
	
	  * merged Wiktor's Watcom patches in 1.1

2003-09-05 13:21  marco <marcov@stack.nl>

	* compiler/i386/n386set.pas:
	
	 * applied Peter's patch. Now cycles.

2003-09-04 23:58  olle

	* compiler/tokens.pas:
	
	  + bugfix, put token UNIMPLEMENTED in right order

2003-09-04 23:37  olle

	* compiler/: globals.pas, globtype.pas:
	
	  + added new lagnuage mode: MAC

2003-09-04 23:07  florian <florian@freepascal.org>

	* compiler/: cginfo.pas, arm/aasmcpu.pas, arm/cgcpu.pas,
	arm/cpubase.pas, powerpc/ppcreg.dat, powerpc/rppcgas.inc,
	x86/cpubase.pas:
	
	  * ARM compiler compiles again

2003-09-04 17:39  peter <peter@freepascal.org>

	* compiler/: ncgcal.pas, paramgr.pas:
	
	  * released useparatemp

2003-09-04 16:46  peter <peter@freepascal.org>

	* compiler/psub.pas:
	
	  * abort with IE when spilling requires > 20 loops

2003-09-04 16:42  peter <peter@freepascal.org>

	* compiler/x86/itx86int.pas:
	
	  * return 0 instead of $ff when no reg is found

2003-09-04 02:15  florian <florian@freepascal.org>

	* compiler/: aasmtai.pas, aggas.pas, arm/aasmcpu.pas,
	arm/agarmgas.pas, arm/armreg.dat, arm/cgcpu.pas, arm/cpubase.pas,
	arm/cpupara.pas, arm/itarmgas.pas, arm/radirect.pas,
	arm/rarmrni.inc, arm/rgcpu.pas, powerpc/radirect.pas:
	
	  * first bunch of adaptions of arm compiler for new register type

2003-09-03 23:06  peter <peter@freepascal.org>

	* compiler/rgobj.pas:
	
	  * fixes for FPU register allocation

2003-09-03 23:06  peter <peter@freepascal.org>

	* compiler/cginfo.pas:
	
	  * write INVALID as register name instead of IE

2003-09-03 23:06  peter <peter@freepascal.org>

	* compiler/options.pas:
	
	  * powerpc needs software int64 to double

2003-09-03 23:04  peter <peter@freepascal.org>

	* compiler/powerpc/: cgcpu.pas, cpubase.pas, cpupara.pas,
	rppcrni.inc:
	
	  * some fixes for ppc

2003-09-03 22:35  peter <peter@freepascal.org>

	* compiler/sparc/rsprni.inc:
	
	  * regenerated

2003-09-03 22:35  peter <peter@freepascal.org>

	* compiler/utils/mkarmreg.pp:
	
	  * fixed number sorting

2003-09-03 22:33  peter <peter@freepascal.org>

	* compiler/utils/: mkppcreg.pp, mkspreg.pp:
	
	  * fixed sorting of register number

2003-09-03 21:39  peter <peter@freepascal.org>

	* compiler/powerpc/: cga.pas, nppcadd.pas, nppcmat.pas,
	nppcset.pas:
	
	  * removed empty cga unit

2003-09-03 21:37  peter <peter@freepascal.org>

	* compiler/utils/mkppcreg.pp:
	
	  * powerpc reg update

2003-09-03 21:35  peter <peter@freepascal.org>

	* compiler/: aggas.pas, powerpc/aasmcpu.pas, powerpc/agppcgas.pas,
	powerpc/agppcmpw.pas, powerpc/cgcpu.pas, powerpc/cpubase.pas,
	powerpc/cpupara.pas, powerpc/itppcgas.pas, powerpc/nppcadd.pas,
	powerpc/nppccal.pas, powerpc/nppccnv.pas, powerpc/nppcmat.pas,
	powerpc/nppcset.pas, powerpc/ppcreg.dat, powerpc/radirect.pas,
	powerpc/rgcpu.pas, powerpc/rppcgas.inc, powerpc/rppcgri.inc,
	powerpc/rppcnum.inc, powerpc/rppcrni.inc, powerpc/rppcsup.inc,
	utils/mkppcreg.pp:
	
	  * powerpc compiles again

2003-09-03 21:10  florian <florian@freepascal.org>

	* compiler/arm/: agarmgas.pas, cgcpu.pas, cpubase.pas, rarmcon.inc,
	rarmnor.inc, rarmnum.inc, rarmrni.inc, rarmsri.inc, rarmsta.inc,
	rarmstd.inc, rarmsup.inc:
	
	  * initial revision of new register naming

2003-09-03 21:09  florian <florian@freepascal.org>

	* compiler/utils/mkarmreg.pp:
	
	  * inital revision derived from sparc

2003-09-03 18:29  peter <peter@freepascal.org>

	* compiler/: cginfo.pas, sparc/cpubase.pas, sparc/rspnum.inc,
	sparc/rsprni.inc, sparc/spreg.dat, sparc/rspsup.inc:
	
	  * superregisters also from .dat file

2003-09-03 18:28  peter <peter@freepascal.org>

	* compiler/utils/mkspreg.pp:
	
	  * also generate superregisters

2003-09-03 17:55  peter <peter@freepascal.org>

	* compiler/: aasmtai.pas, aggas.pas, assemble.pas, cg64f32.pas,
	cgbase.pas, cginfo.pas, cgobj.pas, cutils.pas, fpcdefs.inc,
	globtype.pas, nadd.pas, nbas.pas, ncal.pas, ncgadd.pas, ncgbas.pas,
	ncgcal.pas, ncgcon.pas, ncgflw.pas, ncginl.pas, ncgld.pas,
	ncgmat.pas, ncgmem.pas, ncgopt.pas, ncgset.pas, ncgutil.pas,
	ncnv.pas, ncon.pas, node.pas, nset.pas, options.pas, paramgr.pas,
	pass_2.pas, pstatmnt.pas, psub.pas, ptconst.pas, rautils.pas,
	regvars.pas, rgobj.pas, symdef.pas, symsym.pas, tgobj.pas,
	i386/ag386int.pas, i386/ag386nsm.pas, i386/cgcpu.pas,
	i386/cpubase.inc, i386/cpupara.pas, i386/cpupi.pas,
	i386/i386ins.dat, i386/n386add.pas, i386/n386cal.pas,
	i386/n386cnv.pas, i386/n386con.pas, i386/n386inl.pas,
	i386/n386mat.pas, i386/n386mem.pas, i386/n386obj.pas,
	i386/n386set.pas, i386/r386ari.inc, i386/r386att.inc,
	i386/r386con.inc, i386/r386int.inc, i386/r386iri.inc,
	i386/r386nasm.inc, i386/r386nor.inc, i386/r386nri.inc,
	i386/r386num.inc, i386/r386op.inc, i386/r386ot.inc,
	i386/r386rni.inc, i386/r386sri.inc, i386/r386stab.inc,
	i386/r386std.inc, i386/ra386att.pas, i386/ra386int.pas,
	i386/rgcpu.pas, i386/tgcpu.pas, powerpc/aasmcpu.pas,
	powerpc/cgcpu.pas, powerpc/ppcreg.dat, powerpc/rppccon.inc,
	powerpc/rppcmot.inc, powerpc/rppcmri.inc, powerpc/rppcnor.inc,
	powerpc/rppcnum.inc, powerpc/rppcrni.inc, powerpc/rppcsri.inc,
	powerpc/rppcstab.inc, powerpc/rppcstd.inc, sparc/aasmcpu.pas,
	sparc/cgcpu.pas, sparc/cpubase.pas, sparc/cpugas.pas,
	sparc/cpuinfo.pas, sparc/cpupara.pas, sparc/cpupi.pas,
	sparc/cpuregs.inc, sparc/ncpuadd.pas, sparc/ncpumat.pas,
	sparc/radirect.pas, sparc/rasm.pas, sparc/rgcpu.pas,
	sparc/rspcon.inc, sparc/rspnor.inc, sparc/rspnum.inc,
	sparc/rsprni.inc, sparc/rspsri.inc, sparc/rspstab.inc,
	sparc/rspstd.inc, sparc/sparcint.inc, sparc/spreg.dat,
	sparc/stabregi.inc, sparc/strregs.inc, utils/mkppcreg.pp,
	utils/mkspreg.pp, utils/mkx86ins.pp, utils/mkx86reg.pp,
	utils/nasmconv.pp, x86/aasmcpu.pas, x86/agx86att.pas, x86/cga.pas,
	x86/cgx86.pas, x86/cpubase.pas, x86/itx86att.pas, x86/itx86int.pas,
	x86/nx86cnv.pas, x86/radirect.pas, x86/rax86.pas, x86/x86ins.dat,
	x86/x86reg.dat:
	
	  * NEWRA branch merged

2003-09-03 13:18  florian <florian@freepascal.org>

	* compiler/: aasmtai.pas, aggas.pas, cgobj.pas, compiler.pas,
	fpcdefs.inc, globals.pas, ncgadd.pas, ncgflw.pas, ncgld.pas,
	ncgmat.pas, ncgutil.pas, nmat.pas, nmem.pas, node.pas, options.pas,
	parser.pas, pdecsub.pas, pp.pas, psub.pas, psystem.pas, rgobj.pas,
	scanner.pas, symdef.pas, symsym.pas, arm/aasmcpu.pas,
	arm/cgcpu.pas, i386/cpubase.inc, i386/cpuinfo.pas,
	powerpc/cpubase.pas, powerpc/cpuinfo.pas, sparc/ncpumat.pas,
	systems/i_linux.pas, x86/cpubase.pas:
	
	  * fixed arm concatcopy
	  + arm support in the common compiler sources added
	  * moved some generic cg code around
	  + tfputype added
	  * ...

2003-09-02 22:48  peter <peter@freepascal.org>

	* compiler/powerpc/rppcmot.inc:
	
	file rppcmot.inc was initially added on branch NEWRA.

2003-09-02 22:48  peter <peter@freepascal.org>

	* compiler/powerpc/rppccon.inc:
	
	file rppccon.inc was initially added on branch NEWRA.

2003-09-02 22:48  peter <peter@freepascal.org>

	* compiler/powerpc/rppcrni.inc:
	
	file rppcrni.inc was initially added on branch NEWRA.

2003-09-02 22:48  peter <peter@freepascal.org>

	* compiler/powerpc/rppcnum.inc:
	
	file rppcnum.inc was initially added on branch NEWRA.

2003-09-02 22:48  peter <peter@freepascal.org>

	* compiler/powerpc/rppcstd.inc:
	
	file rppcstd.inc was initially added on branch NEWRA.

2003-09-02 22:48  peter <peter@freepascal.org>

	* compiler/powerpc/ppcreg.dat:
	
	file ppcreg.dat was initially added on branch NEWRA.

2003-09-02 22:48  peter <peter@freepascal.org>

	* compiler/powerpc/rppcstab.inc:
	
	file rppcstab.inc was initially added on branch NEWRA.

2003-09-02 22:48  peter <peter@freepascal.org>

	* compiler/powerpc/rppcmri.inc:
	
	file rppcmri.inc was initially added on branch NEWRA.

2003-09-02 22:48  peter <peter@freepascal.org>

	* compiler/powerpc/rppcsri.inc:
	
	file rppcsri.inc was initially added on branch NEWRA.

2003-09-02 22:48  peter <peter@freepascal.org>

	* compiler/powerpc/rppcnor.inc:
	
	file rppcnor.inc was initially added on branch NEWRA.

2003-09-02 22:48  peter <peter@freepascal.org>

	* compiler/utils/mkppcreg.pp:
	
	file mkppcreg.pp was initially added on branch NEWRA.

2003-09-01 17:11  florian <florian@freepascal.org>

	* compiler/arm/: agarmgas.pas, cgcpu.pas, cpubase.pas, narmadd.pas,
	narmcnv.pas, radirect.pas:
	
	  * fixed reference handling
	  * fixed operand postfix for floating point instructions
	  * fixed wrong shifter constant handling

2003-09-01 11:54  florian <florian@freepascal.org>

	* compiler/arm/: cgcpu.pas, narmadd.pas, narmcnv.pas:
	
	  *  results of work on arm port last weekend

2003-08-31 23:08  peter <peter@freepascal.org>

	* compiler/sparc/rspsri.inc:
	
	file rspsri.inc was initially added on branch NEWRA.

2003-08-31 23:08  peter <peter@freepascal.org>

	* compiler/sparc/spreg.dat:
	
	file spreg.dat was initially added on branch NEWRA.

2003-08-31 23:08  peter <peter@freepascal.org>

	* compiler/sparc/rspcon.inc:
	
	file rspcon.inc was initially added on branch NEWRA.

2003-08-31 23:08  peter <peter@freepascal.org>

	* compiler/sparc/rspstd.inc:
	
	file rspstd.inc was initially added on branch NEWRA.

2003-08-31 23:08  peter <peter@freepascal.org>

	* compiler/utils/mkspreg.pp:
	
	file mkspreg.pp was initially added on branch NEWRA.

2003-08-31 23:08  peter <peter@freepascal.org>

	* compiler/sparc/rspnum.inc:
	
	file rspnum.inc was initially added on branch NEWRA.

2003-08-31 23:08  peter <peter@freepascal.org>

	* compiler/sparc/rsprni.inc:
	
	file rsprni.inc was initially added on branch NEWRA.

2003-08-31 23:08  peter <peter@freepascal.org>

	* compiler/sparc/rspnor.inc:
	
	file rspnor.inc was initially added on branch NEWRA.

2003-08-31 23:08  peter <peter@freepascal.org>

	* compiler/sparc/rspstab.inc:
	
	file rspstab.inc was initially added on branch NEWRA.

2003-08-31 16:01  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/i386/r386ari.inc:
	
	file r386ari.inc was initially added on branch NEWRA.

2003-08-31 16:01  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/i386/r386iri.inc:
	
	file r386iri.inc was initially added on branch NEWRA.

2003-08-31 16:01  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/i386/r386nri.inc:
	
	file r386nri.inc was initially added on branch NEWRA.

2003-08-31 16:01  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/i386/r386rni.inc:
	
	file r386rni.inc was initially added on branch NEWRA.

2003-08-31 16:01  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/i386/r386sri.inc:
	
	file r386sri.inc was initially added on branch NEWRA.

2003-08-29 23:36  florian <florian@freepascal.org>

	* compiler/arm/: aasmcpu.pas, agarmgas.pas, cgcpu.pas, cpubase.pas:
	
	  * fixed procedure entry/exit code
	  * started to fix reference handling

2003-08-28 15:26  florian <florian@freepascal.org>

	* compiler/arm/: agarmgas.pas, cgcpu.pas:
	
	  * another couple of arm fixes

2003-08-28 02:05  florian <florian@freepascal.org>

	* compiler/arm/: aasmcpu.pas, agarmgas.pas, cgcpu.pas, cpubase.pas,
	cpunode.pas, narminl.pas:
	
	  * today's arm patches

2003-08-27 21:55  peter <peter@freepascal.org>

	* compiler/i386/r386op.inc:
	
	file r386op.inc was initially added on branch NEWRA.

2003-08-27 21:55  peter <peter@freepascal.org>

	* compiler/i386/r386std.inc:
	
	file r386std.inc was initially added on branch NEWRA.

2003-08-27 21:55  peter <peter@freepascal.org>

	* compiler/x86/itx86int.pas:
	
	file itx86int.pas was initially added on branch NEWRA.

2003-08-27 21:55  peter <peter@freepascal.org>

	* compiler/i386/r386num.inc:
	
	file r386num.inc was initially added on branch NEWRA.

2003-08-27 21:55  peter <peter@freepascal.org>

	* compiler/i386/r386nor.inc:
	
	file r386nor.inc was initially added on branch NEWRA.

2003-08-27 21:55  peter <peter@freepascal.org>

	* compiler/x86/x86reg.dat:
	
	file x86reg.dat was initially added on branch NEWRA.

2003-08-27 21:55  peter <peter@freepascal.org>

	* compiler/i386/r386ot.inc:
	
	file r386ot.inc was initially added on branch NEWRA.

2003-08-27 21:55  peter <peter@freepascal.org>

	* compiler/x86/x86ins.dat:
	
	file x86ins.dat was initially added on branch NEWRA.

2003-08-27 21:55  peter <peter@freepascal.org>

	* compiler/i386/r386nasm.inc:
	
	file r386nasm.inc was initially added on branch NEWRA.

2003-08-27 21:55  peter <peter@freepascal.org>

	* compiler/i386/r386int.inc:
	
	file r386int.inc was initially added on branch NEWRA.

2003-08-27 21:55  peter <peter@freepascal.org>

	* compiler/i386/r386stab.inc:
	
	file r386stab.inc was initially added on branch NEWRA.

2003-08-27 21:55  peter <peter@freepascal.org>

	* compiler/i386/r386att.inc:
	
	file r386att.inc was initially added on branch NEWRA.

2003-08-27 21:55  peter <peter@freepascal.org>

	* compiler/i386/r386con.inc:
	
	file r386con.inc was initially added on branch NEWRA.

2003-08-27 21:13  peter <peter@freepascal.org>

	* compiler/utils/mkx86ins.pp:
	
	file mkx86ins.pp was initially added on branch NEWRA.

2003-08-27 21:13  peter <peter@freepascal.org>

	* compiler/utils/mkx86reg.pp:
	
	file mkx86reg.pp was initially added on branch NEWRA.

2003-08-27 02:27  florian <florian@freepascal.org>

	* compiler/arm/: aasmcpu.pas, cpunode.pas, cpupara.pas,
	narmcal.pas, narmmat.pas:
	
	  + same procedure as very day: today's work on arm

2003-08-26 14:43  peter <peter@freepascal.org>

	* compiler/: cgbase.pas, ncgcnv.pas:
	
	  * methodpointer fixes

2003-08-26 14:42  peter <peter@freepascal.org>

	* compiler/x86/rax86.pas:
	
	  * fix wrong registers in reference

2003-08-26 01:20  florian <florian@freepascal.org>

	* compiler/arm/: aasmcpu.pas, cgcpu.pas, cpubase.pas, cpuinfo.pas,
	cpunode.pas, narmadd.pas, narmcnv.pas, rgcpu.pas:
	
	  + started to implement FPU support for the ARM
	  * fixed a lot of other things

2003-08-24 23:40  olle

	* compiler/powerpc/agppcmpw.pas:
	
	  * minor adjustment

2003-08-24 23:38  olle

	* compiler/ncgflw.pas:
	
	  * made FPC_RAISEEXCEPTION compatible with MacOS

2003-08-24 14:27  florian <florian@freepascal.org>

	* compiler/arm/: aasmcpu.pas, agarmgas.pas, cgcpu.pas, cpubase.pas,
	cpunode.pas, narmmat.pas:
	
	  * continued to work on the arm port

2003-08-24 00:31  peter <peter@freepascal.org>

	* compiler/fmodule.pas:
	
	  * reload also caller module when it is already compiled

2003-08-24 00:31  peter <peter@freepascal.org>

	* compiler/symtable.pas:
	
	  * unchain operators before adding to overloaded list

2003-08-24 00:29  peter <peter@freepascal.org>

	* compiler/pexpr.pas:
	
	  * fixed static class check for properties

2003-08-24 00:29  peter <peter@freepascal.org>

	* compiler/: fppu.pas, pmodules.pas:
	
	  * reload flagged units when interface is loaded

2003-08-23 20:52  peter <peter@freepascal.org>

	* compiler/htypechk.pas:
	
	  * don't check size for open array in valid_for_assign

2003-08-23 20:42  peter <peter@freepascal.org>

	* compiler/ncal.pas:
	
	  * only check for size matches when parameter is enum,ord,float

2003-08-23 20:41  peter <peter@freepascal.org>

	* compiler/pexpr.pas:
	
	  * allow typeof(self) in class methods

2003-08-23 12:46  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/rgobj.pas:
	
	  * Register allocator bugfix for h2pas

2003-08-22 14:30  olle

	* compiler/powerpc/agppcmpw.pas:
	
	  + added xxx_regname stuff
	  * made the mpw asm writer work again

2003-08-22 01:23  florian <florian@freepascal.org>

	* compiler/arm/: narmmat.pas, cpunode.pas, narmcnv.pas:
	
	  * continued to work on the arm skeleton

2003-08-22 00:14  olle

	* compiler/ncgcal.pas:
	
	  - removed parameter from fpc_iocheck

2003-08-21 19:20  peter <peter@freepascal.org>

	* compiler/x86/aasmcpu.pas:
	
	  * first spill the registers of top_ref before spilling top_reg

2003-08-21 17:10  peter <peter@freepascal.org>

	* compiler/pinline.pas:
	
	  * fixed copy support for array of char,pchar in $H+ mode
	  * fixed copy support for pwidechar,array of widechar

2003-08-21 16:48  peter <peter@freepascal.org>

	* compiler/x86/aasmcpu.pas:
	
	  * fix reg-supreg range check error

2003-08-21 16:47  peter <peter@freepascal.org>

	* compiler/: aasmtai.pas, nobj.pas, pmodules.pas,
	systems/t_win32.pas:
	
	  * remove convert_registers

2003-08-21 05:14  florian <florian@freepascal.org>

	* compiler/arm/: cgcpu.pas, cpubase.pas, cpunode.pas, cputarg.pas,
	narmadd.pas:
	
	  * arm compiler can be compiled; far from being working

2003-08-20 22:50  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/systems/t_win32.pas:
	
	  * convert_registers call removed from t_win32.pas

2003-08-20 22:29  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/: aasmtai.pas, ncgset.pas, ncgutil.pas, symsym.pas:
	
	  * Some more R_NO changes
	  * Preventive code to loadref added

2003-08-20 22:13  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/ncgld.pas:
	
	  * Fixed the fixed trouble

2003-08-20 22:11  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/ncgld.pas:
	
	  * Fixed some R_NO trouble

2003-08-20 21:28  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/x86/cgx86.pas:
	
	  * Small NOTARGETWIN32 conditional tweak

2003-08-20 19:48  peter <peter@freepascal.org>

	* compiler/: cgbase.pas, ncgutil.pas, pmodules.pas, psub.pas,
	tgobj.pas, sparc/cpupi.pas:
	
	  * fixed stackalloc to not allocate localst.datasize twice
	  * order of stackalloc code fixed for implicit init/final

2003-08-20 18:52  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/x86/aasmcpu.pas:
	
	  * Some old register convention code removed
	  * A few changes to eliminate a few lines of code

2003-08-20 17:50  peter <peter@freepascal.org>

	* compiler/psub.pas:
	
	  * define NOOPT until optimizer is fixed

2003-08-20 17:50  florian <florian@freepascal.org>

	* compiler/arm/: aasmcpu.pas, agarmgas.pas, cgcpu.pas, cpubase.pas,
	cpupi.pas, cpuswtch.pas:
	
	  * more arm stuff

2003-08-20 16:28  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/powerpc/agppcgas.pas:
	
	  * Fixed PowerPC compilation

2003-08-20 11:07  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/: nobj.pas, pmodules.pas, psub.pas, i386/rgcpu.pas,
	x86/aasmcpu.pas:
	
	  * New register coding now mandatory, some more convert_registers
	calls
	    removed.

2003-08-20 09:48  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/: psub.pas, x86/aasmcpu.pas, x86/cpubase.pas:
	
	  * Made internal assembler use new register coding

2003-08-19 15:58  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/x86/aasmcpu.pas:
	
	  * Corrected a comment.

2003-08-19 15:22  mazen <mazen@freepascal.org>

	* compiler/sparc/cpubase.pas:
	
	+ implemented gas_regname based on convert_register_to_enum
	std_Reg2str

2003-08-19 13:54  mazen <mazen@freepascal.org>

	* compiler/sparc/registers.inc:
	
	- No more used in sources.

2003-08-19 13:53  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/: aggas.pas, powerpc/agppcgas.pas:
	
	  * Fixed PowerPC compilation

2003-08-18 23:27  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/: aasmcpu.pas, cgcpu.pas:
	
	  * some newra optimizations (eliminate lots of moves between
	registers)

2003-08-18 13:58  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/powerpc/agppcgas.pas:
	
	  * Improved -sr on PowerPC ATT asm writer

2003-08-18 13:52  marco <marcov@stack.nl>

	* compiler/i386/ag386int.pas:
	
	 * fix for 2592, pushw imm

2003-08-18 13:50  olle

	* compiler/powerpc/: cgcpu.pas, cpupi.pas:
	
	  + cleaning up in proc entry and exit, now calc_stack_frame always
	is used.

2003-08-18 13:49  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/: aggas.pas, x86/agx86att.pas, x86/itx86att.pas:
	
	  * Made ATT asm writer work with -sr

2003-08-18 13:47  olle

	* compiler/powerpc/agppcmpw.pas:
	
	  + added asm directive ALIGNING OFF to avoid unexpected aligning
	by the assembler

2003-08-17 23:11  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/: aggas.pas, powerpc/agppcgas.pas:
	
	  * Now -sr works...

2003-08-17 22:47  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/: aasmtai.pas, aggas.pas, regvars.pas,
	powerpc/agppcgas.pas:
	
	  * Notranslation changed into -sr functionality

2003-08-17 18:59  jonas <jonas.maebe@rug.ac.be>

	* compiler/: aasmtai.pas, aggas.pas, cgobj.pas, ncgcal.pas,
	ncgutil.pas, psub.pas, regvars.pas, rgobj.pas, m68k/cpubase.pas,
	powerpc/agppcgas.pas, powerpc/cgcpu.pas, powerpc/cpubase.pas,
	sparc/cpubase.pas, x86/cpubase.pas:
	
	  * fixed regvars so they work with newra (at least for ppc)
	  * fixed some volatile register bugs
	  + -dnotranslation option for -dnewra, which causes the registers
	not to
	    be translated from virtual to normal registers. Requires
	support in
	    the assembler writer as well, which is only implemented in
	aggas/
	    agppcgas currently

2003-08-17 18:53  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/aasmcpu.pas:
	
	  * fixed compilation of ppc compiler with -dnewra

2003-08-17 16:32  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/rgobj.pas:
	
	  * Precoloured nodes now have an infinite degree approached with
	255,
	    like they should.

2003-08-17 10:48  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/: rgobj.pas, i386/rgcpu.pas:
	
	 * Another register allocator bug fixed.
	 * cpu_registers set to 6 for i386

2003-08-16 20:56  marco <marcov@stack.nl>

	* compiler/ncgcal.pas:
	
	 * fix from Jonas.

2003-08-16 16:26  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/cpupi.pas:
	
	  * set correct localsymtable fixup already in handle_body_start
	instead
	    of in after_pass1, as it's necessary to get the correct offsets
	for
	    the calleeside paralocs (and those are now setup in the generic
	    handle_body_start)

2003-08-16 15:23  florian <florian@freepascal.org>

	* compiler/arm/: aasmcpu.pas, agarmgas.pas, cpubase.pas,
	cpupara.pas, radirect.pas, rasm.pas, rgcpu.pas:
	
	  * several arm related stuff fixed

2003-08-15 16:44  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/x86/aasmcpu.pas:
	
	  * Fixed newra compilation

2003-08-11 23:18  peter <peter@freepascal.org>

	* compiler/: aasmtai.pas, cgbase.pas, fpcdefs.inc, ncgcal.pas,
	ncgutil.pas, paramgr.pas, pass_2.pas, regvars.pas, symconst.pas,
	symdef.pas, i386/cpupara.pas, powerpc/aasmcpu.pas,
	powerpc/cgcpu.pas, powerpc/cpupara.pas, sparc/aasmcpu.pas,
	sparc/cpupara.pas, sparc/rgcpu.pas, x86/aasmcpu.pas:
	
	  * start of sparc support for newra

2003-08-11 16:22  mazen <mazen@freepascal.org>

	* compiler/ncgcal.pas:
	
	- dupplicated code removed

2003-08-11 15:21  mazen <mazen@freepascal.org>

	* compiler/mppcsparc:
	
	+ added support of NewRA in compilation of ppcsparc

2003-08-11 11:15  mazen <mazen@freepascal.org>

	* compiler/sparc/radirect.pas:
	
	- removed uncommon file header!

2003-08-11 11:05  mazen <mazen@freepascal.org>

	* compiler/sparc/cpunode.pas:
	
	- Code cleaning : removed unused commentd units which equivalent
	were already added.

2003-08-10 19:25  peter <peter@freepascal.org>

	* compiler/: ncal.pas, ncgflw.pas, ncgmem.pas, ncnv.pas, nmem.pas,
	nobj.pas, node.pas, pass_2.pas, pexpr.pas, pinline.pas,
	psystem.pas, scanner.pas, symconst.pas, tokens.pas:
	
	  * fixed some reported bugs

2003-08-09 20:56  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/: globtype.pas, nbas.pas, ncgflw.pas, ncgmem.pas,
	ncgutil.pas, regvars.pas, rgobj.pas, i386/ag386int.pas,
	i386/ag386nsm.pas, i386/cpuswtch.pas, i386/popt386.pas,
	powerpc/cpuswtch.pas, sparc/cpuswtch.pas, x86/aasmcpu.pas:
	
	  * cs_regalloc renamed to cs_regvars to avoid confusion with
	register
	    allocator
	  * Some preventive changes to i386 spillinh code

2003-08-09 17:28  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/nppccnv.pas:
	
	  * fixed conversion from signed value to floats if the compiler is
	    compiled with a 1.0.x compiler

2003-08-08 21:01  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/nppcinl.pas:
	
	  * fixed bug in load_fpu_location found by Olle

2003-08-08 17:52  olle

	* compiler/: powerpc/cpupi.pas, systems/i_macos.pas:
	
	  * merged macos entry/exit code generation into the general one.

2003-08-08 17:49  olle

	* compiler/: systems.pas, powerpc/cgcpu.pas, powerpc/cpubase.pas:
	
	  * merged macos entry/exit code generation into the general one.

2003-08-03 22:38  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/i386/n386add.pas:
	
	  * Made code generator reverse or/add/and/xor/imul instructions
	when
	    possible to reduce the slowdown of spills.

2003-08-03 22:19  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/i386/n386add.pas:
	
	  - Removed cmpop from Ti386addnode.second_addstring

2003-08-03 16:09  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/: ncgutil.pas, rgobj.pas:
	
	  * Fixed a register allocator bug
	  * Figured out why -dnewra generates superfluous "mov reg1,reg2"
	    statements: changes in location_force. These moves are now no
	longer
	    constrained so they are optimized away.

2003-07-26 02:55  florian <florian@freepascal.org>

	* compiler/arm/cpubase.pas:
	
	  * basic stuff fixed

2003-07-25 11:54  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncal.pas:
	
	  * fixed bogus abstract method warnings

2003-07-24 12:45  jonas <jonas.maebe@rug.ac.be>

	* compiler/i386/csopt386.pas:
	
	  * fixed nil pointer access

2003-07-23 13:04  jonas <jonas.maebe@rug.ac.be>

	* compiler/: ncgutil.pas, pmodules.pas, psub.pas:
	
	  * split en_exit_code into a part that may allocate a register and
	a part
	    that doesn't, so the former can be done before the register
	colouring
	    has been performed

2003-07-23 13:02  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncgset.pas:
	
	  * final (?) fix to in-code

2003-07-23 13:02  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/cgcpu.pas:
	
	  * don't use rg.getregisterint() anymore in g_stackframe_entry_*,
	because
	    the register colouring has already occurred then, use a
	hard-coded
	    register instead

2003-07-23 13:01  jonas <jonas.maebe@rug.ac.be>

	* compiler/: cgobj.pas, ncgcal.pas, ncgflw.pas, ncginl.pas,
	ncgmem.pas:
	
	  * several
	rg.allocexplicitregistersint/rg.deallocexplicitregistersint
	    pairs round calls to helpers

2003-07-23 13:00  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/cpubase.pas:
	
	  * "lastsaveintreg" is RS_R31 instead of RS_R27 with -dnewra,
	because
	    there are no scratch regs anymore

2003-07-23 12:58  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/aasmcpu.pas:
	
	  - disabled some debugging code

2003-07-21 18:35  florian <florian@freepascal.org>

	* compiler/arm/: cgcpu.pas, cpubase.pas, cpuinfo.pas, cpunode.pas,
	cpupara.pas, radirect.pas:
	
	  * very basic stuff for the arm

2003-07-21 15:51  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncgcal.pas:
	
	  * fixed 64bit int results with -dnewra (you can't free both
	registers and
	    then allocate two new ones, because then the registers could be
	reversed
	    afterwards -> you get something like "movl %eax, %edx; movl
	%edx,%eax")

2003-07-21 15:32  jonas <jonas.maebe@rug.ac.be>

	* compiler/rgobj.pas:
	
	  * add_edges_used() is now also called for registers allocated
	with
	    getexplicitregisterint()
	  * writing the intereference graph is now only done with
	-dradebug2 and
	    the created files are now called "igraph.<module_name>"

2003-07-21 13:52  florian <florian@freepascal.org>

	* compiler/: fpcdefs.inc, systems.pas, systems/i_linux.pas,
	systems/t_linux.pas:
	
	  * very basic stuff for the arm

2003-07-20 22:39  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/cgcpu.pas:
	
	  * fixed newra bug due to the fact that we sometimes need a temp
	reg
	    when loading/storing to memory (base+index+offset is not
	possible)
	    and because a reference is often freed before it is last used,
	this
	    temp register was soemtimes the same as one of the reference
	regs

2003-07-20 20:03  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncgset.pas:
	
	  * fixed bug in tcginnode.pass_2

2003-07-20 18:26  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncgld.pas:
	
	  * fix for threadvars with -dnewra

2003-07-20 18:15  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/cgcpu.pas:
	
	  * fixed bug in g_concatcopy with -dnewra

2003-07-08 23:24  peter <peter@freepascal.org>

	* compiler/: ncgadd.pas, ncgcal.pas, paramgr.pas, pstatmnt.pas,
	powerpc/nppccal.pas, sparc/cgcpu.pas, sparc/cpugas.pas,
	sparc/cpupara.pas, sparc/ncpuadd.pas:
	
	  * sparc fixes

2003-07-08 17:20  peter <peter@freepascal.org>

	* compiler/: htypechk.pas, msgidx.inc, msgtxt.inc, nld.pas,
	symdef.pas, msg/errore.msg:
	
	  * don't allow add/assignments for formaldef
	  * formaldef size changed to 0

2003-07-07 21:59  peter <peter@freepascal.org>

	* compiler/pp.pas:
	
	  * Fix halt() call

2003-07-07 00:10  peter <peter@freepascal.org>

	* compiler/sparc/cpupara.pas:
	
	  * big endian first allocates high

2003-07-07 00:10  peter <peter@freepascal.org>

	* compiler/sparc/cgcpu.pas:
	
	  * operand order of cmp fixed

2003-07-07 00:09  peter <peter@freepascal.org>

	* compiler/sparc/ncpuadd.pas:
	
	  * signed compare fixed

2003-07-07 00:09  peter <peter@freepascal.org>

	* compiler/sparc/ncpumat.pas:
	
	  * shr and div fixed

2003-07-06 23:50  jonas <jonas.maebe@rug.ac.be>

	* compiler/: ncgcal.pas, ncgmem.pas, symdef.pas, x86/cpubase.pas:
	
	  * fixed ppc compilation problems and changed VOLATILE_REGISTERS
	for x86
	    so that it doesn't include ebp and esp anymore

2003-07-06 23:26  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/aasmcpu.pas:
	
	  * committed wrong file previously :(

2003-07-06 22:25  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/: cgcpu.pas, cpubase.pas, cpupi.pas,
	nppccal.pas:
	
	  * fixed ppc compiler

2003-07-06 19:58  peter <peter@freepascal.org>

	* compiler/: cgbase.pas, cgobj.pas, ncgcal.pas, ncgld.pas,
	ncgutil.pas, pass_2.pas, pmodules.pas, psub.pas, tgobj.pas,
	i386/cpubase.inc, i386/cpupi.pas, sparc/cgcpu.pas,
	sparc/cpubase.pas, sparc/cpupara.pas, sparc/cpupi.pas,
	sparc/ncpucall.pas, systems/i_linux.pas:
	
	  * framepointer fixes for sparc
	  * parent framepointer code more generic

2003-07-06 19:44  peter <peter@freepascal.org>

	* compiler/: ncgadd.pas, sparc/ncpuadd.pas:
	
	  * cleanup and first sparc implementation

2003-07-06 17:31  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/: ncgcal.pas, ncgmem.pas, ncgutil.pas, nflw.pas,
	pass_2.pas, pp.pas, psub.pas, rgobj.pas, symdef.pas,
	i386/ag386nsm.pas, i386/n386add.pas, x86/aasmcpu.pas,
	x86/itx86att.pas:
	
	  * Fixed register allocator. *Lots* of fixes.

2003-07-06 17:29  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/aasmcpu.pas:
	
	  + first spill_registers implementation, most likely still very
	buggy

2003-07-06 17:28  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/cpubase.pas:
	
	  * VOLATILE_REGISTERS was wrong (it was more or less the inverted
	set
	    of what it had to be :/ )

2003-07-06 17:27  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/rgcpu.pas:
	
	  * make sure all registers except r0 are handled by the register
	    allocator for -dnewra

2003-07-06 17:25  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncgld.pas:
	
	  * newra fix for threadvars

2003-07-06 17:00  jonas <jonas.maebe@rug.ac.be>

	* compiler/rgobj.pas:
	
	  * fixed my previous completely broken commit. It's not perfect
	though,
	    registers > last_supreg and < max_intreg may still be
	"translated"

2003-07-06 16:45  jonas <jonas.maebe@rug.ac.be>

	* compiler/rgobj.pas:
	
	  * support integer registers that are not managed by newra (ie.
	don't
	    translate register numbers that fall outside the range
	    first_supreg..last_supreg)

2003-07-06 16:28  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncgset.pas:
	
	  * fixed register leak
	  * changed a couple of case-statements to location_force_reg()

2003-07-06 12:18  jonas <jonas.maebe@rug.ac.be>

	* compiler/pass_2.pas:
	
	  * also generate the caller paraloc info of a procedure if it
	doesn't exist
	    yet at the start of pass_2

2003-07-06 00:41  peter <peter@freepascal.org>

	* compiler/symsym.pas:
	
	  * check if owner.defowner is valid when checking
	private/protected

2003-07-05 22:21  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncgcal.pas:
	
	   * create_paraloc_info() is now called separately for the caller
	and
	     callee info
	   * fixed ppc cycle

2003-07-05 22:15  jonas <jonas.maebe@rug.ac.be>

	* compiler/psub.pas:
	
	  * set pi_do_call if range/overflow checking is on

2003-07-05 22:13  jonas <jonas.maebe@rug.ac.be>

	* compiler/pass_2.pas:
	
	   * create_paraloc_info() is now called separately for the caller
	and
	     callee info
	   * fixed ppc cycle

2003-07-05 22:11  jonas <jonas.maebe@rug.ac.be>

	* compiler/: paramgr.pas, i386/cpupara.pas, powerpc/cpupara.pas,
	sparc/cpupara.pas, powerpc/cgcpu.pas:
	
	  * create_paraloc_info() is now called separately for the caller
	and
	    callee info
	  * fixed ppc cycle

2003-07-05 22:07  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncginl.pas:
	
	  * fixed range check errors

2003-07-05 22:06  jonas <jonas.maebe@rug.ac.be>

	* compiler/: cutils.pas, ppu.pas:
	
	  * fixed some range check errors that occurred on big endian
	systems
	  * slightly optimized the swap*() functions

2003-07-05 00:41  pierre <muller@cerbere.u-strasbg.fr>

	* compiler/symsym.pas:
	
	 * single threadvar debugging support

2003-07-05 00:40  pierre <muller@cerbere.u-strasbg.fr>

	* compiler/assemble.pas:
	
	 * add support for constant offset in stabs address, needed by
	threadvar debugging support

2003-07-03 23:09  peter <peter@freepascal.org>

	* compiler/sparc/cgcpu.pas:
	
	  * delay slot NOPs and comments added
	  * a_loadaddr_ref_reg fixed and optimized to reuse passed register
	    if it is not used by the ref

2003-07-03 20:59  peter <peter@freepascal.org>

	* compiler/x86/cgx86.pas:
	
	  * loadfpu_reg_reg size specifier

2003-07-03 00:18  peter <peter@freepascal.org>

	* compiler/: cg64f32.pas, cgobj.pas, ncgcal.pas, ncgmat.pas,
	ncgutil.pas, paramgr.pas, pdecl.pas, pdecsub.pas, pdecvar.pas,
	regvars.pas, rgobj.pas, symdef.pas, i386/cpupara.pas,
	i386/n386inl.pas, i386/n386mat.pas, powerpc/cgcpu.pas,
	powerpc/cpupara.pas, sparc/cgcpu.pas, sparc/cpubase.pas,
	sparc/cpugas.pas, sparc/cpupara.pas, sparc/opcode.inc,
	sparc/rgcpu.pas, sparc/strinst.inc, utils/ppudump.pp:
	
	  * paraloc splitted in callerparaloc,calleeparaloc
	  * sparc calling convention updates

2003-07-02 18:43  jonas <jonas.maebe@rug.ac.be>

	* compiler/aasmtai.pas:
	
	  * always add dummy marker object at the start of an assembler
	list, so
	    the optimizer can't remove the first object

2003-06-25 20:31  peter <peter@freepascal.org>

	* compiler/: ncal.pas, symbase.pas, symconst.pas, symdef.pas,
	symtable.pas, symtype.pas, utils/ppudump.pp:
	
	  * sym,def resolving partly rewritten to support also parent
	objects
	    not directly available through the uses clause

2003-06-20 14:57  pierre <muller@cerbere.u-strasbg.fr>

	* compiler/x86/rax86.pas:
	
	 * fix a bug preventing correct reading of intel 'mov [edi],al'

2003-06-18 12:19  olle

	* compiler/systems/i_macos.pas:
	
	  * changed .p to .pas to make the compiler compile

2003-06-18 12:12  olle

	* compiler/powerpc/cgcpu.pas:
	
	  * macos: fixes of loading-code

2003-06-17 21:24  jonas <jonas.maebe@rug.ac.be>

	* compiler/: ncgmem.pas, nmem.pas:
	
	  * fixed conversion of fpc_*str_unique to compilerproc

2003-06-17 20:13  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncgutil.pas:
	
	  * fixed -dnewra compilation problems

2003-06-17 19:27  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/cpupara.pas:
	
	  - removed allocparaloc/freeparaloc, generic ones are ok now

2003-06-17 18:51  peter <peter@freepascal.org>

	* compiler/i386/: n386add.pas, rgcpu.pas:
	
	  * cycle fixes

2003-06-17 18:36  peter <peter@freepascal.org>

	* compiler/sparc/cpupara.pas:
	
	  * freeintparaloc

2003-06-17 18:35  peter <peter@freepascal.org>

	* compiler/sparc/cgcpu.pas:
	
	  * a_loadaddr_ref_reg fixed

2003-06-17 18:35  peter <peter@freepascal.org>

	* compiler/sparc/cpuinfo.pas:
	
	  * JMP_BUF_SIZE changed to 4 to remove Alloctemp warnings

2003-06-17 18:34  jonas <jonas.maebe@rug.ac.be>

	* compiler/: ncal.pas, ncgcal.pas, ncgmem.pas, nmem.pas, ppu.pas,
	pstatmnt.pas, psub.pas, rgobj.pas, symdef.pas, i386/rgcpu.pas,
	m68k/cpubase.pas, powerpc/cpubase.pas, powerpc/cpupara.pas,
	powerpc/rgcpu.pas, sparc/cpubase.pas, x86/cpubase.pas:
	
	  * lots of newra fixes (need getfuncretparaloc implementation for
	i386)!
	  * renamed all_intregisters to volatile_intregisters and made it
	    processor dependent

2003-06-17 18:34  peter <peter@freepascal.org>

	* compiler/: i386/cpupara.pas, sparc/rgcpu.pas:
	
	  * freeintparaloc added

2003-06-17 18:32  peter <peter@freepascal.org>

	* compiler/ncgutil.pas:
	
	  * alloc register for function result

2003-06-17 18:32  peter <peter@freepascal.org>

	* compiler/paramgr.pas:
	
	  * allocpara/freepara 64bit support

2003-06-17 06:34  mazen <mazen@freepascal.org>

	* compiler/README:
	
	* updated to help compiling the compiler

2003-06-15 18:52  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncgcal.pas:
	
	  * release function result registers if the functino result isn't
	used
	  * don't allocate function result register with -dnewra if there
	is none
	  * some optimizations for non-x86 processor (don't save any
	registers
	    before a call)

2003-06-15 18:47  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncal.pas:
	
	  * fixed revious commit

2003-06-15 17:13  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncgld.pas:
	
	  * fixed register allocation for threadvar loads with newra

2003-06-15 17:10  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncal.pas:
	
	  * callparatemp fix: if a threadvar is a parameter, that paramter
	also
	    does a call

2003-06-15 00:32  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/: aasmcpu.pas, cgcpu.pas, cpubase.pas,
	nppcadd.pas, nppccnv.pas, nppcmat.pas, nppcset.pas, rgcpu.pas:
	
	  * ppc compiles with -dnewra, haven't tried to compile anything
	with it
	    yet though

2003-06-14 16:53  jonas <jonas.maebe@rug.ac.be>

	* compiler/: psub.pas, rgobj.pas, m68k/aasmcpu.pas,
	powerpc/aasmcpu.pas, sparc/aasmcpu.pas, x86/aasmcpu.pas,
	x86/cgx86.pas:
	
	  * fixed newra cycle for x86
	  * added constants for indicating source and destination operands
	of the
	    "move reg,reg" instruction to aasmcpu (and use those in rgobj)

2003-06-13 23:19  peter <peter@freepascal.org>

	* compiler/: cgbase.pas, cgobj.pas, htypechk.pas, nbas.pas,
	ncal.pas, ncgbas.pas, ncgcal.pas, ncgflw.pas, ncginl.pas,
	ncgld.pas, ncgmem.pas, ncgutil.pas, nflw.pas, ninl.pas, nld.pas,
	nutils.pas, paramgr.pas, parser.pas, pass_2.pas, pdecobj.pas,
	pdecsub.pas, pexpr.pas, pmodules.pas, pstatmnt.pas, psub.pas,
	rautils.pas, regvars.pas, rgobj.pas, symsym.pas, symtable.pas,
	i386/cpupi.pas, i386/daopt386.pas, i386/n386mat.pas,
	i386/rgcpu.pas, powerpc/cgcpu.pas, powerpc/cpupi.pas,
	powerpc/nppccal.pas, powerpc/radirect.pas, sparc/cgcpu.pas,
	sparc/cpupi.pas, sparc/ncpucall.pas, sparc/radirect.pas,
	x86/cgx86.pas, x86/cpubase.pas, x86/radirect.pas, x86_64/rgcpu.pas:
	
	  * current_procdef removed, use current_procinfo.procdef instead

2003-06-13 23:08  peter <peter@freepascal.org>

	* compiler/sparc/cpubase.pas:
	
	  * supreg_name added

2003-06-13 19:44  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/cpubase.pas:
	
	  + added supreg_name function

2003-06-13 19:05  jonas <jonas.maebe@rug.ac.be>

	* compiler/sparc/ncpuinln.pas:
	
	  * fixed small LOC_(C)FPUREGISTER bug

2003-06-13 19:03  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/nppcinl.pas:
	
	  * fixed bugs in case the left node was a LOC_(C)REFERENCE

2003-06-13 00:47  mazen <mazen@freepascal.org>

	* compiler/sparc/rgcpu.pas:
	
	- unused temp var r removed in GetExplicitRegisterInt function *
	some case added for var and fauncions naming

2003-06-13 00:10  jonas <jonas.maebe@rug.ac.be>

	* compiler/i386/n386set.pas:
	
	  * t386innode.pass_2 already doesn't call a helper anymore since a
	long
	    time

2003-06-13 00:09  jonas <jonas.maebe@rug.ac.be>

	* compiler/: ncgset.pas, nset.pas, powerpc/nppccnv.pas,
	powerpc/rgcpu.pas:
	
	  * tcginnode.pass_2 doesn't call a helper anymore in any case
	  * fixed ungetregisterfpu compilation problems

2003-06-12 23:12  peter <peter@freepascal.org>

	* compiler/i386/rgcpu.pas:
	
	  * size para for ungetregisterfpu

2003-06-12 23:11  peter <peter@freepascal.org>

	* compiler/sparc/rgcpu.pas:
	
	  * updates like the powerpc

2003-06-12 23:11  peter <peter@freepascal.org>

	* compiler/: cgobj.pas, paramgr.pas, rgobj.pas:
	
	  * ungetregisterfpu gets size parameter

2003-06-12 23:10  peter <peter@freepascal.org>

	* compiler/ncgcal.pas:
	
	  * newra fixes

2003-06-12 21:11  jonas <jonas.maebe@rug.ac.be>

	* compiler/: powerpc/cpubase.pas, sparc/cpubase.pas,
	x86/cpubase.pas:
	
	  - removed ALL_INTREGISTERS (only the one in rgobj is valid)

2003-06-12 20:38  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncgcal.pas:
	
	  * deallocate parameter registers in time for newra
	  * for non-i386, procvars and methodpointers always have to be
	processed
	    in advance, whether or not newra is defined

2003-06-12 20:31  peter <peter@freepascal.org>

	* compiler/: i386/cgcpu.pas, x86/cgx86.pas:
	
	  * fix newra cycle for i386

2003-06-12 20:12  jonas <jonas.maebe@rug.ac.be>

	* compiler/i386/cpupi.pas:
	
	  * fixed compilation problems

2003-06-12 18:43  peter <peter@freepascal.org>

	* compiler/: cgbase.pas, cgobj.pas, ncgadd.pas, ncgld.pas,
	pass_2.pas, psub.pas, rgobj.pas, i386/cpupi.pas, sparc/aasmcpu.pas,
	sparc/cgcpu.pas, sparc/ncpumat.pas:
	
	  * newra compiles for sparc

2003-06-12 18:41  peter <peter@freepascal.org>

	* compiler/: link.pas, parser.pas:
	
	  * add inputfile prefix to ppas/link.res

2003-06-12 14:05  michael <michael.vancanneyt@wisa.be>

	* compiler/msg/: errorpl.msg, errorpli.msg:
	
	+ Polish translations by Wojciech Malinowski

2003-06-12 14:02  michael <michael.vancanneyt@wisa.be>

	* compiler/msg/errorpli.msg:
	
	file errorpli.msg was initially added on branch FIXES_1_0_0.

2003-06-12 14:02  michael <michael.vancanneyt@wisa.be>

	* compiler/msg/errorpl.msg:
	
	file errorpl.msg was initially added on branch FIXES_1_0_0.

2003-06-10 22:46  mazen <mazen@freepascal.org>

	* compiler/ncgadd.pas:
	
	* fixing a general compile problem related to	cg.g_overflowcheck
	declaration that has   changed

2003-06-10 11:10  jonas <jonas.maebe@rug.ac.be>

	* compiler/nbas.pas:
	
	  * patch from Peter to fix tempinfo copying

2003-06-09 23:44  mazen <mazen@freepascal.org>

	* compiler/sparc/cpupara.pas:
	
	* fix compile problem related to modification	of the declareation
	of GetIntParaLoc in the   ancestor's declaration

2003-06-09 20:27  peter <peter@freepascal.org>

	* compiler/pstatmnt.pas:
	
	  * load calln in temprefn in with statement

2003-06-09 20:26  peter <peter@freepascal.org>

	* compiler/: nbas.pas, ncgbas.pas:
	
	  * remove temptype, use tempinfo.temptype instead

2003-06-09 20:26  peter <peter@freepascal.org>

	* compiler/symtable.pas:
	
	  * para can be the same as function name in delphi

2003-06-09 18:45  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncgmem.pas:
	
	  * fixed update_reference_reg_mul() so that it won't modify
	CREGISTERs
	    in a reference
	  * cache value of get_mul_size()
	  * if get_mul_size = 1, the index can be a CREGISTER since it
	won't be
	    modified

2003-06-09 18:41  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncgld.pas:
	
	  * fixed regvar optimization for call_by_reference parameters (no
	need
	    to load address in another register)

2003-06-09 16:54  jonas <jonas.maebe@rug.ac.be>

	* compiler/: ncgcal.pas, paramgr.pas, rgobj.pas, powerpc/cgcpu.pas,
	powerpc/cpupara.pas, powerpc/rgcpu.pas:
	
	  * (de)allocation of registers for parameters is now performed
	properly
	    (and checked on the ppc)
	  - removed obsolete allocation of all parameter registers at the
	start
	    of a procedure (and deallocation at the end)

2003-06-09 16:38  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncgflw.pas:
	
	  * fixed for callparatemp

2003-06-09 14:59  peter <peter@freepascal.org>

	* compiler/utils/ppudump.pp:
	
	  * updated for new deref info

2003-06-09 14:23  peter <peter@freepascal.org>

	* compiler/: cgbase.pas, ncgcal.pas, ncgflw.pas, ncgutil.pas,
	pass_2.pas, pmodules.pas, psub.pas:
	
	  * init/final of procedure data splitted from genentrycode
	  * use asmnode getposition to insert final at the correct position
	    als for the implicit try...finally

2003-06-09 14:20  peter <peter@freepascal.org>

	* compiler/: nbas.pas, ncgbas.pas:
	
	  * getposition added to retrieve the the current tai item

2003-06-09 14:19  peter <peter@freepascal.org>

	* compiler/cclasses.pas:
	
	  * insertlistafter added

2003-06-08 22:01  jonas <jonas.maebe@rug.ac.be>

	* compiler/: ncal.pas, ncgcal.pas, nld.pas:
	
	  * optimized assignments with on the right side a function that
	returns
	    an ansi- or widestring

2003-06-08 20:48  jonas <jonas.maebe@rug.ac.be>

	* compiler/i386/: aopt386.pas, csopt386.pas, daopt386.pas,
	popt386.pas:
	
	  * first small steps towards an oop optimizer

2003-06-08 20:27  jonas <jonas.maebe@rug.ac.be>

	* compiler/: nbas.pas, ncal.pas, ncgld.pas, nld.pas:
	
	  + ability to change the location of a ttempref node with
	changelocation()
	    method. Useful to use instead of copying the contents from one
	temp to
	    another
	  + some shortstring optimizations in tassignmentnode that avoid
	some
	    copying (required some shortstring optimizations to be moved
	from
	    resulttype to firstpass, because they work on callnodes and
	string
	    addnodes are only changed to callnodes in the firstpass)
	  * allow setting/changing the funcretnode of callnodes after the
	    resulttypepass has been done, funcretnode is now a property
	  (all of the above should have a quite big effect on callparatemp)

2003-06-08 20:21  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncgcal.pas:
	
	  * fixed weird error in the copyleft statement :)

2003-06-08 20:20  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/nppcmat.pas:
	
	  * fixed small bug where a location was set to LOC_CREGISTER
	instead of
	    LOC_REGISTER

2003-06-08 20:19  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/cgcpu.pas:
	
	  - removed duplicate identifier

2003-06-08 18:03  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncgset.pas:
	
	  - disabled gentreejmp for now, it expects that the case labels
	are
	    ordered as a perfectly balanced tree, while they are often a
	linked
	    list -> generates extremely bad code

2003-06-08 13:42  peter <peter@freepascal.org>

	* compiler/: msgidx.inc, msgtxt.inc, ncal.pas, msg/errore.msg:
	
	  * creating class with abstract call checking fixed
	  * there will be only one warning for each class, the methods
	    are listed as hint

2003-06-08 13:41  peter <peter@freepascal.org>

	* compiler/symdef.pas:
	
	  * set parast.next to the owner of the procdef

2003-06-08 13:40  peter <peter@freepascal.org>

	* compiler/fppu.pas:
	
	  * moved message to msg file

2003-06-08 13:40  peter <peter@freepascal.org>

	* compiler/symtable.pas:
	
	  * check parast when inserting in localst

2003-06-08 12:54  jonas <jonas.maebe@rug.ac.be>

	* compiler/paramgr.pas:
	
	  - disabled changing of LOC_*REGISTER to LOC_C*REGISTER in
	setparalocs,
	    this is not necessary anymore (doesn't do anything anymore
	actually,
	    except making sure the interface crc changes)

2003-06-08 12:52  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/cpupara.pas:
	
	  * zero paraloc tregisters, so that the alignment bytes are 0
	(otherwise
	    the crc of the ppu files can change between interface and
	    implementation)

2003-06-07 22:26  peter <peter@freepascal.org>

	* compiler/: fmodule.pas, fppu.pas, ncal.pas, nflw.pas, nld.pas,
	nmem.pas, pmodules.pas, ppu.pas, symbase.pas, symconst.pas,
	symdef.pas, symppu.pas, symsym.pas, symtable.pas, symtype.pas:
	
	  * re-resolving added instead of reloading from ppu
	  * tderef object added to store deref info for resolving

2003-06-07 21:37  jonas <jonas.maebe@rug.ac.be>

	* compiler/psub.pas:
	
	  * pi_do_call must always be set for the main program, since it
	always
	    ends with a call to FPC_DO_EXIT

2003-06-07 20:57  jonas <jonas.maebe@rug.ac.be>

	* compiler/: cgobj.pas, ncgcal.pas, ncgflw.pas, ncginl.pas,
	ncgld.pas, ncgmat.pas, ncgmem.pas, ncgset.pas, ncgutil.pas,
	nflw.pas, nld.pas, nmem.pas, paramgr.pas, psub.pas, regvars.pas,
	i386/cpupara.pas, i386/n386add.pas, m68k/n68kmat.pas,
	powerpc/cgcpu.pas, powerpc/cpupara.pas, powerpc/rgcpu.pas:
	
	  + added freeintparaloc
	  * ppc get/freeintparaloc now check whether the parameter regs are
	    properly allocated/deallocated (and get an extra list para)
	  * ppc a_call_* now internalerrors if pi_do_call is not yet set
	  * fixed lot of missing pi_do_call's

2003-06-07 16:39  jonas <jonas.maebe@rug.ac.be>

	* compiler/nld.pas:
	
	  * set pi_do_call for accesses to threadvars

2003-06-07 12:24  peter <peter@freepascal.org>

	* compiler/x86/cgx86.pas:
	
	  * fixed copyvaluepara for left-to-right pushing

2003-06-07 12:23  peter <peter@freepascal.org>

	* compiler/x86/rax86.pas:
	
	  * 32bit operands need ofcourse 32bit size

2003-06-07 12:06  jonas <jonas.maebe@rug.ac.be>

	* compiler/x86/cgx86.pas:
	
	  * fixed cycling problem

2003-06-06 16:43  peter <peter@freepascal.org>

	* compiler/rautils.pas:
	
	  * absolutesym support

2003-06-06 16:43  peter <peter@freepascal.org>

	* compiler/: cgobj.pas, ncgutil.pas:
	
	  * g_copyopenarrayvalue gets length reference
	  * don't copy open arrays for cdecl

2003-06-06 16:41  peter <peter@freepascal.org>

	* compiler/i386/ra386int.pas:
	
	  * use setsize for size specifier

2003-06-06 16:41  peter <peter@freepascal.org>

	* compiler/i386/cpupara.pas:
	
	  * needs cpuinfo

2003-06-06 09:36  michael <michael.vancanneyt@wisa.be>

	* compiler/i386/cpupara.pas:
	
	+ Forgot a line in patch from peter

2003-06-06 09:35  michael <michael.vancanneyt@wisa.be>

	* compiler/i386/cpupara.pas:
	
	+ Patch to Patch from peter

2003-06-06 09:34  michael <michael.vancanneyt@wisa.be>

	* compiler/i386/cpupara.pas:
	
	+ Patch from peter

2003-06-05 22:58  peter <peter@freepascal.org>

	* compiler/i386/cpupara.pas:
	
	  * updated

2003-06-05 22:06  peter <peter@freepascal.org>

	* compiler/utils/ppudump.pp:
	
	  * new procoptions

2003-06-05 22:05  peter <peter@freepascal.org>

	* compiler/: nadd.pas, ncnv.pas, symdef.pas:
	
	  * removed changesettype because that will change the definition
	    of the setdef forever and can result in a different between
	    original interface and current implementation definition

2003-06-05 22:04  peter <peter@freepascal.org>

	* compiler/pdecsub.pas:
	
	  * set po_public also when parsing the object declaration

2003-06-05 19:53  peter <peter@freepascal.org>

	* compiler/symsym.pas:
	
	  * fix to compile without gdb

2003-06-04 23:00  mazen <mazen@freepascal.org>

	* compiler/sparc/cpubase.pas:
	
	- making TOldRegister only declared for compatibility and   no more
	used in cpubase

2003-06-04 22:59  mazen <mazen@freepascal.org>

	* compiler/sparc/: cgcpu.pas, ncpucnv.pas, ncpumat.pas:
	
	+ added size of destination in code gen methods + making
	g_overflowcheck declaration same as   ancestor's method declaration

2003-06-04 19:55  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncnv.pas:
	
	  * disable fpuregable for fpu variables typecasted to non fpu-type

2003-06-04 19:29  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncnv.pas:
	
	  * fixed void_to_(int,pointer) typeconversion

2003-06-04 13:58  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/: cgcpu.pas, nppcadd.pas, nppccal.pas,
	nppccnv.pas, nppcmat.pas:
	
	  * calculate localsize also in g_return_from_proc since it's now
	called
	    before g_stackframe_entry (still have to fix macos)
	  * compilation fixes (cycle doesn't work yet though)

2003-06-04 08:43  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncgcal.pas:
	
	  * fixed double secondpassing of procvar loads

2003-06-03 23:11  peter <peter@freepascal.org>

	* compiler/: cg64f32.pas, cg64f64.pas, cgobj.pas, ncgcal.pas,
	ncgcnv.pas, ncgflw.pas, ncginl.pas, ncgld.pas, ncgmat.pas,
	ncgmem.pas, ncgopt.pas, ncgset.pas, ncgutil.pas, regvars.pas,
	rgobj.pas, i386/cgcpu.pas, i386/n386cnv.pas, i386/n386mat.pas,
	i386/n386obj.pas, i386/n386set.pas, i386/rgcpu.pas, x86/cgx86.pas,
	x86/cpubase.pas:
	
	  * cg.a_load_* get a from and to size specifier
	  * makeregsize only accepts newregister
	  * i386 uses generic tcgnotnode,tcgunaryminus

2003-06-03 23:09  peter <peter@freepascal.org>

	* compiler/i386/: csopt386.pas, daopt386.pas, popt386.pas,
	rropt386.pas:
	
	  * internal changeregsize for optimizer
	  * fix with a hack to not remove the first instruction of a block
	    which will leave blockstart pointing to invalid memory

2003-06-03 23:05  peter <peter@freepascal.org>

	* compiler/: ncal.pas, ncnv.pas:
	
	  * fix check for procedure without parameters
	  * calling constructor as member will not allocate memory

2003-06-03 23:04  peter <peter@freepascal.org>

	* compiler/nadd.pas:
	
	  * widen cardinal+signed operations

2003-06-03 23:02  peter <peter@freepascal.org>

	* compiler/pexpr.pas:
	
	  * don't set nf_member when loaded from with symtable
	  * allow static variables in class methods

2003-06-03 23:02  peter <peter@freepascal.org>

	* compiler/defcmp.pas:
	
	  * allow pointer(int64) in all modes

2003-06-03 22:27  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/ncgcal.pas:
	
	  * Restored original methodpointer code for non newra case

2003-06-03 22:21  mazen <mazen@freepascal.org>

	* compiler/pmodules.pas:
	
	- removed unneeded ifdefs - removed unneeded cases for sparc and
	x86_64

2003-06-03 17:49  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncgutil.pas:
	
	  * fixed ref/loc problems

2003-06-03 17:06  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/ncgutil.pas:
	
	  * fixed conflict marks

2003-06-03 15:01  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/: aasmtai.pas, cg64f32.pas, cgobj.pas, ncal.pas,
	ncgcal.pas, ncgld.pas, ncgmem.pas, ncgopt.pas, ncgutil.pas,
	pass_2.pas, pmodules.pas, psub.pas, regvars.pas, rgobj.pas,
	symdef.pas, tgobj.pas, i386/ag386nsm.pas, i386/cpubase.inc,
	i386/n386add.pas, i386/n386inl.pas, i386/n386mat.pas,
	i386/rgcpu.pas, m68k/cpubase.pas, x86/aasmcpu.pas, x86/cgx86.pas,
	x86/cpubase.pas, x86_64/cpubase.inc:
	
	  * Register allocator finished

2003-06-03 00:59  florian <florian@freepascal.org>

	* compiler/symsym.pas:
	
	  * absolutesyms aren't fpuregable either

2003-06-03 00:55  florian <florian@freepascal.org>

	* compiler/symdef.pas:
	
	  * classes and interfaces can be stored in integer registers

2003-06-03 00:35  florian <florian@freepascal.org>

	* compiler/ncgmem.pas:
	
	  * better handling of CREGISTER in subscript nodes

2003-06-02 23:42  jonas <jonas.maebe@rug.ac.be>

	* compiler/: cgbase.pas, ncgutil.pas, pdecsub.pas,
	i386/popt386.pas, powerpc/cpupi.pas, powerpc/radirect.pas,
	sparc/radirect.pas, x86/radirect.pas:
	
	  * function results can now also be regvars
	  - removed tprocinfo.return_offset, never use it again since it's
	invalid
	    if the result is a regvar

2003-06-01 23:38  peter <peter@freepascal.org>

	* compiler/: cg64f32.pas, cgobj.pas, ncgadd.pas, ncgcal.pas,
	ncgcnv.pas, ncgflw.pas, ncginl.pas, ncgmat.pas, ncgmem.pas,
	ncgopt.pas, ncgset.pas, ncgutil.pas, nobj.pas, rgobj.pas,
	i386/cgcpu.pas, i386/n386inl.pas, i386/n386mem.pas,
	i386/n386set.pas, i386/rgcpu.pas, powerpc/cgcpu.pas,
	powerpc/nppcadd.pas, powerpc/nppccnv.pas, powerpc/nppcinl.pas,
	powerpc/nppcmat.pas, sparc/cgcpu.pas, sparc/cpubase.pas,
	sparc/cpugas.pas, sparc/cpupara.pas, sparc/ncpuadd.pas,
	sparc/ncpucnv.pas, sparc/ncpuinln.pas, sparc/ncpumat.pas,
	sparc/opcode.inc, sparc/rgcpu.pas, sparc/strinst.inc,
	x86/cgx86.pas:
	
	  * getregisterfpu size parameter added
	  * op_const_reg size parameter added
	  * sparc updates

2003-06-01 15:42  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/cgcpu.pas:
	
	  * fix for bug in fixref that Peter found during the Sparc
	conversion

2003-06-01 03:04  peter <peter@freepascal.org>

	* compiler/sparc/: cgcpu.pas, cpubase.pas, cpugas.pas:
	
	  * reference fixes

2003-06-01 03:03  peter <peter@freepascal.org>

	* compiler/sparc/opcode.inc:
	
	  * FMOVs fixed

2003-06-01 03:03  peter <peter@freepascal.org>

	* compiler/sparc/aasmcpu.pas:
	
	  * remove unsupported combinations
	  * reg_ref_reg only allowed for refs_lo,refs_hi

2003-06-01 03:02  peter <peter@freepascal.org>

	* compiler/cgobj.pas:
	
	  * generic a_call_ref

2003-05-31 23:29  jonas <jonas.maebe@rug.ac.be>

	* compiler/ninl.pas:
	
	  * constant evaluation of trunc() and round() now also gives 64
	bit
	    results

2003-05-31 22:33  jonas <jonas.maebe@rug.ac.be>

	* compiler/regvars.pas:
	
	  * temp fix/hack for nested procedures (disable regvars in all
	procedures
	    that have nested procedures)
	  * leave register parameters in their own register (instead of
	storing
	    them to memory or assigning them to another register) if the
	current
	    procedure doesn't call any other procedures

2003-05-31 22:31  jonas <jonas.maebe@rug.ac.be>

	* compiler/rgobj.pas:
	
	  * set inital costs of assigning a variable to a register to 120
	for
	    non-i386, because the used register must be store to memory at
	the
	    start and loaded again at the end

2003-05-31 22:28  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncgutil.pas:
	
	  * changed copyvalueparas so it also supports register parameters
	    (except for copy_value_openarray, but that one is seriously
	broken
	     anyway, since it expects that the high parameter will always
	be in
	     memory right after the pointer to the array, while it could
	just as
	     will be in a register)

2003-05-31 22:23  jonas <jonas.maebe@rug.ac.be>

	* compiler/psub.pas:
	
	  * added pi_do_call if a procedure has a value shortstring
	parameter
	    (it's copied to the local stackframe with a helper)

2003-05-31 20:14  jonas <jonas.maebe@rug.ac.be>

	* compiler/systems/i_linux.pas:
	
	  * add default system for ppc

2003-05-31 19:15  marco <marcov@stack.nl>

	* compiler/utils/samplecfg:
	
	 * Fix to not print empty -Fl when gcclib not found

2003-05-31 18:22  peter <peter@freepascal.org>

	* compiler/x86/rax86.pas:
	
	  * fixed opsize and operand size setting for 64bit values

2003-05-31 18:17  marco <marcov@stack.nl>

	* compiler/systems.pas:
	
	 * cpuppc -> cpupowerpc. Target compiler was always linux for ppc

2003-05-31 17:05  peter <peter@freepascal.org>

	* compiler/: ncgcal.pas, ncgutil.pas, paramgr.pas,
	i386/cpubase.inc, powerpc/cpubase.pas, sparc/cpubase.pas,
	x86_64/cpubase.inc:
	
	  * FUNCTION_RESULT64_LOW/HIGH_REG added for int64 results

2003-05-31 17:04  peter <peter@freepascal.org>

	* compiler/i386/: n386mat.pas, n386set.pas:
	
	  * load_loc_reg update

2003-05-31 03:00  peter <peter@freepascal.org>

	* compiler/sparc/: cgcpu.pas, cpubase.pas, cpugas.pas, cpupara.pas,
	rgcpu.pas:
	
	  * register fixes

2003-05-31 02:59  peter <peter@freepascal.org>

	* compiler/ncgcal.pas:
	
	  * typo in FUNCTION_RESULT_REG

2003-05-31 02:48  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncgutil.pas:
	
	  * fixed my previous commit

2003-05-31 01:57  peter <peter@freepascal.org>

	* compiler/: cgobj.pas, ncgcal.pas, ncgflw.pas, ncgld.pas,
	ncgset.pas, ncgutil.pas, paramgr.pas, psub.pas, rautils.pas,
	i386/cpubase.inc, i386/cpupara.pas, i386/csopt386.pas,
	i386/n386cal.pas, i386/popt386.pas, i386/ra386att.pas,
	i386/ra386int.pas, powerpc/cpubase.pas, powerpc/radirect.pas,
	sparc/aasmcpu.pas, sparc/cgcpu.pas, sparc/cpubase.pas,
	sparc/cpugas.pas, sparc/cpupara.pas, sparc/cpupi.pas,
	sparc/cputarg.pas, sparc/ncpuadd.pas, sparc/ncpumat.pas,
	x86/aasmcpu.pas, x86/cgx86.pas, x86/cpubase.pas, x86/rax86.pas,
	x86_64/cpubase.inc:
	
	  * more sparc cleanup
	  * accumulator removed, splitted in function_return_reg (called)
	and
	    function_result_reg (caller)

2003-05-31 01:54  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncgld.pas:
	
	  * forgot to commit, a_load_loc_reg change

2003-05-31 01:49  jonas <jonas.maebe@rug.ac.be>

	* compiler/: cg64f64.pas, cgobj.pas, ncgmat.pas, ncgmem.pas,
	ncgset.pas, ncgutil.pas, i386/n386add.pas, i386/n386inl.pas:
	
	  * a_load_loc_reg now has an extra size parameter for the
	destination
	    register (properly fixes what I worked around in revision 1.106
	of
	    ncgutil.pas)

2003-05-31 01:45  marco <marcov@stack.nl>

	* compiler/powerpc/cpupara.pas:
	
	 * register skipping (aligning) for int64 parameters, sys V abi
	only.

2003-05-31 00:54  marco <marcov@stack.nl>

	* compiler/powerpc/cpupara.pas:
	
	 * getfuncretparaloc now uses r3 for highdword and r4 for lo.
	Doesn't work tho

2003-05-31 00:35  marco <marcov@stack.nl>

	* compiler/powerpc/cpupara.pas:
	
	 * committed fix that swaps int64 parameters hi and lo.

2003-05-30 23:40  jonas <jonas.maebe@rug.ac.be>

	* compiler/cgobj.pas:
	
	  * fixed bug in a_load_loc_ref (the source instead of dest size
	was passed
	    to a_load_reg_ref in case of a register)

2003-05-30 23:01  jonas <jonas.maebe@rug.ac.be>

	* compiler/nbas.pas:
	
	  - disabled "result := value; exit;" -> exit(value) optimization
	because
	    a) it was wrong
	    b) exit(value) works now exactly the same as that
	   (it was only activated with -Or)

2003-05-30 20:55  jonas <jonas.maebe@rug.ac.be>

	* compiler/: ncgflw.pas, regvars.pas, rgobj.pas:
	
	  * fixed several regvar related bugs for non-i386. make cycle with
	-Or now
	    works for ppc

2003-05-30 20:52  jonas <jonas.maebe@rug.ac.be>

	* compiler/: ncgutil.pas, powerpc/cgcpu.pas:
	
	  * fixed bug with intregvars
	  * locapara.loc can also be LOC_CFPUREGISTER -> also fixed
	    rcgppc.a_param_ref, which previously got bogus size values

2003-05-30 20:49  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/cpubase.pas:
	
	  * changed scratchregs from r28-r30 to r29-r31
	  * made sure the regvar registers don't overlap with the
	scratchregs
	    anymore

2003-05-30 20:49  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/nppcadd.pas:
	
	  * fixed problem where sometimes no register was allocated for the
	result
	    of an addnode when using regvars

2003-05-30 20:48  jonas <jonas.maebe@rug.ac.be>

	* compiler/symsym.pas:
	
	  * fixed intregister bug
	  * fixed error in my previous commit: vo_(fpu)regable should only
	be set
	    for (inline)localsymtable and (inline)parasymtable entries

2003-05-30 15:35  jonas <jonas.maebe@rug.ac.be>

	* compiler/symsym.pas:
	
	  * the vartype field of tvarsym is now a property, because
	is_XXXregable
	    must be updated when the vartype is changed

2003-05-30 14:36  jonas <jonas.maebe@rug.ac.be>

	* compiler/: cgobj.pas, rgobj.pas:
	
	  * use as little different registers on the ppc until newra is
	released,
	    since every used register must be saved

2003-05-29 23:17  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/cgcpu.pas:
	
	  * compile with -dppc603 to not use unaligned float loads in
	move() and
	    g_concatcopy, because the 603 and 604 take an exception for
	those
	    (and netbsd doesn't even handle those in the kernel). There are
	    still some of those left that could cause problems though (e.g.
	    in the set helpers)

2003-05-29 12:06  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/cgcpu.pas:
	
	  * also free temps in g_concatcopy if delsource is true

2003-05-29 12:05  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncgcal.pas:
	
	  * free callparatemps created for call-by-reference parameters

2003-05-29 01:58  jonas <jonas.maebe@rug.ac.be>

	* compiler/: ncgcal.pas, psub.pas, powerpc/cgcpu.pas:
	
	  * added missing initialization of rg.usedint{in,by}proc
	  * ppc now also saves/restores used fpu registers
	  * ncgcal doesn't add used registers to usedby/inproc anymore,
	except for
	    i386

2003-05-29 01:18  florian <florian@freepascal.org>

	* compiler/: systems.pas, powerpc/cgcpu.pas, sparc/aasmcpu.pas,
	sparc/cgcpu.pas, sparc/cpubase.pas, sparc/cpugas.pas,
	systems/i_bsd.pas, x86/agx86att.pas:
	
	  * started to fix and clean up the sparc port

2003-05-27 23:19  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncgutil.pas:
	
	  * fixed ppc cycle

2003-05-27 16:28  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncgutil.pas:
	
	  * patch from Peter for nested procedures

2003-05-27 00:08  mazen <mazen@freepascal.org>

	* compiler/sparc/cpubase.pas:
	
	+ RegEnum2Number to ease handling register pairs * changed
	convert_register_to_enum to use above	array

2003-05-27 00:04  mazen <mazen@freepascal.org>

	* compiler/sparc/cgcpu.pas:
	
	* added 64 bit value support to fix a problem in RTL

2003-05-26 23:31  mazen <mazen@freepascal.org>

	* compiler/sparc/strinst.inc:
	
	* mnemonic of A_LDF is ld, ldf does not exist!

2003-05-26 23:17  peter <peter@freepascal.org>

	* compiler/: cgbase.pas, defcmp.pas, ncal.pas, ncgcal.pas,
	ncgflw.pas, ncgutil.pas, nflw.pas, node.pas, nutils.pas,
	pass_2.pas, pmodules.pas, psub.pas, psystem.pas, symdef.pas,
	i386/daopt386.pas, i386/n386cal.pas:
	
	  * procinlinenode removed
	  * aktexit2label removed, fast exit removed
	  + tcallnode.inlined_pass_2 added

2003-05-26 23:15  peter <peter@freepascal.org>

	* compiler/: nadd.pas, ncgopt.pas, nopt.pas:
	
	  * disable string node optimizations for the moment

2003-05-26 21:39  peter <peter@freepascal.org>

	* compiler/ppu.pas:
	
	  * removed systems unit

2003-05-26 21:38  peter <peter@freepascal.org>

	* compiler/: nadd.pas, ncgld.pas, nld.pas, i386/n386add.pas:
	
	  * generic fpc_shorstr_concat
	  + fpc_shortstr_append_shortstr optimization

2003-05-26 21:37  peter <peter@freepascal.org>

	* compiler/i386/ag386nsm.pas:
	
	  * don't generate align in .bss

2003-05-26 17:49  jonas <jonas.maebe@rug.ac.be>

	* compiler/ppu.pas:
	
	  * endian fix is now done using a define instead of with
	source_info

2003-05-26 01:15  marco <marcov@stack.nl>

	* compiler/: systems.pas, systems/i_bsd.pas, systems/t_bsd.pas:
	
	 * NetBSD target support. OpenBSD reserved in the enum, for future
	use.

2003-05-25 16:32  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/nppccal.pas:
	
	  * fixed register numbering bug

2003-05-25 13:34  peter <peter@freepascal.org>

	* compiler/: ncal.pas, ncgcal.pas, psystem.pas, symdef.pas,
	symtable.pas:
	
	  * methodpointer self pushing fixed

2003-05-25 12:27  peter <peter@freepascal.org>

	* compiler/: fmodule.pas, fppu.pas, msgidx.inc, msgtxt.inc,
	pmodules.pas, msg/errore.msg:
	
	  * moved Comment calls to messge file

2003-05-25 12:26  peter <peter@freepascal.org>

	* compiler/scanner.pas:
	
	  * recursive include depth check

2003-05-25 12:26  peter <peter@freepascal.org>

	* compiler/i386/cpupi.pas:
	
	  * fix interrupt stack allocation

2003-05-25 11:27  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncgcnv.pas:
	
	  - undid previous patch, it was not necessary and on top of that,
	it
	    contained a bug :/

2003-05-25 10:59  peter <peter@freepascal.org>

	* compiler/psub.pas:
	
	  * do not generate code when there was an error

2003-05-25 10:59  peter <peter@freepascal.org>

	* compiler/: ncal.pas, ncgcal.pas:
	
	  * inline fixes

2003-05-25 10:55  peter <peter@freepascal.org>

	* compiler/rautils.pas:
	
	  * load result using hidden parameter

2003-05-24 23:12  florian <florian@freepascal.org>

	* compiler/: fpcdefs.inc, nadd.pas:
	
	  * if something doesn't work with callparatemp, the define
	callparatemp
	    should be used because other processors with reigster calling
	conventions
	    depend on this as well

2003-05-24 21:48  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncgset.pas:
	
	  * fixed tcginnode endian bug again, but correcty this time :)

2003-05-24 21:15  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/nppcmat.pas:
	
	  * fixed shr of 64 bit values by non-immediate value

2003-05-24 19:16  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncal.pas:
	
	  * added missing firstpass for callparatemp code

2003-05-24 19:15  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncginl.pas:
	
	  - removed bogus location_copy for include/exclude

2003-05-24 19:15  jonas <jonas.maebe@rug.ac.be>

	* compiler/nmem.pas:
	
	  * added missing firstpass for withrefnode

2003-05-24 18:32  jonas <jonas.maebe@rug.ac.be>

	* compiler/nmat.pas:
	
	  * fixed expectloc of notnode for all processors that have flags

2003-05-24 18:02  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/cpubase.pas:
	
	  * fixed endian problem with tlocation.value/valueqword fields

2003-05-24 15:39  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/nppcinl.pas:
	
	  * fsqrt is an optional instruction in the ppc architecture and
	isn't
	    implemented by any current ppc afaik, so use the generic sqrt
	routine
	    instead (adapted so it works with compilerproc)

2003-05-24 15:38  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/rgcpu.pas:
	
	  * don't save callee-save registers in the caller as well (the ppc
	code
	    that we generate is slow enough as it is without resorting to
	doing
	    double work :)

2003-05-24 15:37  jonas <jonas.maebe@rug.ac.be>

	* compiler/ppu.pas:
	
	  * endian fixes

2003-05-24 15:36  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncgcal.pas:
	
	  * save fpu results in a normal fpu register on non-x86 processors

2003-05-24 13:59  jonas <jonas.maebe@rug.ac.be>

	* compiler/: ncgcnv.pas, ncgutil.pas, powerpc/cgcpu.pas:
	
	  * fixed integer typeconversion problems

2003-05-24 13:48  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/cpupara.pas:
	
	  * added some missing paralocation size settings

2003-05-24 13:47  jonas <jonas.maebe@rug.ac.be>

	* compiler/: ncgld.pas, powerpc/cpupi.pas, powerpc/nppccal.pas:
	
	  * fixed framepointer storage: it's now always stored at r1+12,
	which is
	    a place in the link area reserved for compiler use.

2003-05-24 00:57  jonas <jonas.maebe@rug.ac.be>

	* compiler/nadd.pas:
	
	  - disable addoptnodes for powerpc, because they can generate
	calls in
	    pass_2, so -dcallparatemp can't detect them as nested calls

2003-05-24 00:33  florian <florian@freepascal.org>

	* compiler/: globals.pas, pstatmnt.pas, sparc/cgcpu.pas,
	sparc/cpuinfo.pas, sparc/cpupi.pas, sparc/radirect.pas:
	
	  * fix some small flaws which prevent sparc linux system unit from
	compiling
	  * some reformatting done

2003-05-23 23:10  florian <florian@freepascal.org>

	* compiler/: ncgset.pas, sparc/cpubase.pas, sparc/cputarg.pas,
	sparc/radirect.pas, sparc/registers.inc:
	
	  * fixed sparc compiler compilation

2003-05-23 23:10  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncginl.pas:
	
	  * fixed exclude

2003-05-23 21:52  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncgset.pas:
	
	  * corrected fix for endian differences in tcginnode

2003-05-23 21:35  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncgcal.pas:
	
	  - undid previous commit, it was wrong

2003-05-23 21:11  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncgcal.pas:
	
	  * fixed tests for whether a certain int register is unused

2003-05-23 20:51  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/: cgcpu.pas, cpupi.pas, nppccal.pas:
	
	  * fixed support for nested procedures and more parameters than
	those
	    which fit in registers (untested/probably not working: calling
	a
	    nested procedure from a deeper nested procedure)

2003-05-23 20:49  jonas <jonas.maebe@rug.ac.be>

	* compiler/psub.pas:
	
	  * generate code for parent procedure before that of nested
	procedures as
	    well (I only need pass_1 to be done for the ppc, but pass_1 and
	pass_2
	    are grouped and it doesn't hurt that pass_2 is done as well)

2003-05-23 20:01  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncgcal.pas:
	
	  * fixed ppc compiler

2003-05-23 19:05  peter <peter@freepascal.org>

	* compiler/nld.pas:
	
	  * loadn procsym need to return procdef

2003-05-23 19:04  peter <peter@freepascal.org>

	* compiler/fppu.pas:
	
	  * write interface crc to .ppu.intf when enabled
	  * when a unit is compiled with -Ur check only interface crc

2003-05-23 19:03  peter <peter@freepascal.org>

	* compiler/ppu.pas:
	
	  * write header for crc_only

2003-05-23 17:15  peter <peter@freepascal.org>

	* compiler/pstatmnt.pas:
	
	  * better error for undefined ordinal labels

2003-05-23 17:03  peter <peter@freepascal.org>

	* compiler/globals.pas:
	
	  * fix previous commit for unix

2003-05-23 16:39  peter <peter@freepascal.org>

	* compiler/globals.pas:
	
	  * FindFilePChar added to allow PATH variables > 256 chars

2003-05-23 16:27  peter <peter@freepascal.org>

	* compiler/: aasmbase.pas, cgbase.pas, cgobj.pas, fmodule.pas,
	nbas.pas, ncal.pas, ncgadd.pas, ncgcal.pas, ncgcnv.pas, ncgflw.pas,
	ncginl.pas, ncgld.pas, ncgmat.pas, ncgutil.pas, nld.pas, nobj.pas,
	pdecobj.pas, regvars.pas, symtable.pas:
	
	  * remove some unit dependencies
	  * current_procinfo changes to store more info

2003-05-22 23:39  peter <peter@freepascal.org>

	* compiler/compiler.pas:
	
	  * add cgcpu

2003-05-22 23:34  peter <peter@freepascal.org>

	* compiler/powerpc/cpupi.pas:
	
	  * inherite from tcgprocinfo

2003-05-22 23:33  peter <peter@freepascal.org>

	* compiler/x86/itx86att.pas:
	
	  * i386 att instruction table moved to separate unit

2003-05-22 23:32  peter <peter@freepascal.org>

	* compiler/: i386/cgcpu.pas, i386/cpupi.pas, i386/n386add.pas,
	i386/n386cal.pas, i386/n386mat.pas, i386/n386set.pas,
	i386/ra386att.pas, x86/aasmcpu.pas, x86/agx86att.pas, x86/cga.pas,
	x86/cgx86.pas, x86/nx86cnv.pas, x86/radirect.pas, x86/rax86.pas:
	
	  * removed some unit dependencies

2003-05-22 23:31  peter <peter@freepascal.org>

	* compiler/: pdecsub.pas, pmodules.pas, psub.pas, symconst.pas:
	
	  * defer codegeneration for nested procedures

2003-05-22 19:43  peter <peter@freepascal.org>

	* compiler/pexpr.pas:
	
	  * search defaulthandler only for message methods

2003-05-22 18:11  florian <florian@freepascal.org>

	* compiler/sparc/: cgcpu.pas, cpubase.pas, radirect.pas:
	
	  * fixed sparc compilation partially

2003-05-21 01:54  florian <florian@freepascal.org>

	* compiler/: systems.pas, i386/cputarg.pas, powerpc/cgcpu.pas,
	powerpc/cputarg.pas, systems/i_bsd.pas, systems/i_fbsd.pas,
	systems/t_bsd.pas, systems/t_fbsd.pas:
	
	  + basic darwin support added

2003-05-19 14:15  florian <florian@freepascal.org>

	* compiler/: powerpc/cpupara.pas, systems/i_linux.pas:
	
	  * fixed calling sequence for subroutines using the aix abi

2003-05-18 22:07  hajny <xhajt03@mbox.vol.cz>

	* compiler/: msgtxt.inc, msg/errore.msg:
	
	  * message correction

2003-05-18 17:15  florian <florian@freepascal.org>

	* compiler/: systems.pas, powerpc/nppccal.pas, systems/i_linux.pas:
	
	  + added abi field to tsysteminfo

2003-05-17 21:17  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncgset.pas:
	
	  * fixed size setting of result location of innodes

2003-05-17 16:05  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncal.pas:
	
	  * fixed callparatemp for ansi/widestring and interfacecoms

2003-05-17 16:05  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/cpupi.pas:
	
	  * fixed para/localst calculations (note to self: don't commit at
	    extremely late/early hours :)

2003-05-17 15:30  jonas <jonas.maebe@rug.ac.be>

	* compiler/: nbas.pas, ncal.pas, ncgbas.pas, ncgcal.pas,
	ncgflw.pas, ninl.pas, pinline.pas, pstatmnt.pas, rgobj.pas,
	tgobj.pas:
	
	  * changed tt_persistant to tt_persistent :)
	  * tempcreatenode now doesn't accept a boolean anymore for
	persistent
	    temps, but a ttemptype, so you can also create ansistring temps
	etc

2003-05-17 01:15  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/: cpupi.pas, nppccal.pas:
	
	  * workaround for nested procedures until Peter fixes it properly
	:)

2003-05-16 22:54  jonas <jonas.maebe@rug.ac.be>

	* compiler/cgbase.pas:
	
	  - undid previous commit, it wasn't necessary

2003-05-16 22:00  jonas <jonas.maebe@rug.ac.be>

	* compiler/: cgbase.pas, psub.pas, powerpc/cpupi.pas,
	powerpc/nppccal.pas:
	
	  * powerpc nested procedure fixes, should work completely now if
	all
	    local variables of the parent procedure are declared before the
	    nested procedures are declared

2003-05-16 18:26  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/cpubase.pas:
	
	  * adapted for Peter's regvar fixes

2003-05-16 16:33  peter <peter@freepascal.org>

	* compiler/: ncal.pas, ncgcal.pas, ncgflw.pas, nutils.pas,
	pinline.pas, psub.pas, regvars.pas, rgobj.pas, i386/cpubase.inc,
	i386/csopt386.pas, i386/rgcpu.pas, x86/cgx86.pas:
	
	  * regvar fixes

2003-05-16 16:32  peter <peter@freepascal.org>

	* compiler/symtable.pas:
	
	  * fix dup check for hiding the result varsym in localst, the
	result
	    sym was already in the localst when adding the locals

2003-05-16 00:14  florian <florian@freepascal.org>

	* compiler/powerpc/: cgcpu.pas, cpubase.pas:
	
	  * fixed last commit, changing lastsaveintreg to r31 caused some
	strange problems

2003-05-15 23:37  florian <florian@freepascal.org>

	* compiler/powerpc/: cgcpu.pas, cpubase.pas:
	
	  * sysv entry code saves r13 now as well

2003-05-15 23:10  peter <peter@freepascal.org>

	* compiler/symconst.pas:
	
	  * remove po_containsself

2003-05-15 21:39  florian <florian@freepascal.org>

	* compiler/powerpc/: cgcpu.pas, cpupi.pas:
	
	  * fixed ppc compiler which was broken by Peter's changes

2003-05-15 20:58  peter <peter@freepascal.org>

	* compiler/: cgbase.pas, cgobj.pas, defcmp.pas, globals.pas,
	ncgcal.pas, ncgld.pas, ncgutil.pas, parser.pas, pass_2.pas,
	pbase.pas, pdecsub.pas, pexpr.pas, pmodules.pas, pstatmnt.pas,
	ptype.pas, rautils.pas, regvars.pas, symdef.pas, symsym.pas,
	symtable.pas, i386/n386obj.pas, x86/cgx86.pas, x86/radirect.pas:
	
	  * removed selfpointer_offset, vmtpointer_offset
	  * tvarsym.adjusted_address
	  * address in localsymtable is now in the real direction
	  * removed some obsolete globals

2003-05-15 18:10  florian <florian@freepascal.org>

	* compiler/ncgmem.pas:
	
	  * fixed getintparaloc call for ansi- and widestring range
	checking

2003-05-14 21:36  jonas <jonas.maebe@rug.ac.be>

	* compiler/: ncgcal.pas, ncgutil.pas:
	
	  * patch from Peter for int64 function results

2003-05-14 21:35  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncal.pas:
	
	  * fixed callparatemp so it works with vs_var, vs_out and formal
	const
	    parameters

2003-05-14 21:31  jonas <jonas.maebe@rug.ac.be>

	* compiler/cg64f32.pas:
	
	  * fixed a_param64_reg

2003-05-13 23:26  peter <peter@freepascal.org>

	* compiler/psub.pas:
	
	  * only call destructor in except block when there is a destructor
	    available

2003-05-13 22:54  peter <peter@freepascal.org>

	* compiler/pexpr.pas:
	
	  * ifdef'd code that checked for failed inherited constructors

2003-05-13 22:54  peter <peter@freepascal.org>

	* compiler/nutils.pas:
	
	  * fail checks vmt value before calling dispose

2003-05-13 22:53  peter <peter@freepascal.org>

	* compiler/ncal.pas:
	
	  * constructors return in register

2003-05-13 22:13  florian <florian@freepascal.org>

	* compiler/tgobj.pas:
	
	  * fixed temp. management for CPUs were the temp. space grows
	upwards

2003-05-13 21:15  peter <peter@freepascal.org>

	* compiler/x86/radirect.pas:
	
	  * removed radirect

2003-05-13 21:14  peter <peter@freepascal.org>

	* compiler/: cgbase.pas, cgobj.pas, nbas.pas, ncgcal.pas,
	ncgflw.pas, ncgutil.pas, nflw.pas, node.pas, nset.pas, nutils.pas,
	options.pas, pass_2.pas, pexpr.pas, pstatmnt.pas, psub.pas,
	psystem.pas:
	
	  * failn removed
	  * inherited result code check moven to pexpr

2003-05-13 17:18  peter <peter@freepascal.org>

	* compiler/: ncal.pas, pdecsub.pas, psub.pas:
	
	  * fixed various crashes

2003-05-13 17:18  peter <peter@freepascal.org>

	* compiler/ncgcal.pas:
	
	  * generate code for procvar first before pushing parameters. Made
	    the already existing code for powerpc available for all
	platforms

2003-05-13 17:17  peter <peter@freepascal.org>

	* compiler/symtable.pas:
	
	  * fix crash with hiding function result. The function result is
	now
	    inserted as last so the symbol that we are going to insert is
	the
	    result and needs to be renamed instead of the already existing
	    symbol

2003-05-13 17:16  peter <peter@freepascal.org>

	* compiler/: ncgutil.pas, paramgr.pas, i386/cpupara.pas:
	
	  * removed ret_in_acc, it's the reverse of ret_in_param
	  * fixed ret_in_param for win32 cdecl array

2003-05-13 17:15  peter <peter@freepascal.org>

	* compiler/systems/t_win32.pas:
	
	  * fixed import crash with explicit provided name

2003-05-13 10:13  jonas <jonas.maebe@rug.ac.be>

	* compiler/symdef.pas:
	
	  * patch from Peter for rtti symbols

2003-05-12 23:29  peter <peter@freepascal.org>

	* compiler/tgobj.pas:
	
	  * extdebug info temp alloc type was wrong

2003-05-12 22:14  florian <florian@freepascal.org>

	* compiler/powerpc/cpupara.pas:
	
	  * fixed parameter passing by value of large sets, strings and
	method pointers

2003-05-12 20:43  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/cgcpu.pas:
	
	  * fixed g_concatcopy

2003-05-12 20:17  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncgcal.pas:
	
	  * moved fpc_check_object call earlier for the ppc, so it can't
	destroy
	    already-loaded parameter registers

2003-05-12 20:13  peter <peter@freepascal.org>

	* compiler/: aasmtai.pas, symsym.pas:
	
	  * create rtti label using newasmsymboldata and update binding
	    only when calling tai_symbol.create
	  * tai_symbol.create_global added

2003-05-12 19:22  jonas <jonas.maebe@rug.ac.be>

	* compiler/: ncgld.pas, rautils.pas, regvars.pas:
	
	  * fixed (last?) remaining -tvarsym(X).address to
	    tg.direction*tvarsym(X).address...

2003-05-12 10:08  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncgutil.pas:
	
	  * fixed several initialization and finalization related bugs
	(missing
	    tg.direction's, wrong paralocation for decreasing refcount of
	    everything but ansistrings)

2003-05-12 01:19  florian <florian@freepascal.org>

	* compiler/powerpc/cpupara.pas:
	
	  * fixed passing of small const arrays and const records, they are
	always passed by reference

2003-05-11 23:48  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncgcal.pas:
	
	  * fixed procvar bug on the ppc (load procvar before loading
	para's,
	    because the procvar may otherwise destroy the already loaded
	paras)

2003-05-11 23:37  peter <peter@freepascal.org>

	* compiler/: cgobj.pas, ncal.pas, ncgflw.pas, ncgld.pas,
	ncgmem.pas, ncgutil.pas, ncnv.pas, nflw.pas, ninl.pas, nld.pas,
	node.pas, pexpr.pas, psub.pas, symdef.pas:
	
	  * moved implicit exception frame from ncgutil to psub
	  * constructor/destructor helpers moved from cobj/ncgutil to psub

2003-05-11 22:59  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/cgcpu.pas:
	
	  * fixed bug with large offsets in entrycode

2003-05-11 22:42  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/nppccnv.pas:
	
	  * fixed bug in second_int_to_bool I introduced previous time
	    (secondpass was being called twice!)

2003-05-11 21:31  florian <florian@freepascal.org>

	* compiler/pmodules.pas:
	
	  * fixed implicit init/final code for units, stack frame was wrong
	for ppc

2003-05-11 21:17  florian <florian@freepascal.org>

	* compiler/options.pas:
	
	  * FPC_LITTLE_ENDIAN and FPC_BIG_ENDIAN is now defined as well

2003-05-11 16:45  peter <peter@freepascal.org>

	* compiler/: nbas.pas, ncal.pas, ncgld.pas, ncgmem.pas,
	ncgutil.pas, nld.pas, nmem.pas, pexpr.pas, pstatmnt.pas,
	symtable.pas:
	
	  * tloadnode does not support objectsymtable,withsymtable anymore
	  * withnode cleanup
	  * direct with rewritten to use temprefnode

2003-05-11 15:06  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/nppccnv.pas:
	
	  * fixed second_int_to_bool() (but still problem with typecasts
	used for
	    var parameters, not sure about solution)

2003-05-11 13:45  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/: cgcpu.pas, nppcmat.pas:
	
	  * fixed shifts

2003-05-11 13:08  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/aasmcpu.pas:
	
	  + op_reg_reg_reg_const_const (for rlwnm)

2003-05-11 13:07  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/cgcpu.pas:
	
	  * fixed optimizations in a_op_const_reg_reg()

2003-05-11 01:57  florian <florian@freepascal.org>

	* compiler/: cmsgs.pas, powerpc/cpupi.pas:
	
	  * vmtpointer_offset must be adjusted in after_pass1 as well

2003-05-10 15:20  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncgutil.pas:
	
	  * moved storing of register parameters to memory even earlier in
	the
	    entry code to fix problems with constructors

2003-05-09 21:00  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/cpupi.pas:
	
	  * call inherited after_header as well

2003-05-09 19:47  peter <peter@freepascal.org>

	* compiler/: cgbase.pas, cgobj.pas, defcmp.pas, fpcdefs.inc,
	htypechk.pas, link.pas, ncal.pas, ncgcal.pas, ncginl.pas,
	ncgmem.pas, ncgutil.pas, ncnv.pas, ninl.pas, nld.pas, nmat.pas,
	nmem.pas, node.pas, pass_2.pas, pdecobj.pas, pdecsub.pas,
	pdecvar.pas, pexpr.pas, pinline.pas, pstatmnt.pas, psub.pas,
	psystem.pas, ptconst.pas, ptype.pas, symconst.pas, symdef.pas,
	symsym.pas, utils/ppudump.pp:
	
	  * self moved to hidden parameter
	  * removed hdisposen,hnewn,selfn

2003-05-07 17:06  mazen <mazen@freepascal.org>

	* compiler/mppcsparc:
	
	* fiexed some error

2003-05-07 17:05  mazen <mazen@freepascal.org>

	* compiler/sparc/ncpuadd.pas:
	
	* fixed generated code for compare instructions

2003-05-07 17:04  mazen <mazen@freepascal.org>

	* compiler/sparc/cgcpu.pas:
	
	* invalid genrated code for CASE statement fixed

2003-05-07 13:55  mazen <mazen@freepascal.org>

	* compiler/sparc/cpugas.pas:
	
	- unused units removed from uses clause - unused variables removed
	from implemntation declarations

2003-05-07 13:45  mazen <mazen@freepascal.org>

	* compiler/sparc/aasmcpu.pas:
	
	- removed unused code

2003-05-07 13:28  mazen <mazen@freepascal.org>

	* compiler/sparc/aasmcpu.pas:
	
	- method CheckNonCommutativeOpcode removed as not used

2003-05-07 11:16  mazen <mazen@freepascal.org>

	* compiler/ncgmem.pas:
	
	- non used units removed from uses clause

2003-05-06 23:38  mazen <mazen@freepascal.org>

	* compiler/mppcsparc:
	
	* adding sparc binutils directoy support for cross   compiling

2003-05-06 23:37  mazen <mazen@freepascal.org>

	* compiler/sparc/ncpuadd.pas:
	
	* adding emit_compare trying fixing compare bugs

2003-05-06 22:27  mazen <mazen@freepascal.org>

	* compiler/sparc/aasmcpu.pas:
	
	* A_BI changed to A_BL

2003-05-06 22:25  mazen <mazen@freepascal.org>

	* compiler/sparc/cgcpu.pas:
	
	* Invalid genrated code : A_JMPL changed to A_BA

2003-05-06 22:23  mazen <mazen@freepascal.org>

	* compiler/sparc/: opcode.inc, strinst.inc:
	
	* A_BI ==> A_BL (bi ==> bl) instructions renamed

2003-05-06 17:02  mazen <mazen@freepascal.org>

	* compiler/sparc/cgcpu.pas:
	
	* fixed a bug in a_load_const_reg related to max 13bit value limit 
	 for immediat value ==> use of A_SETHI for greater values

2003-05-06 17:00  mazen <mazen@freepascal.org>

	* compiler/sparc/aasmcpu.pas:
	
	- non used code removed to bring up with powerpc changes

2003-05-06 16:58  mazen <mazen@freepascal.org>

	* compiler/sparc/cpubase.pas:
	
	- non used constants OT_* removed * some keywords moved lower case

2003-05-06 16:55  mazen <mazen@freepascal.org>

	* compiler/sparc/cpugas.pas:
	
	* comment changed to ;# instead of ## * .bss section changed to
	.section ".bss"

2003-05-05 16:53  peter <peter@freepascal.org>

	* compiler/: ncal.pas, ncgcal.pas, nmem.pas, pdecobj.pas,
	pdecsub.pas, symconst.pas, symdef.pas, symsym.pas:
	
	  * vs_hidden replaced by is_hidden boolean

2003-05-02 17:13  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/nppccnv.pas:
	
	  * yet another final fix for second_int_to_real() :) (tested this
	time)

2003-05-01 14:27  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncginl.pas:
	
	  * fixed include/exclude for normalsets

2003-05-01 14:26  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncgset.pas:
	
	  * fixed endian issue in inlined in-test for smallsets
	  * pass the address of normalsets to fpc_set_in_set_byte instead
	of the
	    contents of the first 4 bytes

2003-05-01 14:24  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncgcon.pas:
	
	  * fixed endian issues when writing out set constants

2003-05-01 14:23  jonas <jonas.maebe@rug.ac.be>

	* compiler/cgobj.pas:
	
	  * fix for op_reg_reg_reg in case the destination is the same as
	the first
	    source register

2003-05-01 10:02  florian <florian@freepascal.org>

	* compiler/x86/nx86cnv.pas:
	
	  * i386 and x86-64 share second_int_to_bool, moved to nx86cnv.pas

2003-05-01 09:59  florian <florian@freepascal.org>

	* compiler/: nflw.pas, options.pas, pexpr.pas, psystem.pas,
	symdef.pas, x86/radirect.pas:
	
	  * introduced defaultordconsttype to decribe the default size of
	ordinal constants
	    on 64 bit CPUs it's equal to cs64bitdef while on 32 bit CPUs
	it's equal to s32bitdef
	  + added defines CPU32 and CPU64 for 32 bit and 64 bit CPUs
	  * int64s/qwords are allowed as for loop counter on 64 bit CPUs

2003-05-01 00:15  florian <florian@freepascal.org>

	* compiler/: ncgadd.pas, paramgr.pas, pstatmnt.pas,
	x86_64/cpunode.pas:
	
	  * some 64 bit adaptions in ncgadd
	  * x86-64 now uses ncgadd
	  * tparamanager.ret_in_acc doesn't return true anymore for a
	void-def

2003-04-30 22:53  florian <florian@freepascal.org>

	* compiler/: msgidx.inc, msgtxt.inc, ncgcal.pas, ptconst.pas,
	i386/cga.pas, i386/n386cnv.pas, msg/errore.msg, x86/cga.pas,
	x86/cgx86.pas, x86/cpubase.pas, x86_64/cga.pas, x86_64/cpunode.pas,
	x86_64/cpupara.pas, x86_64/nx64cnv.pas:
	
	  * error when address of an abstract method is taken
	  * fixed some x86-64 problems
	  * merged some more x86-64 and i386 code

2003-04-30 18:35  florian <florian@freepascal.org>

	* compiler/options.pas:
	
	  * fixed defines for x86-64

2003-04-30 17:45  florian <florian@freepascal.org>

	* compiler/: ncgflw.pas, i386/ra386.pas, i386/ra386att.pas,
	i386/ra386int.pas, i386/radirect.pas, systems/i_linux.pas,
	x86/radirect.pas, x86/rax86.pas, x86_64/cgcpu.pas,
	x86_64/cpubase.inc, x86_64/cputarg.pas, x86_64/radirect.pas,
	x86_64/rax86_64.pas, x86_64/rax86dir.pas:
	
	  * merged more x86-64/i386 code

2003-04-30 11:42  florian <florian@freepascal.org>

	* compiler/: fpcdefs.inc, pdecsub.pas:
	
	  + first changes to make self a hidden parameter

2003-04-29 14:03  mazen <mazen@freepascal.org>

	* compiler/sparc/cpubase.pas:
	
	* TOldRegister isnow just an alias for TCpuRegister * TCpuRegister
	is used to define cpu register set physically available + CpuRegs
	array to easially create correspondence between TCpuRegister and
	TRegister

2003-04-29 13:58  mazen <mazen@freepascal.org>

	* compiler/sparc/cgcpu.pas:
	
	* fixed bug of output generated assembler for a_cmp_const_ref_label

2003-04-29 13:53  mazen <mazen@freepascal.org>

	* compiler/sparc/cpuregs.inc:
	
	+ This file is used to define all cpu registers physically
	available

2003-04-29 13:52  mazen <mazen@freepascal.org>

	* compiler/sparc/registers.inc:
	
	* signification of ths faile has changed.  * It was used to declare
	the cpu registers physically available * Now, it is used to define
	the register allocators paris (enum,number)

2003-04-29 13:06  mazen <mazen@freepascal.org>

	* compiler/sparc/aasmcpu.pas:
	
	* test of invalid opcode/operand combination gives internal error

2003-04-29 12:00  mazen <mazen@freepascal.org>

	* compiler/sparc/strinst.inc:
	
	* instruction are moved lowercase to allow using old assmeblers

2003-04-29 09:28  michael <michael.vancanneyt@wisa.be>

	* compiler/: cgobj.pas, ncgcal.pas, ncgutil.pas, ncgflw.pas,
	ncgld.pas:
	
	+ Patch from peter to fix wrong pushing of ansistring function
	results in open array

2003-04-28 23:19  peter <peter@freepascal.org>

	* compiler/pmodules.pas:
	
	  * fix stabs generation for implicit initfinal

2003-04-28 23:17  peter <peter@freepascal.org>

	* compiler/aggas.pas:
	
	  * write sec_none info in extdebug

2003-04-28 23:17  peter <peter@freepascal.org>

	* compiler/ncgutil.pas:
	
	  * do not finalize function results

2003-04-28 18:18  peter <peter@freepascal.org>

	* compiler/finput.pas:
	
	  * sharedlib is placed in exe outputdir

2003-04-28 11:49  mazen <mazen@freepascal.org>

	* compiler/sparc/ncpucall.pas:
	
	- InternalError removed from TSparcCallNode.push_framepointer as it
	is called by common coplier code.

2003-04-28 11:46  mazen <mazen@freepascal.org>

	* compiler/sparc/cpubase.pas:
	
	+ max_scratch_regs variable added because requested by common
	compiler code

2003-04-28 11:44  mazen <mazen@freepascal.org>

	* compiler/sparc/cgcpu.pas:
	
	+ NOP after conditional jump instruction to prevent delay slot
	execution

2003-04-28 11:40  mazen <mazen@freepascal.org>

	* compiler/sparc/aasmcpu.pas:
	
	* Debug message in SetCondition more explicit.

2003-04-27 18:30  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncgutil.pas:
	
	  * store register para's to memory before copying the valuepara's,
	because
	    that one requires them to be there already (and it calls
	subroutines ->
	    could overwrite those registers)

2003-04-27 16:48  jonas <jonas.maebe@rug.ac.be>

	* compiler/cg64f32.pas:
	
	  * fixed Florian's quick hack :)
	  * fixed small bug 64bit range checking code

2003-04-27 13:55  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/nppcadd.pas:
	
	  * fixed overflow checking form of 64bit add instruction

2003-04-27 13:21  peter <peter@freepascal.org>

	* compiler/: cgbase.pas, cgobj.pas, fmodule.pas, fppu.pas,
	globals.pas, globtype.pas, htypechk.pas, import.pas, nadd.pas,
	nbas.pas, ncal.pas, ncgbas.pas, ncgcal.pas, ncgflw.pas, ncginl.pas,
	ncgld.pas, ncgmem.pas, ncgutil.pas, ncnv.pas, nflw.pas, ninl.pas,
	nld.pas, nmem.pas, nopt.pas, nset.pas, paramgr.pas, parser.pas,
	pass_2.pas, pdecl.pas, pdecobj.pas, pdecsub.pas, pexpr.pas,
	pmodules.pas, pstatmnt.pas, psub.pas, ptype.pas, rautils.pas,
	regvars.pas, symbase.pas, symconst.pas, symdef.pas, symsym.pas,
	symtable.pas, tgobj.pas, i386/cpupi.pas, i386/csopt386.pas,
	i386/daopt386.pas, i386/n386set.pas, i386/popt386.pas,
	i386/ra386int.pas, i386/radirect.pas, m68k/cgcpu.pas,
	powerpc/cgcpu.pas, powerpc/cpupi.pas, powerpc/nppccal.pas,
	powerpc/radirect.pas, sparc/cgcpu.pas, sparc/cpupi.pas,
	sparc/ncpucall.pas, sparc/radirect.pas, x86/cgx86.pas:
	
	  * aktprocdef renamed to current_procdef
	  * procinfo renamed to current_procinfo
	  * procinfo will now be stored in current_module so it can be
	    cleaned up properly
	  * gen_main_procsym changed to create_main_proc and
	release_main_proc
	    to also generate a tprocinfo structure
	  * fixed unit implicit initfinal

2003-04-27 13:06  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/nppcadd.pas:
	
	  * fixed 64bit "const - reg/ref" bugs

2003-04-27 12:41  florian <florian@freepascal.org>

	* compiler/powerpc/nppccal.pas:
	
	  * fixed nested procedures to get them working as before

2003-04-27 12:03  jonas <jonas.maebe@rug.ac.be>

	* compiler/symsym.pas:
	
	  * fixed stabs generation for local variables on systems where
	they have
	    a positive offset relative to the stack/framepointer

2003-04-27 11:14  florian <florian@freepascal.org>

	* compiler/systems/t_win32.pas:
	
	  * aprocdef instead of aktprocdef must be used

2003-04-27 11:10  florian <florian@freepascal.org>

	* compiler/cg64f32.pas:
	
	  * quick fix for param64 for intel

2003-04-27 11:08  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncal.pas:
	
	  * do callparatemp stuff only after the parameters have been
	firstpassed,
	    because some nodes are turned into calls during the firstpass

2003-04-27 10:52  florian <florian@freepascal.org>

	* compiler/systems/t_macos.pas:
	
	  * another compile fix

2003-04-27 10:50  peter <peter@freepascal.org>

	* compiler/systems/t_macos.pas:
	
	  * compile fix

2003-04-27 10:23  florian <florian@freepascal.org>

	* compiler/cg64f32.pas:
	
	  * fixed parameter passing for 64 bit ints

2003-04-27 09:48  peter <peter@freepascal.org>

	* compiler/: i386/cpupi.pas, powerpc/cpupi.pas,
	powerpc/nppccal.pas, powerpc/radirect.pas, sparc/cpupi.pas,
	sparc/radirect.pas:
	
	  * updated for removed lexlevel

2003-04-27 09:29  peter <peter@freepascal.org>

	* compiler/: cgbase.pas, cgobj.pas, fppu.pas, globals.pas,
	globtype.pas, htypechk.pas, import.pas, ncal.pas, ncgcal.pas,
	ncgld.pas, ncgutil.pas, nflw.pas, nld.pas, nmem.pas, paramgr.pas,
	parser.pas, pass_2.pas, pdecl.pas, pdecobj.pas, pdecsub.pas,
	pexpr.pas, pmodules.pas, pstatmnt.pas, psub.pas, ptype.pas,
	rautils.pas, symbase.pas, symconst.pas, symdef.pas, symsym.pas,
	symtable.pas, i386/radirect.pas, systems/t_beos.pas,
	systems/t_emx.pas, systems/t_fbsd.pas, systems/t_linux.pas,
	systems/t_nwm.pas, systems/t_os2.pas, systems/t_sunos.pas,
	systems/t_wdosx.pas, systems/t_win32.pas, utils/ppudump.pp:
	
	  * aktprocdef cleanup, aktprocdef is now always nil when parsing
	    a new procdef declaration
	  * aktprocsym removed
	  * lexlevel removed, use symtable.symtablelevel instead
	  * implicit init/final code uses the normal genentry/genexit
	  * funcret state checking updated for new funcret handling

2003-04-27 00:56  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/cgcpu.pas:
	
	  * fix to a_op64_const_reg_reg

2003-04-26 22:57  florian <florian@freepascal.org>

	* compiler/cgobj.pas:
	
	  * fixed para locations of fpc_class_new helper call

2003-04-26 22:15  florian <florian@freepascal.org>

	* compiler/powerpc/cpuinfo.pas:
	
	  * fixed setjmp record size

2003-04-26 22:03  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/rgobj.pas:
	
	  * Bug fix in simplify

2003-04-26 21:32  peter <peter@freepascal.org>

	* compiler/comphook.pas:
	
	  * print lineinfo for internalerror

2003-04-26 19:21  florian <florian@freepascal.org>

	* compiler/: cgobj.pas, ncgutil.pas:
	
	  * fixed passing of fpu values by fpu register

2003-04-26 18:08  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/cgcpu.pas:
	
	  * fixed g_flags2reg

2003-04-26 17:25  florian <florian@freepascal.org>

	* compiler/powerpc/cgcpu.pas:
	
	  * fixed cmp_reg_reg_reg, cmp operands were emitted in the wrong
	order

2003-04-26 13:30  florian <florian@freepascal.org>

	* compiler/: pstatmnt.pas, powerpc/cpupara.pas, powerpc/cpupi.pas:
	
	  * fixed the powerpc to work with the new function result handling

2003-04-26 11:56  peter <peter@freepascal.org>

	* compiler/utils/ppudump.pp:
	
	  * length of tparalocation is now stored in ppu

2003-04-26 11:16  peter <peter@freepascal.org>

	* compiler/: link.pas, systems/t_beos.pas, systems/t_emx.pas,
	systems/t_fbsd.pas, systems/t_go32v2.pas, systems/t_linux.pas,
	systems/t_nwm.pas, systems/t_os2.pas, systems/t_sunos.pas,
	systems/t_win32.pas:
	
	  * .o files belonging to the unit are first searched in the same
	dir
	    as the .ppu

2003-04-26 11:12  peter <peter@freepascal.org>

	* compiler/: nadd.pas, ncgopt.pas, nopt.pas, i386/n386add.pas:
	
	  * add string returns in LOC_REFERENCE

2003-04-26 02:33  peter <peter@freepascal.org>

	* compiler/: pdecsub.pas, pexpr.pas, symconst.pas, symtable.pas:
	
	  * vo_is_result flag added for the special RESULT symbol

2003-04-26 02:32  peter <peter@freepascal.org>

	* compiler/pdecobj.pas:
	
	  * start search for overriden properties in the parent class

2003-04-26 02:31  peter <peter@freepascal.org>

	* compiler/: cgbase.pas, psub.pas:
	
	  * set return_offset moved to after_header

2003-04-26 02:30  peter <peter@freepascal.org>

	* compiler/: fppu.pas, parser.pas:
	
	  * reset aktfilepos when setting new module for compile

2003-04-26 02:30  peter <peter@freepascal.org>

	* compiler/scanner.pas:
	
	  * don't close inputfile when still closed

2003-04-26 02:29  peter <peter@freepascal.org>

	* compiler/browcol.pas:
	
	  * adapted for removed funcretsym

2003-04-26 02:28  peter <peter@freepascal.org>

	* compiler/: nflw.pas, nld.pas:
	
	  * removed load_funcret

2003-04-25 23:05  florian <florian@freepascal.org>

	* compiler/powerpc/radirect.pas:
	
	  * fixed tfuncretsym stuff in powerpc specific part

2003-04-25 22:59  peter <peter@freepascal.org>

	* compiler/: aasmtai.pas, aggas.pas, cgbase.pas, cginfo.pas,
	defutil.pas, globals.pas, htypechk.pas, nbas.pas, ncal.pas,
	ncgcal.pas, ncgld.pas, ncgutil.pas, ncon.pas, nflw.pas, nld.pas,
	nmat.pas, nobj.pas, node.pas, parser.pas, pass_2.pas, pdecobj.pas,
	pdecsub.pas, pdecvar.pas, pexpr.pas, ppu.pas, pstatmnt.pas,
	psub.pas, psystem.pas, ptype.pas, rautils.pas, rgobj.pas,
	symconst.pas, symdef.pas, symsym.pas, symtable.pas, symutil.pas,
	tgobj.pas, verbose.pas, i386/radirect.pas, utils/ppudump.pp:
	
	  * removed funcretn,funcretsym, function result is now in varsym
	    and aliases for result and function name are added using
	absolutesym
	  * vs_hidden parameter for funcret passed in parameter
	  * vs_hidden fixes
	  * writenode changed to printnode and released from extdebug
	  * -vp option added to generate a tree.log with the nodetree
	  * nicer printnode for statements, callnode

2003-04-25 22:55  florian <florian@freepascal.org>

	* compiler/powerpc/cgcpu.pas:
	
	  * stack frame calculations are now completly done using the code
	generator
	    routines instead of generating directly assembler so also large
	stack frames
	    are handle properly

2003-04-25 14:43  florian <florian@freepascal.org>

	* compiler/: i386/aasmcpu.pas, x86/aasmcpu.pas, x86_64/aasmcpu.pas:
	
	  * merged i386/aasmcpu and x86_64/aasmcpu to x86/aasmcpu

2003-04-25 14:04  florian <florian@freepascal.org>

	* compiler/: i386/aasmcpu.pas, i386/ag386att.pas, i386/cputarg.pas,
	i386/ra386.pas, i386/ra386att.pas, i386/radirect.pas,
	x86/agx86att.pas, x86_64/aasmcpu.pas, x86_64/agx64att.pas:
	
	  * merged agx64att and ag386att to x86/agx86att

2003-04-25 13:50  florian <florian@freepascal.org>

	* compiler/x86/agatt.pas:
	
	  * removed

2003-04-25 13:50  florian <florian@freepascal.org>

	* compiler/x86/agatt.pas:
	
	  * commited it, to remove it :)

2003-04-25 13:12  florian <florian@freepascal.org>

	* compiler/: i386/cpubase.inc, i386/cpubase.pas, x86/cpubase.pas,
	x86_64/cpubase.inc, x86_64/cpubase.pas:
	
	  * merged i386/cpubase and x86_64/cpubase to x86/cpubase;
	    different stuff went to cpubase.inc

2003-04-25 10:25  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/: aasmtai.pas, ncgcal.pas, ncginl.pas, ncgset.pas,
	nflw.pas, nset.pas, pstatmnt.pas, rgobj.pas, i386/cpubase.pas,
	i386/n386set.pas, i386/rgcpu.pas:
	
	  * Ifdefs around a lot of calls to cleartempgen
	  * Fixed registers that are allocated but not freed in several
	nodes
	  * Tweak to register allocator to cause less spills
	  * 8-bit registers now interfere with esi,edi and ebp
	    Compiler can now compile rtl successfully when using new
	register
	    allocator

2003-04-25 00:29  florian <florian@freepascal.org>

	* compiler/: aggas.pas, fpcdefs.inc, nadd.pas, ncgcon.pas,
	ncginl.pas, ncon.pas, node.pas, ptconst.pas, version.pas,
	powerpc/agppcgas.pas, powerpc/nppcadd.pas, powerpc/nppccnv.pas:
	
	  * fixed a lot of PowerPC related stuff

2003-04-24 15:03  florian <florian@freepascal.org>

	* compiler/: aasmtai.pas, pdecsub.pas, ppu.pas, psub.pas:
	
	  * comp is now written with its bit pattern to the ppu instead as
	an extended

2003-04-24 14:57  florian <florian@freepascal.org>

	* compiler/powerpc/nppcmat.pas:
	
	  * fixed not node

2003-04-24 14:05  florian <florian@freepascal.org>

	* compiler/powerpc/radirect.pas:
	
	  * symbols which are register identifiers aren't resolved anymore

2003-04-24 13:24  florian <florian@freepascal.org>

	* compiler/powerpc/: cgcpu.pas, cpunode.pas, cpupi.pas,
	nppccal.pas:
	
	  * fixed several issues with nested procedures

2003-04-24 13:21  florian <florian@freepascal.org>

	* compiler/options.pas:
	
	  + HAS_TYPE_* defines for floats on i386 and powerpc added

2003-04-24 13:20  florian <florian@freepascal.org>

	* compiler/ncgopt.pas:
	
	  + created from n386opt

2003-04-24 13:19  florian <florian@freepascal.org>

	* compiler/i386/cpunode.pas:
	
	  * ncgopt replaces n386opt

2003-04-24 13:18  florian <florian@freepascal.org>

	* compiler/i386/n386opt.pas:
	
	  - replaced by ncgopt

2003-04-24 00:18  peter <peter@freepascal.org>

	* compiler/powerpc/: cgcpu.pas, nppcadd.pas, radirect.pas:
	
	  * fixes to get rtl compiled

2003-04-23 23:10  peter <peter@freepascal.org>

	* compiler/: psystem.pas, m68k/n68kcnv.pas, powerpc/nppccnv.pas,
	sparc/ncpucnv.pas:
	
	  * fix compile for ppc,sparc,m68k

2003-04-23 22:23  peter <peter@freepascal.org>

	* compiler/rgobj.pas:
	
	  * compile fix for no-newra

2003-04-23 22:16  peter <peter@freepascal.org>

	* compiler/: cg64f32.pas, cgobj.pas, defcmp.pas, defutil.pas,
	nadd.pas, ncal.pas, ncgadd.pas, ncgld.pas, ncgmat.pas, ncnv.pas,
	ncon.pas, ninl.pas, nld.pas, nmat.pas, psystem.pas, symconst.pas,
	symdef.pas, i386/n386add.pas, i386/n386cnv.pas:
	
	  + added currency support based on int64
	  + is_64bit for use in cg units instead of is_64bitint
	  * removed cgmessage from n386add, replace with internalerrors

2003-04-23 16:42  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/: cgobj.pas, ppu.pas, rgobj.pas, i386/n386cal.pas,
	i386/rgcpu.pas, x86/cgx86.pas:
	
	  * Further register allocator work. Compiler now smaller with new
	    allocator than without.
	  * Somebody forgot to adjust ppu version number

2003-04-23 15:48  peter <peter@freepascal.org>

	* compiler/assemble.pas:
	
	  * m68k fix

2003-04-23 15:47  peter <peter@freepascal.org>

	* compiler/fpcdefs.inc:
	
	  * optimizer is x86

2003-04-23 15:40  peter <peter@freepascal.org>

	* compiler/m68k/: cgcpu.pas, cpubase.pas, n68kcnv.pas, rgcpu.pas:
	
	  * fix m68k compile

2003-04-23 15:35  peter <peter@freepascal.org>

	* compiler/sparc/: cpubase.pas, cpupara.pas, ncpucnv.pas:
	
	  * fix sparc compile

2003-04-23 15:21  peter <peter@freepascal.org>

	* compiler/ncal.pas:
	
	  * fix warning for calling constructor inside constructor

2003-04-23 15:20  peter <peter@freepascal.org>

	* compiler/cgobj.pas:
	
	  * fix self passing to fpc_help_fail

2003-04-23 15:15  peter <peter@freepascal.org>

	* compiler/paramgr.pas:
	
	  * fix push_high_param for cdecl

2003-04-23 15:13  peter <peter@freepascal.org>

	* compiler/symsym.pas:
	
	  * fix operator overload search parameter order

2003-04-23 15:13  peter <peter@freepascal.org>

	* compiler/ncnv.pas:
	
	  * fix checking of procdef type which was broken since loadn
	returned
	    pointertype for tp procvar

2003-04-23 15:12  peter <peter@freepascal.org>

	* compiler/pdecsub.pas:
	
	  * fix po_comp setting for fpc mode

2003-04-23 14:35  florian <florian@freepascal.org>

	* compiler/: cgbase.pas, cginfo.pas, cgobj.pas, fpcdefs.inc,
	ncal.pas, ncgutil.pas, nutils.pas, pmodules.pas, psub.pas,
	symdef.pas, m68k/cpubase.pas, powerpc/agppcgas.pas,
	powerpc/cgcpu.pas, powerpc/cpubase.pas, powerpc/cpupara.pas,
	powerpc/nppcadd.pas, powerpc/nppccal.pas, powerpc/nppccnv.pas,
	powerpc/nppcinl.pas, sparc/cpubase.pas, sparc/cpupara.pas:
	
	  * fixed several issues with powerpc
	  + applied a patch from Jonas for nested function calls (PowerPC
	only)
	  * ...

2003-04-23 13:37  peter <peter@freepascal.org>

	* compiler/: defcmp.pas, symconst.pas:
	
	  * po_comp for proc to procvar fixed

2003-04-23 13:37  peter <peter@freepascal.org>

	* compiler/ogcoff.pas:
	
	  * fix range check error after previous commit

2003-04-23 12:14  peter <peter@freepascal.org>

	* compiler/paramgr.pas:
	
	  * cdecl array of const has no addr push

2003-04-23 12:13  peter <peter@freepascal.org>

	* compiler/pexpr.pas:
	
	  * firstaddr will check procvardef

2003-04-23 12:12  peter <peter@freepascal.org>

	* compiler/pdecsub.pas:
	
	  * don't check po_varargs for delphi

2003-04-23 12:12  peter <peter@freepascal.org>

	* compiler/: ncgld.pas, node.pas, pass_2.pas:
	
	  * allow multi pass2 changed to global boolean instead of node
	flag

2003-04-23 12:11  peter <peter@freepascal.org>

	* compiler/nobj.pas:
	
	  * range check error for GUID fixed

2003-04-23 12:10  peter <peter@freepascal.org>

	* compiler/: nld.pas, nmem.pas:
	
	  * procvar is not compared in addrn

2003-04-23 12:10  peter <peter@freepascal.org>

	* compiler/catch.pas:
	
	  * unix signalhandler has longint argument

2003-04-23 12:10  peter <peter@freepascal.org>

	* compiler/: nadd.pas, ncnv.pas:
	
	  * expectloc fixes

2003-04-23 11:51  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/: i386/n386add.pas, i386/n386set.pas, x86/cgx86.pas:
	
	  * Removed usage of edi in a lot of places when new register
	allocator used
	  + Added newra versions of g_concatcopy and secondadd_float

2003-04-23 11:50  peter <peter@freepascal.org>

	* compiler/i386/n386inl.pas:
	
	  * wrong location_copy for include/exclude

2003-04-23 10:41  jonas <jonas.maebe@rug.ac.be>

	* compiler/nbas.pas:
	
	  * fixed ttemprefnode.compare and .getcopy to take offset field
	into
	    account

2003-04-23 10:40  jonas <jonas.maebe@rug.ac.be>

	* compiler/tgobj.pas:
	
	  * fixed istemp() when tg.direction = 1

2003-04-23 01:50  peter <peter@freepascal.org>

	* compiler/: cginfo.pas, globtype.pas, htypechk.pas, nadd.pas,
	nbas.pas, ncal.pas, ncgadd.pas, ncgbas.pas, ncgcal.pas, ncgcnv.pas,
	ncgflw.pas, ncginl.pas, ncgld.pas, ncgmem.pas, ncgset.pas,
	ncnv.pas, ncon.pas, nflw.pas, ninl.pas, nld.pas, nmat.pas,
	nmem.pas, node.pas, nopt.pas, nset.pas, pass_1.pas, pass_2.pas,
	pexpr.pas, rgobj.pas, i386/cpubase.pas, i386/cpupara.pas,
	i386/n386add.pas, i386/n386cnv.pas, i386/n386con.pas,
	i386/n386inl.pas, i386/n386mat.pas, i386/n386opt.pas,
	i386/n386set.pas:
	
	  * firstpass uses expectloc
	  * checks if there are differences between the expectloc and
	    location.loc from secondpass in EXTDEBUG

2003-04-22 16:33  peter <peter@freepascal.org>

	* compiler/: aasmtai.pas, aggas.pas, assemble.pas, cgobj.pas,
	charset.pas, checkmem.pas, cmsgs.pas, globals.pas, ncgcal.pas,
	ncgset.pas, ncgutil.pas, ogbase.pas, ogcoff.pas, ogelf.pas,
	ogmap.pas, pp.pas, psub.pas, script.pas, verbose.pas,
	i386/aasmcpu.pas, i386/cpubase.pas, i386/cpupara.pas,
	i386/n386cal.pas, i386/n386inl.pas, i386/n386mat.pas,
	i386/n386mem.pas, i386/n386obj.pas, i386/n386opt.pas,
	i386/n386set.pas:
	
	  * removed some notes/hints

2003-04-22 15:47  peter <peter@freepascal.org>

	* compiler/: cgbase.pas, cgobj.pas, ncgcal.pas, ncgmem.pas,
	ncgutil.pas, paramgr.pas, pdecsub.pas, psub.pas, x86/cgx86.pas:
	
	  * fixed C style array of const
	  * fixed C array passing
	  * fixed left to right with high parameters

2003-04-22 14:45  florian <florian@freepascal.org>

	* compiler/: ncgset.pas, pass_2.pas:
	
	  * fixed generic in operator code
	  + added debug code to check if all scratch registers are released

2003-04-22 13:27  florian <florian@freepascal.org>

	* compiler/powerpc/cpubase.pas:
	
	  + added first_ and last_imreg

2003-04-22 12:09  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/: aasmtai.pas, cg64f32.pas, cgobj.pas, ncgcal.pas,
	ncginl.pas, ncgld.pas, ncgmat.pas, ncgmem.pas, ncgset.pas,
	ncgutil.pas, psub.pas, rgobj.pas, i386/aasmcpu.pas,
	i386/ag386nsm.pas, i386/cpubase.pas, i386/n386add.pas,
	i386/n386cal.pas, i386/n386cnv.pas, i386/n386inl.pas,
	i386/n386mat.pas, i386/n386set.pas, i386/rgcpu.pas, m68k/rgcpu.pas,
	powerpc/rgcpu.pas, sparc/rgcpu.pas, x86/cgx86.pas:
	
	  + Implemented the actual register allocator
	  + Scratch registers unavailable when new register allocator used
	  + maybe_save/maybe_restore unavailable when new register
	allocator used

2003-04-22 11:54  peter <peter@freepascal.org>

	* compiler/i386/n386con.pas:
	
	  * use location_reset

2003-04-22 11:53  peter <peter@freepascal.org>

	* compiler/ncal.pas:
	
	  * fix insert_typeconv to handle new varargs which don't have a
	    paraitem set

2003-04-22 11:52  peter <peter@freepascal.org>

	* compiler/ncnv.pas:
	
	  * do not convert procvars with void return to callnode

2003-04-22 11:52  peter <peter@freepascal.org>

	* compiler/node.pas:
	
	  * mark_write implemented for default with a warning in EXTDEBUG,
	this
	    is required for error recovery where the left node can be also
	a non
	    writable node

2003-04-22 11:49  peter <peter@freepascal.org>

	* compiler/ncgcal.pas:
	
	  * do not load self when calling a non-inherited class constructor

2003-04-22 11:46  peter <peter@freepascal.org>

	* compiler/tgobj.pas:
	
	  * always allocate 4 bytes when 0 bytes are asked

2003-04-21 22:05  peter <peter@freepascal.org>

	* compiler/i386/: ra386att.pas, ra386int.pas, radirect.pas:
	
	  * removed some ie checks

2003-04-21 22:03  peter <peter@freepascal.org>

	* compiler/ncgcal.pas:
	
	  * forgot to copy vmtrefaddr to selfrefaddr when self=vmt

2003-04-21 21:16  peter <peter@freepascal.org>

	* compiler/: rgobj.pas, i386/cpubase.pas, i386/rgcpu.pas:
	
	  * count address regs separate

2003-04-21 21:15  peter <peter@freepascal.org>

	* compiler/i386/n386mat.pas:
	
	  * when ecx is not available allocated another register

2003-04-21 17:00  jonas <jonas.maebe@rug.ac.be>

	* compiler/nbas.pas:
	
	  * fixed tstatementnode.det_resulttype and tststatementnode.pass_1
	  * fixed some getcopy issues with ttemp*nodes

2003-04-21 15:53  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncgcal.pas:
	
	  - removed copying of all paras when secondpassing a callnode
	(this used
	    to be necessary for inlinign support, but currently the whole
	inlined
	    procedure is already copied in advance). Note that the compiler
	crashes
	    when compiling ucomplex with -dTEST_INLINE (also after fixing
	the
	    syntax errors), but that was also the case before this change.

2003-04-17 20:52  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/cpupara.pas:
	
	  * process para's from first to last instead of the other way
	round

2003-04-17 18:48  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/: rgobj.pas, i386/cga.pas, x86/cgx86.pas:
	
	  * Added some code to keep track of move instructions in register
	    allocator

2003-04-17 12:02  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/i386/: n386add.pas, n386mat.pas:
	
	  * Tweaked register allocate/deallocate positition to less
	interferences
	    are generated.

2003-04-17 09:50  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/: nbas.pas, ncgbas.pas, ncgflw.pas, psub.pas, rgobj.pas:
	
	  * Some work on interference graph construction

2003-04-16 11:26  jonas <jonas.maebe@rug.ac.be>

	* compiler/: ncgutil.pas, psub.pas, powerpc/cgcpu.pas:
	
	  * assembler procedures now again get a stackframe if they have
	local
	    variables. No space is reserved for a function result however.
	    Also, the register parameters aren't automatically saved on the
	stack
	    anymore in assembler procedures.

2003-04-16 09:55  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/cpupara.pas:
	
	  * fixed paralocation for integer var/out parameters

2003-04-16 09:53  jonas <jonas.maebe@rug.ac.be>

	* compiler/symtable.pas:
	
	  * calculation of parameter and resultlocation offsets now depends
	on
	    tg.direction instead of if(n)def powerpc

2003-04-15 20:22  peter <peter@freepascal.org>

	* compiler/: Makefile, Makefile.fpc:
	
	  * don't clean rtl unit dir in ppuclean, this breaks the snapshot
	    building

2003-04-15 19:45  peter <peter@freepascal.org>

	* compiler/: Makefile, Makefile.fpc:
	
	  * fix ppuclean

2003-04-14 17:15  pierre <muller@cerbere.u-strasbg.fr>

	* compiler/: Makefile, Makefile.fpc:
	
	  * use 218 as ignore value for compare under win32
	  * also remove ppu files in subdirectories

2003-04-12 17:43  peter <peter@freepascal.org>

	* compiler/systems/t_win32.pas:
	
	  * convert registers for importssection

2003-04-12 17:13  peter <peter@freepascal.org>

	* compiler/pmodules.pas:
	
	  * Use the original unitname when defining a unitsym

2003-04-12 16:53  jonas <jonas.maebe@rug.ac.be>

	* compiler/nbas.pas:
	
	  * ttempdeletenode.create now sets the nodetype to tempdeleten
	instead of
	    temprefn

2003-04-11 18:02  peter <peter@freepascal.org>

	* compiler/ncal.pas:
	
	  * don't firstpass typen

2003-04-11 17:51  peter <peter@freepascal.org>

	* compiler/ncal.pas:
	
	  * support subscript,vec for setting methodpointer varstate

2003-04-11 17:49  peter <peter@freepascal.org>

	* compiler/pexpr.pas:
	
	  * default property also increased the reference count for the
	    property symbol

2003-04-11 17:01  peter <peter@freepascal.org>

	* compiler/nld.pas:
	
	  * fix bug 2438

2003-04-11 16:50  peter <peter@freepascal.org>

	* compiler/pexpr.pas:
	
	  * fix tw2454

2003-04-10 19:57  peter <peter@freepascal.org>

	* compiler/: defcmp.pas, ncal.pas, ncgcal.pas, nmem.pas, node.pas,
	pdecobj.pas, pdecsub.pas, ppu.pas, symdef.pas, symsym.pas,
	utils/ppudump.pp:
	
	  * vs_hidden released

2003-04-08 18:01  peter <peter@freepascal.org>

	* compiler/utils/fpc.pp:
	
	  * amiga has also no .exe

2003-04-07 13:58  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncal.pas:
	
	  * more vs_invisible fixes

2003-04-07 12:40  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncal.pas:
	
	  * fixed VS_HIDDEN for high parameter so it works again

2003-04-07 10:52  jonas <jonas.maebe@rug.ac.be>

	* compiler/cg64f32.pas:
	
	  * fixed compiling error

2003-04-07 10:45  jonas <jonas.maebe@rug.ac.be>

	* compiler/cg64f32.pas:
	
	  + generic a_op64_reg_ref implementation

2003-04-06 23:11  olle

	* compiler/: aasmbase.pas, cgobj.pas, ncgcal.pas, ncgcnv.pas,
	ncgflw.pas, ncginl.pas, ncgld.pas, ncgmem.pas, ncgutil.pas,
	ptconst.pas, rautils.pas:
	
	  * changed newasmsymbol to newasmsymboldata for data symbols

2003-04-06 23:01  olle

	* compiler/powerpc/agppcmpw.pas:
	
	  + line numbers are now emitted in the assembler code
	  * bug in export and import directive fixed
	  * made code more in sync with aggas.pas

2003-04-06 18:39  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/: cgcpu.pas, cpupi.pas:
	
	  * don't generate entry/exit code for assembler procedures

2003-04-05 23:09  jonas <jonas.maebe@rug.ac.be>

	* compiler/: cgbase.pas, psub.pas, symtable.pas, powerpc/cpupi.pas:
	
	  * several ppc/generic result offset related fixes. The "normal"
	result
	    offset seems now to be calculated correctly and a lot of
	duplicate
	    calculations have been removed. Nested functions accessing the
	parent's
	    function result don't work at all though :(

2003-04-04 17:38  peter <peter@freepascal.org>

	* compiler/: ncal.pas, ncgcal.pas, i386/n386cal.pas,
	powerpc/nppccal.pas, sparc/ncpucall.pas:
	
	  * moved generic code from n386cal to ncgcal, i386 now also
	    uses the generic ncgcal

2003-04-04 17:34  peter <peter@freepascal.org>

	* compiler/cutils.pas:
	
	  * quote names with hi-ascii chars

2003-04-02 18:11  peter <peter@freepascal.org>

	* compiler/psub.pas:
	
	  * give error when exports is not supported

2003-04-01 18:17  peter <peter@freepascal.org>

	* compiler/pdecl.pas:
	
	  * reset symbol for unique types

2003-04-01 18:09  peter <peter@freepascal.org>

	* compiler/: Makefile, utils/Makefile:
	
	  * regenerated

2003-03-30 22:59  peter <peter@freepascal.org>

	* compiler/: ncgutil.pas, i386/n386cal.pas:
	
	  * fix classmethod from classmethod call
	  * move BeforeDestruction/AfterConstruction calls to
	    genentrycode/genexitcode instead of generating them on the fly
	    after a call to a constructor

2003-03-30 21:03  peter <peter@freepascal.org>

	* compiler/: msgidx.inc, msgtxt.inc:
	
	  * regenerated

2003-03-30 01:01  hajny <xhajt03@mbox.vol.cz>

	* compiler/: Makefile, utils/Makefile:
	
	  * Makefiles regenerated with corrected fpcmake

2003-03-28 20:16  peter <peter@freepascal.org>

	* compiler/: aoptcs.pas, cg64f32.pas, cgbase.pas, cgobj.pas,
	ncgbas.pas, ncgcal.pas, ncgcnv.pas, ncgflw.pas, ncginl.pas,
	ncgld.pas, ncgmat.pas, ncgmem.pas, ncgutil.pas, nld.pas, node.pas,
	options.pas, pdecsub.pas, pstatmnt.pas, rautils.pas, regvars.pas,
	rgobj.pas, i386/cpubase.pas, i386/csopt386.pas, i386/daopt386.pas,
	i386/n386add.pas, i386/n386cal.pas, i386/n386mat.pas,
	i386/n386mem.pas, i386/n386opt.pas, i386/popt386.pas,
	i386/ra386int.pas, i386/rgcpu.pas, i386/rropt386.pas,
	x86/cgx86.pas:
	
	  * generic constructor working for i386
	  * remove fixed self register
	  * esi added as address register for i386

2003-03-27 18:44  peter <peter@freepascal.org>

	* compiler/: fppu.pas, pexpr.pas:
	
	  * fixed small mem leaks

2003-03-26 13:50  armin

	* compiler/: tokens.pas, i386/aasmcpu.pas, x86_64/aasmcpu.pas:
	
	* avoid problems with the ide in init/dome

2003-03-25 19:23  armin

	* compiler/: msgtxt.inc, msg/errore.msg, msg/errorf.msg,
	msg/errord.msg:
	
	* replaced experimental with clib for netware

2003-03-24 20:57  hajny <xhajt03@mbox.vol.cz>

	* compiler/utils/ppudump.pp:
	
	  + emx target added

2003-03-24 00:42  hajny <xhajt03@mbox.vol.cz>

	* compiler/utils/Makefile:
	
	  + emx target added

2003-03-24 00:36  hajny <xhajt03@mbox.vol.cz>

	* compiler/Makefile:
	
	  + emx target added

2003-03-24 00:33  hajny <xhajt03@mbox.vol.cz>

	* compiler/i386/: ag386att.pas, cputarg.pas:
	
	  + emx target added

2003-03-24 00:31  hajny <xhajt03@mbox.vol.cz>

	* compiler/systems/: i_amiga.pas, i_atari.pas, i_os2.pas,
	i_wdosx.pas, i_win32.pas, t_os2.pas, i_nwm.pas:
	
	  + platform extensions unified

2003-03-24 00:28  hajny <xhajt03@mbox.vol.cz>

	* compiler/systems/: i_emx.pas, t_emx.pas:
	
	  + emx target added

2003-03-24 00:24  hajny <xhajt03@mbox.vol.cz>

	* compiler/msg/: errord.msg, errore.msg, errores.msg, errorf.msg,
	errorn.msg, errorr.msg, errorrw.msg:
	
	  + emx target added

2003-03-24 00:20  hajny <xhajt03@mbox.vol.cz>

	* compiler/: compiler.pas, comprsrc.pas, gendef.pas, msgidx.inc,
	options.pas, scandir.pas, globals.pas, msgtxt.inc, pdecsub.pas,
	pmodules.pas, systems.pas:
	
	  + emx target added

2003-03-22 19:07  jonas <jonas.maebe@rug.ac.be>

	* compiler/cgobj.pas:
	
	  + add used scratch registers to usedintbyproc for non-i386

2003-03-22 19:01  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/cgcpu.pas:
	
	  * fixed linux entry/exit code generation

2003-03-22 19:00  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/radirect.pas:
	
	  * fixes for new regallocator

2003-03-22 15:51  armin

	* compiler/systems/t_nwm.pas:
	
	* support -k for additional nlmvonv headeroptions, -m i386nw for
	win32, support -sh

2003-03-21 23:36  armin

	* compiler/systems/t_nwm.pas:
	
	* changed linking: now we will link all objects to a single one and
	call nlmconv with that one object file. This makes it possible to
	create nlms without debug info.

2003-03-21 20:19  armin

	* compiler/systems/t_nwm.pas:
	
	* search of .imp files was broken, debug only if -gg was specified

2003-03-20 18:52  peter <peter@freepascal.org>

	* compiler/defcmp.pas:
	
	  * fix compare for unique types, they are allowed when they match
	    exact

2003-03-20 18:51  peter <peter@freepascal.org>

	* compiler/cgbase.pas:
	
	  * dynamic arrays have size OS_ADDR

2003-03-20 16:54  peter <peter@freepascal.org>

	* compiler/nflw.pas:
	
	  * don't allow var and out parameters as for loop counter

2003-03-19 18:34  peter <peter@freepascal.org>

	* compiler/: msgidx.inc, msgtxt.inc, pdecsub.pas, msg/errore.msg:
	
	  * only allow class [procedure|function]

2003-03-19 15:26  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/: cgcpu.pas, cpubase.pas:
	
	  * fixed R_TOC bugs introduced by new register allocator
	conversion

2003-03-18 19:17  peter <peter@freepascal.org>

	* compiler/x86/cgx86.pas:
	
	  * reg2opsize()

2003-03-18 19:15  peter <peter@freepascal.org>

	* compiler/i386/: cpubase.pas, csopt386.pas, ra386att.pas,
	ra386int.pas:
	
	  * changed reg2opsize to function

2003-03-18 17:25  peter <peter@freepascal.org>

	* compiler/symdef.pas:
	
	  * no itnernalerror for errordef.concatstabto()

2003-03-17 22:42  peter <peter@freepascal.org>

	* compiler/ptconst.pas:
	
	  * allow nil initialization of dynamic array

2003-03-17 22:32  peter <peter@freepascal.org>

	* compiler/i386/ra386int.pas:
	
	  * allow character constants in reference declaration

2003-03-17 21:30  peter <peter@freepascal.org>

	* compiler/nbas.pas:
	
	  * errornode.mark_write added

2003-03-17 20:05  peter <peter@freepascal.org>

	* compiler/defutil.pas:
	
	  * dynamic array is also a special array

2003-03-17 19:56  peter <peter@freepascal.org>

	* compiler/symtable.pas:
	
	  * ignore hints for default parameter values

2003-03-17 19:56  peter <peter@freepascal.org>

	* compiler/: pdecsub.pas, pdecvar.pas:
	
	  * fix crash with duplicate id

2003-03-17 19:55  peter <peter@freepascal.org>

	* compiler/: pbase.pas, pexpr.pas, pstatmnt.pas:
	
	  * allow more tokens instead of only semicolon after inherited

2003-03-17 19:54  peter <peter@freepascal.org>

	* compiler/: ncal.pas, ncnv.pas:
	
	  * fix missing self setting for method to procvar conversion in
	    tp_procvar mode

2003-03-17 17:54  peter <peter@freepascal.org>

	* compiler/: ncal.pas, node.pas, pexpr.pas, symdef.pas,
	symtable.pas:
	
	  * support DefaultHandler and anonymous inheritance fixed
	    for message methods

2003-03-17 16:54  peter <peter@freepascal.org>

	* compiler/: ncal.pas, pdecsub.pas, ppu.pas, symdef.pas,
	symsym.pas, utils/ppudump.pp:
	
	  * store symoptions also for procdef
	  * check symoptions (private,public) when calculating possible
	    overload candidates

2003-03-17 16:52  peter <peter@freepascal.org>

	* compiler/i386/rgcpu.pas:
	
	  * SUPPORT_MMX define compile fix

2003-03-17 16:52  peter <peter@freepascal.org>

	* compiler/ncgutil.pas:
	
	  * fix range error

2003-03-17 14:36  peter <peter@freepascal.org>

	* compiler/: pmodules.pas, systems/t_os2.pas:
	
	  * fix import linking under linux

2003-03-17 00:10  pierre <muller@cerbere.u-strasbg.fr>

	* compiler/utils/msg2inc.pp:
	
	 * merge from fixes branch

2003-03-16 21:45  mazen <mazen@freepascal.org>

	* compiler/sparc/cgcpu.pas:
	
	* fixing an LD operation without refernce in loading address
	parameters

2003-03-15 23:51  mazen <mazen@freepascal.org>

	* compiler/sparc/: aasmcpu.pas, cpugas.pas, ncpumat.pas, rgcpu.pas:
	
	* remaking sparc rtl compile

2003-03-13 23:57  olle

	* compiler/powerpc/cgcpu.pas:
	
	  * change in a_loadaddr_ref_reg

2003-03-13 20:52  jonas <jonas.maebe@rug.ac.be>

	* compiler/: i386/n386add.pas, i386/n386cal.pas, i386/n386cnv.pas,
	i386/n386set.pas, x86/cgx86.pas:
	
	  * and more new register allocator fixes (in the i386 code
	generator this
	    time). At least now the ppc cross compiler can compile the
	linux
	    system unit again, but I haven't tested it.

2003-03-12 23:43  jonas <jonas.maebe@rug.ac.be>

	* compiler/: ncgmem.pas, psub.pas, powerpc/aasmcpu.pas,
	powerpc/agppcgas.pas, powerpc/cgcpu.pas:
	
	  * more powerpc and generic fixes related to the new register
	allocator

2003-03-11 22:46  jonas <jonas.maebe@rug.ac.be>

	* compiler/: cgobj.pas, ncgutil.pas, nld.pas, rgobj.pas, tgobj.pas,
	powerpc/cgcpu.pas, powerpc/cpubase.pas, powerpc/cpupara.pas,
	powerpc/nppcadd.pas, powerpc/nppccnv.pas, powerpc/nppcmat.pas:
	
	  * lots of new regallocator fixes, both in generic and
	ppc-specific code
	    (ppc compiler still can't compile the linux system unit though)

2003-03-10 22:59  mazen <mazen@freepascal.org>

	* compiler/sparc/: aasmcpu.pas, cgcpu.pas, cpubase.pas,
	ncpuadd.pas, ncpucnv.pas, ncpumat.pas, rgcpu.pas:
	
	* fixing index overflow in handling new registers arrays.

2003-03-10 19:16  olle

	* compiler/assemble.pas:
	
	  * niceified comments

2003-03-10 19:11  olle

	* compiler/powerpc/nppcadd.pas:
	
	  * changed ungetregister to ungetregisterint in
	tppcaddnode.clear_left_right

2003-03-09 22:18  olle

	* compiler/rgobj.pas:
	
	  + added cutils to the uses clause

2003-03-08 21:36  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/: rgobj.pas, i386/n386add.pas, i386/n386mat.pas:
	
	  + Added newra version of Ti386shlshrnode
	  + Added interference graph construction code

2003-03-08 14:59  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/: rgobj.pas, i386/ag386nsm.pas, i386/n386add.pas,
	i386/n386mat.pas, i386/rgcpu.pas:
	
	  * Work to handle new register notation in ag386nsm
	  + Added newra version of Ti386moddivnode

2003-03-08 11:53  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/: rgobj.pas, i386/n386add.pas:
	
	  * Created newra version of secondmul in n386add.pas

2003-03-08 10:35  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/msg/errorn.msg:
	
	  * Vertaling bijgewerkt

2003-03-08 09:59  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/: globtype.pas, msgidx.inc, msgtxt.inc, options.pas,
	psub.pas, rgobj.pas, i386/aasmcpu.pas, i386/ag386int.pas,
	i386/ag386nsm.pas, i386/cga.pas, i386/cpubase.pas, i386/rgcpu.pas,
	msg/errore.msg:
	
	  + $define newra will enable new register allocator
	  + getregisterint will return imaginary registers with $newra
	  + -sr switch added, will skip register allocation so you can see
	    the direct output of the code generator before register
	allocation

2003-03-07 22:57  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/i386/rgcpu.pas:
	
	  * Improved getregisterint

2003-03-06 12:35  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/: ncgcal.pas, i386/n386cal.pas:
	
	  * Fixed internalerror 7843 issue

2003-02-27 17:40  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/x86/cgx86.pas:
	
	  * Fixed ie 200301234 problem on Win32 target

2003-02-27 00:06  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/i386/n386set.pas:
	
	  * Fixed an illegal use of makeregsize

2003-02-26 23:57  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/i386/ra386int.pas:
	
	  * Changed no longer correct fillchar of reference into
	location_reset

2003-02-26 23:06  mazen <mazen@freepascal.org>

	* compiler/sparc/cpubase.pas:
	
	* FirstReg <-- R_G0 instead of Low(TOldRegister)=R_NONE * LastReg
	<-- R_L7 instead of High(R_ASR31)=High(TOldRegister) *
	FirstReg..LastReg rplaced by TOldRegister in several arrays
	declarions

2003-02-26 22:15  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/: ncgutil.pas, i386/aopt386.pas, i386/csopt386.pas,
	i386/daopt386.pas, x86/cgx86.pas:
	
	  * Fixed the optimizer

2003-02-26 21:50  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/rgobj.pas:
	
	  * Fixed ungetreference

2003-02-26 14:24  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/i386/popt386.pas:
	
	  * Disabled mov reg,0 -> xor reg,reg optimization

2003-02-25 22:41  mazen <mazen@freepascal.org>

	* compiler/: mppcsparc, sparc/cgcpu.pas:
	
	* code re-aligned 2 spaces

2003-02-25 08:41  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/i386/: aasmcpu.pas, popt386.pas:
	
	  * Properly fixed reversed operands bug

2003-02-24 22:27  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/i386/popt386.pas:
	
	  * Reversed operand order in an optimization in postpeepholeopt

2003-02-20 16:52  pierre <muller@cerbere.u-strasbg.fr>

	* compiler/i386/ra386att.pas:
	
	 * fix a range check error

2003-02-19 23:39  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/: rgobj.pas, i386/n386set.pas, i386/popt386.pas:
	
	  * Fixed a few issues

2003-02-19 23:00  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/: aasmtai.pas, cg64f32.pas, cgobj.pas, ncal.pas,
	ncgadd.pas, ncgcal.pas, ncgcnv.pas, ncgflw.pas, ncginl.pas,
	ncgld.pas, ncgmat.pas, ncgmem.pas, ncgset.pas, ncgutil.pas,
	pmodules.pas, pstatmnt.pas, psub.pas, rautils.pas, regvars.pas,
	rgobj.pas, symdef.pas, tgobj.pas, todo.txt, i386/aasmcpu.pas,
	i386/ag386att.pas, i386/ag386int.pas, i386/cga.pas,
	i386/cpubase.pas, i386/csopt386.pas, i386/daopt386.pas,
	i386/n386add.pas, i386/n386cal.pas, i386/n386cnv.pas,
	i386/n386inl.pas, i386/n386mat.pas, i386/n386mem.pas,
	i386/n386opt.pas, i386/n386set.pas, i386/popt386.pas,
	i386/ra386.pas, i386/ra386att.pas, i386/ra386int.pas,
	i386/rgcpu.pas, i386/rropt386.pas, m68k/aasmcpu.pas,
	m68k/agcpugas.pas, m68k/cgcpu.pas, m68k/cpubase.pas,
	m68k/n68kcnv.pas, m68k/n68kmat.pas, m68k/ncpuadd.pas,
	m68k/rasm.pas, m68k/rgcpu.pas, powerpc/cgcpu.pas,
	powerpc/cpubase.pas, powerpc/nppcadd.pas, powerpc/nppccnv.pas,
	powerpc/nppcmat.pas, powerpc/nppcset.pas, powerpc/rgcpu.pas,
	sparc/cgcpu.pas, sparc/cpubase.pas, sparc/ncpuadd.pas,
	sparc/ncpucnv.pas, sparc/ncpumat.pas, sparc/rgcpu.pas,
	vis/cpubase.pas, x86/cgx86.pas:
	
	  * Code generator converted to new register notation
	  - Horribily outdated todo.txt removed

2003-02-18 23:00  mazen <mazen@freepascal.org>

	* compiler/sparc/: aasmcpu.pas, cgcpu.pas:
	
	* asm condition generation modified by TAiCpu.SetCondition

2003-02-15 23:25  carl <carl@freepascal.org>

	* compiler/pp.pas:
	
	 + give more information on some new defines

2003-02-15 23:20  carl <carl@freepascal.org>

	* compiler/comphook.pas:
	
	 + give line number of internal error

2003-02-15 23:20  carl <carl@freepascal.org>

	* compiler/nadd.pas:
	
	 * bugfix for generic calls to FPU emulation code

2003-02-15 23:19  carl <carl@freepascal.org>

	* compiler/m68k/agcpugas.pas:
	
	 * bugfix of emissions of jmp instructions

2003-02-15 23:17  carl <carl@freepascal.org>

	* compiler/: ncgcal.pas, ncgflw.pas, ncgutil.pas:
	
	 * bugfix of FPU emulation code

2003-02-15 23:15  carl <carl@freepascal.org>

	* compiler/ncnv.pas:
	
	 * generic conversaion routines only work on signed types

2003-02-13 22:15  mazen <mazen@freepascal.org>

	* compiler/sparc/ncpuadd.pas:
	
	+ Load_left_right and clear_left_right implemented fixing test0001
	register allocation bug.

2003-02-12 23:11  carl <carl@freepascal.org>

	* compiler/m68k/: cgcpu.pas, rasm.pas:
	
	  * some small m68k bugfixes

2003-02-12 23:10  carl <carl@freepascal.org>

	* compiler/: nadd.pas, ncgcal.pas:
	
	  * load_frame_pointer is now generic
	  * change fpu emulation routine names

2003-02-12 23:04  carl <carl@freepascal.org>

	* compiler/link.pas:
	
	  - removed my stupid hello debug code

2003-02-07 22:21  marco <marcov@stack.nl>

	* compiler/script.pas:
	
	 * Some small fix

2003-02-06 23:36  mazen <mazen@freepascal.org>

	* compiler/: pmodules.pas, sparc/cpupi.pas, systems/i_linux.pas:
	
	* fixing bug related to errornous program main entry stack frame

2003-02-05 23:44  mazen <mazen@freepascal.org>

	* compiler/sparc/ncpucall.pas:
	
	* making UNIT lower case.

2003-02-05 22:48  mazen <mazen@freepascal.org>

	* compiler/sparc/cgcpu.pas:
	
	* fixing run time errors related to unimplemented abstract methods
	in CG + giving empty emplementations for some RTL functions

2003-02-04 22:50  mazen <mazen@freepascal.org>

	* compiler/: mppcsparc, sparc/ncpucall.pas, sparc/ncpumat.pas:
	
	* fixing internal errors related to notn when compiling RTL

2003-02-04 00:10  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/tgobj.pas:
	
	  * Fixed last commit

2003-02-04 00:07  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/tgobj.pas:
	
	  * Made gettemp use intended procedure for setting reference

2003-02-03 23:47  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/i386/: ra386.pas, ra386att.pas:
	
	  - Removed reg_2_opsize array

2003-02-02 20:25  carl <carl@freepascal.org>

	* compiler/: compiler.pas, ncgadd.pas, paramgr.pas, pp.pas,
	rgobj.pas, symdef.pas, i386/cpubase.pas, m68k/cgcpu.pas,
	m68k/cpubase.pas, m68k/cpunode.pas, m68k/cpupara.pas,
	m68k/cputarg.pas, m68k/n68kmat.pas, m68k/ncpuadd.pas,
	m68k/rgcpu.pas, powerpc/cpubase.pas, sparc/cpubase.pas,
	systems/i_amiga.pas, vis/aasmcpu.pas, vis/cpubase.pas,
	vis/cpupara.pas, x86_64/cpubase.pas:
	
	  * Several bugfixes for m68k target (register alloc., opcode
	emission)
	  + VIS target
	  + Generic add more complete (still not verified)

2003-01-31 23:47  peter <peter@freepascal.org>

	* compiler/cgobj.pas:
	
	  * maybe_testself now really uses the passed register

2003-01-31 23:47  peter <peter@freepascal.org>

	* compiler/ncginl.pas:
	
	  * fix previous typeof change

2003-01-30 22:46  peter <peter@freepascal.org>

	* compiler/: ncgcal.pas, ncginl.pas, ncgmem.pas, nmem.pas,
	pexpr.pas, i386/n386cal.pas:
	
	  * self fixes for static methods (merged)

2003-01-30 22:46  peter <peter@freepascal.org>

	* compiler/cgobj.pas:
	
	  * maybe_testvmt added

2003-01-30 22:46  peter <peter@freepascal.org>

	* compiler/: aasmbase.pas, aasmtai.pas, pmodules.pas:
	
	  * tai_const_symbol.createdataname added

2003-01-30 22:45  peter <peter@freepascal.org>

	* compiler/globals.pas:
	
	  * amiga path fix (merged)

2003-01-30 22:45  peter <peter@freepascal.org>

	* compiler/comprsrc.pas:
	
	  * path fix (merged)

2003-01-22 23:30  mazen <mazen@freepascal.org>

	* compiler/sparc/: cgcpu.pas, ncpucall.pas:
	
	- internal errors rmoved from a_loar_reg_reg when reg sizes differs
	from 32

2003-01-22 21:45  mazen <mazen@freepascal.org>

	* compiler/: ncgcal.pas, sparc/cpunode.pas, sparc/ncpuadd.pas,
	sparc/ncpucnv.pas:
	
	* making math code in RTL compiling.  *NB : This does NOT mean
	necessary that it will generate correct code!

2003-01-21 15:36  pierre <muller@cerbere.u-strasbg.fr>

	* compiler/symdef.pas:
	
	 * set sizes needs to be passes in bits not bytes to stabs info

2003-01-21 11:41  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/x86/cgx86.pas:
	
	  * Fixed another 200301081

2003-01-21 09:48  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/aasmtai.pas:
	
	  * Another 200301081 fixed

2003-01-20 23:21  mazen <mazen@freepascal.org>

	* compiler/sparc/: cgcpu.pas, cpubase.pas, ncpuadd.pas,
	ncpucnv.pas, registers.inc, stabregi.inc, strregs.inc:
	
	* many stuff related to RTL fixed

2003-01-20 21:15  mazen <mazen@freepascal.org>

	* compiler/sparc/opcode.inc:
	
	* A_CMPrs --> A_FCMPs and A_CMPd --> A_FCMPd

2003-01-18 17:16  marco <marcov@stack.nl>

	* compiler/systems/t_fbsd.pas:
	
	 * Small fix for netbsd

2003-01-17 13:45  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/cgobj.pas:
	
	  * Fixed internalerror 200301081 problem

2003-01-17 13:03  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/ncgcal.pas:
	
	  * Optalign conditional code adapted to record Tregister

2003-01-16 23:13  peter <peter@freepascal.org>

	* compiler/: defcmp.pas, ncal.pas, ncnv.pas, symconst.pas:
	
	  * convert_l3 convertlevel added. This level is used for
	conversions
	    where information can be lost like converting
	widestring->ansistring
	    or dword->byte

2003-01-16 23:12  peter <peter@freepascal.org>

	* compiler/pexpr.pas:
	
	  * Find the correct procvar to load when using @ in fpc mode

2003-01-16 23:11  peter <peter@freepascal.org>

	* compiler/symdef.pas:
	
	  * fixed tprocdef.is_addressonly

2003-01-16 12:31  olle

	* compiler/powerpc/cpubase.pas:
	
	  + added new register constants
	  + implemented register convertion proc

2003-01-15 21:02  carl <carl@freepascal.org>

	* compiler/pdecsub.pas:
	
	  * fix highname problem

2003-01-15 02:44  peter <peter@freepascal.org>

	* compiler/: defcmp.pas, ncal.pas, ncnv.pas, pexpr.pas, symdef.pas,
	symsym.pas:
	
	  * merged methodpointer fixes from 1.0.x

2003-01-15 00:48  peter <peter@freepascal.org>

	* compiler/pexpr.pas:
	
	  * fixed tw2273

2003-01-14 22:15  peter <peter@freepascal.org>

	* compiler/: Makefile, utils/Makefile:
	
	  * regenerated

2003-01-14 00:00  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/x86/cgx86.pas:
	
	  * Fixed internalerror

2003-01-13 23:15  florian <florian@freepascal.org>

	* compiler/systems/i_macos.pas:
	
	  * changed ppu extentions from pput to ppu

2003-01-13 22:16  peter <peter@freepascal.org>

	* compiler/utils/samplecfg:
	
	  * removed m68k-i386 specific define

2003-01-13 22:08  peter <peter@freepascal.org>

	* compiler/: Makefile, Makefile.fpc:
	
	  * unexport FPC_COMPILERINFO

2003-01-13 19:37  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/i386/: cpubase.pas, n386add.pas, n386cal.pas,
	n386cnv.pas, n386mat.pas, n386mem.pas:
	
	  * Work on register conversion

2003-01-13 18:17  olle

	* compiler/powerpc/: agppcmpw.pas, cgcpu.pas, cpubase.pas:
	
	  * changed global var access, TOC now contain pointers to globals
	  * fixed handling of function pointers

2003-01-13 18:16  olle

	* compiler/systems/i_macos.pas:
	
	  * Fixed typo

2003-01-13 15:54  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/: cgobj.pas, nobj.pas, i386/cga.pas, i386/n386mat.pas,
	i386/n386obj.pas, i386/n386set.pas, x86/cgx86.pas:
	
	  * Further work to convert codegenerator register convention;
	    internalerror bug fixed.

